#!/usr/bin/env python
# -*- coding: UTF-8 -*-




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.document import document

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287198.841239
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:38 2014'
__CHEETAH_src__ = 'templates/concdesc.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Jan  8 14:34:15 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class concdesc(document):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(concdesc, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 23, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 26, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''require([\'tpl/concDesc\', \'conf\', \'domReady!\'], function(pageSelf, conf, domReady) {
    conf.queryId = "''')
        _v = VFFSL(SL,"query_id",True) # u'$query_id' on line 28, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$query_id')) # from line 28, col 21.
        write(u'''";
    conf.messages.failed_to_save_the_query = "''')
        if False:
            _('Failed to save the query')
        _v = VFFSL(SL,"_",False)('Failed to save the query') # u"$_('Failed to save the query')" on line 29, col 47
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Failed to save the query')")) # from line 29, col 47.
        write(u'''";
    pageSelf.init(conf);
});
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #block main at line 34, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_21484841 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<h2>''')
        if False:
            _("Concordance description")
        _v = VFFSL(SL,"_",False)("Concordance description") # u'$_("Concordance description")' on line 36, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Concordance description")')) # from line 36, col 5.
        write(u'''</h2>

<p>''')
        if False:
            _("Corpus")
        _v = VFFSL(SL,"_",False)("Corpus") # u'$_("Corpus")' on line 38, col 4
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Corpus")')) # from line 38, col 4.
        write(u''': <b>''')
        _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 38, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 38, col 21.
        write(u'''</b>
''')
        if VFFSL(SL,"usesubcorp",True): # generated from line 39, col 5
            write(u'''    ''')
            if False:
                _("Subcorpus")
            _v = VFFSL(SL,"_",False)("Subcorpus") # u'$_("Subcorpus")' on line 40, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Subcorpus")')) # from line 40, col 5.
            write(u''': <b>''')
            _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 40, col 25
            if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 40, col 25.
            write(u'''</b>
''')
        write(u'''</p>

<table class="data" id="concdesc">
    <thead>
    <tr>
        <th>''')
        if False:
            _("Operation")
        _v = VFFSL(SL,"_",False)("Operation") # u'$_("Operation")' on line 47, col 13
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Operation")')) # from line 47, col 13.
        write(u'''</th>
        <th>''')
        if False:
            _("Parameters")
        _v = VFFSL(SL,"_",False)("Parameters") # u'$_("Parameters")' on line 48, col 13
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Parameters")')) # from line 48, col 13.
        write(u'''</th>
        <th>''')
        if False:
            _("Num of Hits")
        _v = VFFSL(SL,"_",False)("Num of Hits") # u'$_("Num of Hits")' on line 49, col 13
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Num of Hits")')) # from line 49, col 13.
        write(u'''</th>
        <th></th>
    </tr>
    </thead>
    <tbody>
''')
        i = 0
        for d in VFFSL(SL,"Desc",True): # generated from line 55, col 5
            write(u'''    <tr class="''')
            if VFFSL(SL,"i",True) % 2 == 1: # generated from line 56, col 16
                write(u'''odd''')
            write(u'''">
        <td>''')
            _v = VFFSL(SL,"d.op",True) # u'$d.op' on line 57, col 13
            if _v is not None: write(_filter(_v, rawExpr=u'$d.op')) # from line 57, col 13.
            write(u'''</td>
        <td>''')
            _v = VFFSL(SL,"d.arg",True) # u'$d.arg' on line 58, col 13
            if _v is not None: write(_filter(_v, rawExpr=u'$d.arg')) # from line 58, col 13.
            write(u'''</td>
        <td align="right">''')
            _v = VFFSL(SL,"d.size",True) # u'$d.size' on line 59, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$d.size')) # from line 59, col 27.
            write(u'''</td>
        <td>
''')
            if VFFSL(SL,"d.tourl",True): # generated from line 61, col 13
                href = 'view?' + VFFSL(SL,"d.tourl",True) + ';' + VFFSL(SL,"globals",True)
                write(u'''            <a href="''')
                _v = VFFSL(SL,"href",True) # u'$href' on line 63, col 22
                if _v is not None: write(_filter(_v, rawExpr=u'$href')) # from line 63, col 22.
                write(u'''">''')
                if False:
                    _('View result')
                _v = VFFSL(SL,"_",False)('View result') # u"$_('View result')" on line 63, col 29
                if _v is not None: write(_filter(_v, rawExpr=u"$_('View result')")) # from line 63, col 29.
                write(u'''</a>
''')
            write(u'''        </td>
    </tr>
''')
            i += 1
        write(u'''    </tbody>
</table>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_21484841
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        write(u'''



''')
        self.main(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_concdesc= 'writeBody'

## END CLASS DEFINITION

if not hasattr(concdesc, '_initCheetahAttributes'):
    templateAPIClass = getattr(concdesc, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(concdesc)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=concdesc()).run()


