#!/usr/bin/env python
# -*- coding: UTF-8 -*-




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287198.770742
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:38 2014'
__CHEETAH_src__ = 'templates/corpus_detail.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Jan  8 14:34:15 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class corpus_detail(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(corpus_detail, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div id="corpus-details-box">
    <div class="top">
        <h4 class="corpus-name">...</h4>
        <p class="metadata">
            <strong>''')
        if False:
            _('size')
        _v = VFFSL(SL,"_",False)('size') # u"$_('size')" on line 6, col 21
        if _v is not None: write(_filter(_v, rawExpr=u"$_('size')")) # from line 6, col 21.
        write(u''':</strong> <span class="size"></span> ''')
        if False:
            _('positions')
        _v = VFFSL(SL,"_",False)('positions') # u"$_('positions')" on line 6, col 69
        if _v is not None: write(_filter(_v, rawExpr=u"$_('positions')")) # from line 6, col 69.
        write(u'''<br />
            <strong class="web_url">''')
        if False:
            _('website')
        _v = VFFSL(SL,"_",False)('website') # u"$_('website')" on line 7, col 37
        if _v is not None: write(_filter(_v, rawExpr=u"$_('website')")) # from line 7, col 37.
        write(u''':</strong> <span class="web_url"></span>
        </p>
    </div>
    <table class="structs-and-attrs" border="0">
        <tr>
            <td>
                <table class="attrib-list">
                    <tr>
                        <th class="attrib-heading" colspan="2">''')
        if False:
            _('Attributes')
        _v = VFFSL(SL,"_",False)('Attributes') # u"$_('Attributes')" on line 15, col 64
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Attributes')")) # from line 15, col 64.
        write(u'''</th>
                    </tr>
                    <tr class="item">
                        <th></th>
                        <td class="numeric"></td>
                    </tr>
                </table>
            </td>
            <td style="padding-left: 4em">
                <table class="struct-list">
                    <tr>
                        <th class="attrib-heading" colspan="2">''')
        if False:
            _('Structures')
        _v = VFFSL(SL,"_",False)('Structures') # u"$_('Structures')" on line 26, col 64
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Structures')")) # from line 26, col 64.
        write(u'''</th>
                    </tr>
                    <tr class="item">
                        <th></th>
                        <td class="numeric"></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <p class="note">''')
        if False:
            _('Remark: figures listed denote a number of different attributes / structures (i.e. types) in the corpus.')
        _v = VFFSL(SL,"_",False)('Remark: figures listed denote a number of different attributes / structures (i.e. types) in the corpus.') # u"$_('Remark: figures listed denote a number of different attributes / structures (i.e. types) in the corpus.')" on line 36, col 21
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Remark: figures listed denote a number of different attributes / structures (i.e. types) in the corpus.')")) # from line 36, col 21.
        write(u'''</p>
    <p class="corpus-description"></p>
</div>''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_corpus_detail= 'respond'

## END CLASS DEFINITION

if not hasattr(corpus_detail, '_initCheetahAttributes'):
    templateAPIClass = getattr(corpus_detail, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(corpus_detail)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=corpus_detail()).run()


