#!/usr/bin/env python
# -*- coding: UTF-8 -*-




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
import urllib
import re
from templating.filters import *

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287200.791844
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:40 2014'
__CHEETAH_src__ = 'templates/document.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Jul  2 09:27:47 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class document(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(document, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #block headers at line 64, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #block bodyonload at line 129, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u"""require(['tpl/document', 'conf', 'domReady!'], function (pageself, conf) {
    pageself.init(conf);
});
""")
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def menu_status(self, id, **KWS):



        ## CHEETAH: generated from #def menu_status($id) at line 155, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"id",True) in VFFSL(SL,"disabled_menu_items",True): # generated from line 156, col 5
            write(u'''        disabled
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def custom_save(self, **KWS):



        ## CHEETAH: generated from #block custom_save at line 205, col 21.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def concordance(self, **KWS):



        ## CHEETAH: generated from #block concordance at line 350, col 5.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"display_closed_conc",True): # generated from line 351, col 5
            write(u'''    <div id="conc-wrapper">
        <div id="conc-top-bar">
            <div id="result-info">
''')
            if VFFSL(SL,"usesubcorp",True): # generated from line 355, col 17
                write(u'''                    ''')
                if False:
                    _("subcorpus")
                _v = VFFSL(SL,"_",False)("subcorpus") # u'$_("subcorpus")' on line 356, col 21
                if _v is not None: write(_filter(_v, rawExpr=u'$_("subcorpus")')) # from line 356, col 21.
                write(u''': <strong>''')
                _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 356, col 46
                if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 356, col 46.
                write(u'''</strong> <span class="separ">|</span>
''')
            write(u'''
''')
            if VFFSL(SL,"conc_persist",True): # generated from line 359, col 17
                write(u'''                ''')
                if False:
                    _('Hits')
                _v = VFFSL(SL,"_",False)('Hits') # u"$_('Hits')" on line 360, col 17
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Hits')")) # from line 360, col 17.
                write(u''': <span id="loader"></span> <strong id="fullsize" title="''')
                _v = VFFSL(SL,"fullsize",True) # u'$fullsize' on line 360, col 84
                if _v is not None: write(_filter(_v, rawExpr=u'$fullsize')) # from line 360, col 84.
                write(u'''">''')
                _orig_filter_80235902 = _filter
                _filter = self._CHEETAH__currentFilter = VFFSL(SL,"IntegerFormatter",True)(self).filter
                _v = VFFSL(SL,"concsize",True) # u'$concsize' on line 360, col 121
                if _v is not None: write(_filter(_v, rawExpr=u'$concsize')) # from line 360, col 121.
                write(u'''                    ''')
                _filter = self._CHEETAH__currentFilter = _orig_filter_80235902
                write(u'''</strong>''')
                if VFFSL(SL,"sampled_size",True): # generated from line 361, col 42
                    write(u''' <span class="separ">|</span> ''')
                    if False:
                        _("random sample of size")
                    _v = VFFSL(SL,"_",False)("random sample of size") # u'$_("random sample of size")' on line 361, col 90
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("random sample of size")')) # from line 361, col 90.
                    write(u''' <strong>''')
                    _v = VFFSL(SL,"sampled_size",True) # u'$sampled_size' on line 361, col 126
                    if _v is not None: write(_filter(_v, rawExpr=u'$sampled_size')) # from line 361, col 126.
                    write(u'''</strong>
                    <span class="separ">|</span> ''')
                write(u'''

                <abbr title="''')
                if False:
                    _('instances per million')
                _v = VFFSL(SL,"_",False)('instances per million') # u"$_('instances per million')" on line 364, col 30
                if _v is not None: write(_filter(_v, rawExpr=u"$_('instances per million')")) # from line 364, col 30.
                write(u''' ''')
                _v = VFFSL(SL,"result_relative_freq_rel_to",True) # u'$result_relative_freq_rel_to' on line 364, col 58
                if _v is not None: write(_filter(_v, rawExpr=u'$result_relative_freq_rel_to')) # from line 364, col 58.
                write(u'''">i.p.m.</abbr>:
                <span class="ipm">''')
                _orig_filter_20124110 = _filter
                _filter = self._CHEETAH__currentFilter = VFFSL(SL,"FloatFormatter",True)(self).filter
                write(u''' ''')
                _v = VFFSL(SL,"result_relative_freq",True) # u'$result_relative_freq' on line 365, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$result_relative_freq')) # from line 365, col 60.
                write(u''' ''')
                _filter = self._CHEETAH__currentFilter = _orig_filter_20124110
                write(u'''</span>
                ''')
                _v = VFFSL(SL,"result_relative_freq_rel_to",True) # u'$result_relative_freq_rel_to' on line 366, col 17
                if _v is not None: write(_filter(_v, rawExpr=u'$result_relative_freq_rel_to')) # from line 366, col 17.
                write(u'''
''')
                if VFFSL(SL,"result_arf",True): # generated from line 367, col 17
                    write(u'''                <span class="separ">|</span> <abbr title="''')
                    if False:
                        _('Average Reduced Frequency')
                    _v = VFFSL(SL,"_",False)('Average Reduced Frequency') # u"$_('Average Reduced Frequency')" on line 368, col 59
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Average Reduced Frequency')")) # from line 368, col 59.
                    write(u'''">''')
                    if False:
                        _('ARF')
                    _v = VFFSL(SL,"_",False)('ARF') # u"$_('ARF')" on line 368, col 92
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('ARF')")) # from line 368, col 92.
                    write(u'''</abbr>:
                <strong id="arf">''')
                    _orig_filter_46290279 = _filter
                    _filter = self._CHEETAH__currentFilter = VFFSL(SL,"IntegerFormatter",True)(self).filter
                    write(u''' ''')
                    _v = VFFSL(SL,"result_arf",True) # u'$result_arf' on line 369, col 61
                    if _v is not None: write(_filter(_v, rawExpr=u'$result_arf')) # from line 369, col 61.
                    write(u''' ''')
                    _filter = self._CHEETAH__currentFilter = _orig_filter_46290279
                    write(u'''</strong>
''')
                write(u'''                <span class="separ">|</span>
                <span class="notice-shuffled">
                ''')
                if VFFSL(SL,"result_shuffled",True): # generated from line 373, col 17
                    if False:
                        _('Result is shuffled')
                    _v = VFFSL(SL,"_",False)('Result is shuffled') # u"$_('Result is shuffled')" on line 373, col 38
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Result is shuffled')")) # from line 373, col 38.
                else: # generated from line 373, col 62
                    if False:
                        _('Result is sorted')
                    _v = VFFSL(SL,"_",False)('Result is sorted') # u"$_('Result is sorted')" on line 373, col 68
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Result is sorted')")) # from line 373, col 68.
                write(u'''
                </span>
''')
            else: # generated from line 375, col 17
                write(u'''                &nbsp;
''')
            write(u'''            </div>
        </div>
        <div id="conclines-wrapper">
            <div id="hidden-conc">
                <a href="view?''')
            _v = VFFSL(SL,"q",True) # u'$q' on line 382, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 382, col 31.
            write(u''';''')
            _v = VFFSL(SL,"globals",True) # u'$globals' on line 382, col 34
            if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 382, col 34.
            write(u'''" title="''')
            if False:
                _('click to show current concordance')
            _v = VFFSL(SL,"_",False)('click to show current concordance') # u"$_('click to show current concordance')" on line 382, col 51
            if _v is not None: write(_filter(_v, rawExpr=u"$_('click to show current concordance')")) # from line 382, col 51.
            write(u'''"><img class="over-img" src="../files/img/expand-conc.png" alt="''')
            if False:
                _('show current concordance')
            _v = VFFSL(SL,"_",False)('show current concordance') # u"$_('show current concordance')" on line 382, col 154
            if _v is not None: write(_filter(_v, rawExpr=u"$_('show current concordance')")) # from line 382, col 154.
            write(u'''" data-alt-img="../files/img/expand-conc_s.png" /></a>
            </div>
        </div>
    </div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #block main at line 389, col 5.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def corp_sel(self, onchange=True, **KWS):



        ## CHEETAH: generated from #def corp_sel($onchange=True) at line 434, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Select corpus name
        write(u'''
''')
        if VFFSL(SL,"corplist_size",True) == 1: # generated from line 437, col 1
            _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 438, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 438, col 1.
            write(u'''</b><br>
<input type="hidden" name="corpname" value="''')
            _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 439, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 439, col 45.
            write(u'''" />
''')
        else: # generated from line 440, col 1
            write(u'''<input type="hidden" name="reload" />

<select name="corpname">
''')
            for c in VFFSL(SL,"Corplist",True): # generated from line 444, col 3
                selected = (VFFSL(SL,"c",True)['id'] == VFFSL(SL,"corpname",True)) and 'selected="selected"' or ''
                write(u'''    <option value="''')
                _v = VFFSL(SL,"c",True)['id'] # u"$c['id']" on line 446, col 20
                if _v is not None: write(_filter(_v, rawExpr=u"$c['id']")) # from line 446, col 20.
                write(u'''" title="''')
                _v = VFFSL(SL,"c",True)['desc'] # u"$c['desc']" on line 446, col 37
                if _v is not None: write(_filter(_v, rawExpr=u"$c['desc']")) # from line 446, col 37.
                write(u''' (''')
                _v = VFFSL(SL,"c",True)['size'] # u"$c['size']" on line 446, col 49
                if _v is not None: write(_filter(_v, rawExpr=u"$c['size']")) # from line 446, col 49.
                write(u''')" data-path="''')
                _v = VFFSL(SL,"c",True)['path'] # u"$c['path']" on line 446, col 73
                if _v is not None: write(_filter(_v, rawExpr=u"$c['path']")) # from line 446, col 73.
                write(u'''" ''')
                _v = VFFSL(SL,"selected",True) # u'$selected' on line 446, col 85
                if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 446, col 85.
                write(u'''>''')
                _v = VFFSL(SL,"c",True)['name'] # u"$c['name']" on line 446, col 95
                if _v is not None: write(_filter(_v, rawExpr=u"$c['name']")) # from line 446, col 95.
                write(u'''</option>
''')
            write(u'''</select>
''')
            if VFFSL(SL,"SubcorpList",True): # generated from line 449, col 1
                write(u'''<strong>:</strong> <select id="subcorp-selector" name="usesubcorp">
''')
                for subc in VFFSL(SL,"SubcorpList",True): # generated from line 451, col 5
                    write(u'''    <option value="''')
                    _v = VFFSL(SL,"subc.v",True) # u'$subc.v' on line 452, col 20
                    if _v is not None: write(_filter(_v, rawExpr=u'$subc.v')) # from line 452, col 20.
                    write(u'''" ''')
                    if VFFSL(SL,"varExists",False)('usesubcorp') and VFFSL(SL,"usesubcorp",True)==VFFSL(SL,"subc.v",True): # generated from line 452, col 29
                        write(u'''selected="selected"''')
                    write(u'''>''')
                    _v = VFFSL(SL,"subc.n",True) # u'$subc.n' on line 452, col 111
                    if _v is not None: write(_filter(_v, rawExpr=u'$subc.n')) # from line 452, col 111.
                    write(u'''</option>
''')
                write(u'''</select>
''')
                #  SubcorpList
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def corp_sel_node(self, **KWS):



        ## CHEETAH: generated from #def corp_sel_node at line 459, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_69513392 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''<tbody>
    <tr class="required">
''')
        if VFFSL(SL,"corplist_size",True): # generated from line 463, col 5
            write(u'''        <th>''')
            if False:
                _("Corpus")
            _v = VFFSL(SL,"_",False)("Corpus") # u'$_("Corpus")' on line 464, col 13
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Corpus")')) # from line 464, col 13.
            write(u''':</th>
        <td colspan="2">
''')
            _orig_filter_80584346 = _filter
            _filter = self._CHEETAH__initialFilter
            write(u'''        ''')
            _v = VFFSL(SL,"corp_sel",True) # u'$corp_sel' on line 467, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$corp_sel')) # from line 467, col 9.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_80584346
        else: # generated from line 469, col 5
            write(u'''        <td colspan="2">
        <input type="hidden" name="corpname" value="''')
            _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 471, col 53
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 471, col 53.
            write(u'''" />
''')
        write(u'''    </td>
    </tr>
</tbody>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_69513392
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def subcorp_sel(self, nameid='usesubcorp', **KWS):



        ## CHEETAH: generated from #def subcorp_sel($nameid='usesubcorp') at line 480, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Select subcorpus
        write(u'''
''')
        if VFFSL(SL,"LastSubcorp",True): # generated from line 483, col 1
            write(u'''  <select name="''')
            _v = VFFSL(SL,"nameid",True) # u'$nameid' on line 484, col 17
            if _v is not None: write(_filter(_v, rawExpr=u'$nameid')) # from line 484, col 17.
            write(u'''" id="''')
            _v = VFFSL(SL,"nameid",True) # u'$nameid' on line 484, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$nameid')) # from line 484, col 30.
            write(u'''">
    <option value="">''')
            if False:
                _("whole corpus")
            _v = VFFSL(SL,"_",False)("whole corpus") # u'$_("whole corpus")' on line 485, col 22
            if _v is not None: write(_filter(_v, rawExpr=u'$_("whole corpus")')) # from line 485, col 22.
            write(u'''</option>
''')
            for l in VFFSL(SL,"LastSubcorp",True): # generated from line 486, col 5
                write(u'''      <option
''')
                if VFFSL(SL,"l.n",True) == VFFSL(SL,"getVar",False)(VFFSL(SL,"nameid",True), ''): # generated from line 488, col 7
                    write(u'''        selected
''')
                write(u'''      >''')
                _v = VFFSL(SL,"l.n",True) # u'$l.n' on line 491, col 8
                if _v is not None: write(_filter(_v, rawExpr=u'$l.n')) # from line 491, col 8.
                write(u'''</option>
''')
            write(u'''    </select>
    <i>
    <a href="subcorp?''')
            _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 495, col 22
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 495, col 22.
            write(u'''">''')
            if False:
                _("info")
            _v = VFFSL(SL,"_",False)("info") # u'$_("info")' on line 495, col 37
            if _v is not None: write(_filter(_v, rawExpr=u'$_("info")')) # from line 495, col 37.
            write(u'''</a>
    </i>
''')
        write(u'''<i>
''')
        if not VFFSL(SL,"_anonymous",True): # generated from line 499, col 1
            write(u'''  <a href="subcorp_form?''')
            _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 500, col 25
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 500, col 25.
            write(u'''">''')
            if False:
                _("create new")
            _v = VFFSL(SL,"_",False)("create new") # u'$_("create new")' on line 500, col 40
            if _v is not None: write(_filter(_v, rawExpr=u'$_("create new")')) # from line 500, col 40.
            write(u'''</a>
''')
        write(u'''</i>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def input_hidden(self, **KWS):



        ## CHEETAH: generated from #def input_hidden at line 506, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Global form parameters
        write(u'''
''')
        for qq in VFFSL(SL,"Q",True): # generated from line 509, col 1
            write(u'''  <input type="hidden" name="q" value="''')
            _v = VFFSL(SL,"qq",True)['q'] # u'${qq[\'q\'], also=\'"\'}' on line 510, col 40
            if _v is not None: write(_filter(_v, also='"', rawExpr=u'${qq[\'q\'], also=\'"\'}')) # from line 510, col 40.
            write(u'''" />
''')
        for g in VFFSL(SL,"Globals",True): # generated from line 512, col 1
            write(u'''  <input type="hidden" name="''')
            _v = VFFSL(SL,"g.name",True) # u'$g.name' on line 513, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$g.name')) # from line 513, col 30.
            write(u'''" value="''')
            _v = VFFSL(SL,"g.value",True) # u'$g.value' on line 513, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$g.value')) # from line 513, col 46.
            write(u'''" />
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def tt_sel(self, **KWS):



        ## CHEETAH: generated from #def tt_sel at line 518, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Text Types
        showhiddenlist = VFN(VFFSL(SL,"getVar",False)("showhidden", ''),"split",False)(".")
        write(u'''  <div class="text-type-params">
  <div class="text-type-top-bar">
''')
        for nn in VFFSL(SL,"TextTypeSel",True)['Normslist']: # generated from line 523, col 7
            if VFFSL(SL,"nn.n",True) == VFFSL(SL,"subcnorm",True): # generated from line 524, col 9
                write(u'''          <b>
''')
            write(u'''        <a href="''')
            _v = VFFSL(SL,"methodname",True) # u'$methodname' on line 527, col 18
            if _v is not None: write(_filter(_v, rawExpr=u'$methodname')) # from line 527, col 18.
            write(u'''?''')
            _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 527, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 527, col 30.
            write(u''';reload=1;subcnorm=''')
            _v = VFFSL(SL,"nn",True)['n'] # u"$nn['n']" on line 527, col 62
            if _v is not None: write(_filter(_v, rawExpr=u"$nn['n']")) # from line 527, col 62.
            write(u'''">''')
            _v = VFFSL(SL,"nn",True)['label'] # u"$nn['label']" on line 527, col 72
            if _v is not None: write(_filter(_v, rawExpr=u"$nn['label']")) # from line 527, col 72.
            write(u'''</a>
''')
            if VFFSL(SL,"nn.n",True) == VFFSL(SL,"subcnorm",True): # generated from line 528, col 9
                write(u'''          </b>
''')
        write(u'''  </div>
''')
        for t in VFFSL(SL,"TextTypeSel",True)['Blocks']: # generated from line 533, col 3
            for l in VFFSL(SL,"t",True)['Line']: # generated from line 534, col 5
                write(u'''
    <table class="envelope" border="0">
      <thead class="fixed">
        <tr>
        <th>''')
                if False:
                    _(VFFSL(SL,"l",True)['label'])
                _v = VFFSL(SL,"_",False)(VFFSL(SL,"l",True)['label']) # u"$_($l['label'])" on line 539, col 13
                if _v is not None: write(_filter(_v, rawExpr=u"$_($l['label'])")) # from line 539, col 13.
                write(u'''</th>
''')
                if VFFSL(SL,"TextTypeSel",True)['Normslist'] and not VFN(VFFSL(SL,"l",True),"has_key",False)('textboxlength') and not VFN(VFFSL(SL,"l",True),"has_key",False)('hierarchical'): # generated from line 540, col 7
                    write(u'''        <th></th>
''')
                write(u'''        </tr>
      </thead>
      <tbody class="scrollable">
''')
                if VFFSL(SL,"l.attr_doc",True): # generated from line 546, col 7
                    write(u'''        <tr><td><i><a href="''')
                    _v = VFFSL(SL,"l.attr_doc",True) # u'$l.attr_doc' on line 547, col 29
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.attr_doc')) # from line 547, col 29.
                    write(u'''">''')
                    _v = VFFSL(SL,"l.attr_doc_label",True) # u'$l.attr_doc_label' on line 547, col 42
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.attr_doc_label')) # from line 547, col 42.
                    write(u'''</a></i></td></tr>
''')
                if VFN(VFFSL(SL,"l",True),"has_key",False)('Values'): # generated from line 549, col 7
                    if VFN(VFFSL(SL,"l",True),"has_key",False)('hierarchical'): # generated from line 550, col 9
                        write(u'''          <tr><td>
              <ul>
''')
                        hsep = VFFSL(SL,"l",True)['hierarchical']
                        for v in VFFSL(SL,"l",True)['Values']: # generated from line 554, col 11
                            if VFFSL(SL,"v",True)['startdiv']: # generated from line 555, col 13
                                hidden = ("div_"+VFFSL(SL,"v",True)['key'] in VFFSL(SL,"showhiddenlist",True)) and 'class="visible"' or 'class="hidden"'
                                write(u'''              <ul id="div_''')
                                _v = VFFSL(SL,"v",True)['key'] # u"$v['key']" on line 557, col 27
                                if _v is not None: write(_filter(_v, rawExpr=u"$v['key']")) # from line 557, col 27.
                                write(u'''" ''')
                                _v = VFFSL(SL,"hidden",True) # u'$hidden' on line 557, col 38
                                if _v is not None: write(_filter(_v, rawExpr=u'$hidden')) # from line 557, col 38.
                                write(u'''>
''')
                            write(u'''            <li>
''')
                            if VFFSL(SL,"v",True)['display_plus']: # generated from line 560, col 13
                                icon = ("div_"+VFFSL(SL,"v",True)['key']+VFFSL(SL,"hsep",True)+VFFSL(SL,"v",True)['label'] in VFFSL(SL,"showhiddenlist",True)) and 'minus' or 'plus'
                                write(u'''            <img class="plus-minus" src="''')
                                _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 562, col 42
                                if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 562, col 42.
                                write(u'''/img/''')
                                _v = VFFSL(SL,"icon",True) # u'${icon}' on line 562, col 58
                                if _v is not None: write(_filter(_v, rawExpr=u'${icon}')) # from line 562, col 58.
                                write(u'''.png" id="div_''')
                                _v = VFFSL(SL,"v",True)['key'] # u"$v['key']" on line 562, col 79
                                if _v is not None: write(_filter(_v, rawExpr=u"$v['key']")) # from line 562, col 79.
                                _v = VFFSL(SL,"hsep",True) # u'$hsep' on line 562, col 88
                                if _v is not None: write(_filter(_v, rawExpr=u'$hsep')) # from line 562, col 88.
                                _v = VFFSL(SL,"v",True)['label'] # u"${v['label']}" on line 562, col 93
                                if _v is not None: write(_filter(_v, rawExpr=u"${v['label']}")) # from line 562, col 93.
                                write(u'''img" alt="''')
                                if False:
                                    _("hide/show")
                                _v = VFFSL(SL,"_",False)("hide/show") # u'$_("hide/show")' on line 562, col 116
                                if _v is not None: write(_filter(_v, rawExpr=u'$_("hide/show")')) # from line 562, col 116.
                                write(u'''"
                data-elementid="div_''')
                                _v = VFFSL(SL,"v",True)['key'] # u"$v['key']" on line 563, col 37
                                if _v is not None: write(_filter(_v, rawExpr=u"$v['key']")) # from line 563, col 37.
                                _v = VFFSL(SL,"hsep",True) # u'$hsep' on line 563, col 46
                                if _v is not None: write(_filter(_v, rawExpr=u'$hsep')) # from line 563, col 46.
                                _v = VFFSL(SL,"v",True)['label'] # u"$v['label']" on line 563, col 51
                                if _v is not None: write(_filter(_v, rawExpr=u"$v['label']")) # from line 563, col 51.
                                write(u'''" data-storeval="1" data-path="''')
                                _v = VFFSL(SL,"files_path",True) # u'${files_path}' on line 563, col 93
                                if _v is not None: write(_filter(_v, rawExpr=u'${files_path}')) # from line 563, col 93.
                                write(u'''" />
''')
                            else: # generated from line 564, col 13
                                write(u'''            <img src="''')
                                _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 565, col 23
                                if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 565, col 23.
                                write(u'''/img/grey.png" alt="''')
                                if False:
                                    _("leaf")
                                _v = VFFSL(SL,"_",False)("leaf") # u'$_("leaf")' on line 565, col 54
                                if _v is not None: write(_filter(_v, rawExpr=u'$_("leaf")')) # from line 565, col 54.
                                write(u'''" width="13" height="0" class="opaque" />
''')
                            if VFFSL(SL,"v",True)['v']: # generated from line 567, col 13
                                write(u'''              <input type="checkbox" name="sca_''')
                                _v = VFFSL(SL,"l",True)['name'] # u"$l['name']" on line 568, col 48
                                if _v is not None: write(_filter(_v, rawExpr=u"$l['name']")) # from line 568, col 48.
                                write(u'''" value="''')
                                _v = VFFSL(SL,"v",True)['v'] # u"$v['v']" on line 568, col 67
                                if _v is not None: write(_filter(_v, rawExpr=u"$v['v']")) # from line 568, col 67.
                                write(u'''" />
                <label for="sca_''')
                                _v = VFFSL(SL,"l",True)['name'] # u"$l['name']" on line 569, col 33
                                if _v is not None: write(_filter(_v, rawExpr=u"$l['name']")) # from line 569, col 33.
                                write(u'''">''')
                                if False:
                                    _(VFFSL(SL,"v",True)['label'])
                                _v = VFFSL(SL,"_",False)(VFFSL(SL,"v",True)['label']) # u"$_($v['label'])" on line 569, col 45
                                if _v is not None: write(_filter(_v, rawExpr=u"$_($v['label'])")) # from line 569, col 45.
                                write(u'''</label>
''')
                                if VFFSL(SL,"TextTypeSel",True)['Normslist'] and not VFN(VFFSL(SL,"l",True),"has_key",False)('textboxlength'): # generated from line 570, col 15
                                    write(u'''                (''')
                                    _v = VFN(VFFSL(SL,"v",True),"get",False)('xcnt', '') # u"$v.get('xcnt', '')" on line 571, col 18
                                    if _v is not None: write(_filter(_v, rawExpr=u"$v.get('xcnt', '')")) # from line 571, col 18.
                                    write(u''')
''')
                            if not VFFSL(SL,"v",True)['display_plus']: # generated from line 574, col 13
                                write(u'''            </li>
''')
                            for i in VFFSL(SL,"range",False)(VFFSL(SL,"v",True)['enddiv']): # generated from line 577, col 13
                                write(u'''              </ul></li>
''')
                        write(u'''          </ul></td></tr>
''')
                    else: # generated from line 582, col 9
                        i = 0
                        for v in VFFSL(SL,"l",True)['Values']: # generated from line 584, col 11
                            if 'v' in VFFSL(SL,"v",True): # generated from line 585, col 13
                                write(u'''              <tr  ''')
                                if VFFSL(SL,"i",True) % 2 == 0: # generated from line 586, col 20
                                    write(u'''class="even"''')
                                write(u'''>
                <td class="separ">
''')
                                checked = ''
                                if VFFSL(SL,"varExists",False)('checked_sca'): # generated from line 589, col 21
                                    item_value = VFFSL(SL,"v",True)['v']
                                    if VFFSL(SL,"item_value",True) in VFFSL(SL,"checked_sca",True): # generated from line 591, col 25
                                        checked = 'checked="checked"'
                                write(u'''                    <input id="sca.''')
                                _v = VFFSL(SL,"i",True) # u'$i' on line 595, col 36
                                if _v is not None: write(_filter(_v, rawExpr=u'$i')) # from line 595, col 36.
                                write(u'''.''')
                                _v = VFFSL(SL,"l",True)['name'] # u"$l['name']" on line 595, col 39
                                if _v is not None: write(_filter(_v, rawExpr=u"$l['name']")) # from line 595, col 39.
                                write(u'''" type="checkbox" name="sca_''')
                                _v = VFFSL(SL,"l",True)['name'] # u"$l['name']" on line 595, col 77
                                if _v is not None: write(_filter(_v, rawExpr=u"$l['name']")) # from line 595, col 77.
                                write(u'''" value="''')
                                if VFFSL(SL,"v",True)['v']: # generated from line 595, col 96
                                    if False:
                                        _(VFFSL(SL,"v",True)['v'])
                                    _v = VFFSL(SL,"_",False)(VFFSL(SL,"v",True)['v']) # u"$_($v['v'])" on line 595, col 108
                                    if _v is not None: write(_filter(_v, rawExpr=u"$_($v['v'])")) # from line 595, col 108.
                                else: # generated from line 595, col 119
                                    _v = VFFSL(SL,"empty_attr_value_placeholder",True) # u'$empty_attr_value_placeholder' on line 595, col 125
                                    if _v is not None: write(_filter(_v, rawExpr=u'$empty_attr_value_placeholder')) # from line 595, col 125.
                                write(u'''" ''')
                                _v = VFFSL(SL,"checked",True) # u'$checked' on line 595, col 164
                                if _v is not None: write(_filter(_v, rawExpr=u'$checked')) # from line 595, col 164.
                                write(u''' />
                    <label for="sca.''')
                                _v = VFFSL(SL,"i",True) # u'$i' on line 596, col 37
                                if _v is not None: write(_filter(_v, rawExpr=u'$i')) # from line 596, col 37.
                                write(u'''.''')
                                _v = VFFSL(SL,"l",True)['name'] # u"$l['name']" on line 596, col 40
                                if _v is not None: write(_filter(_v, rawExpr=u"$l['name']")) # from line 596, col 40.
                                write(u'''">''')
                                if VFFSL(SL,"v",True)['v']: # generated from line 596, col 52
                                    if False:
                                        _(VFFSL(SL,"v",True)['v'])
                                    _v = VFFSL(SL,"_",False)(VFFSL(SL,"v",True)['v']) # u"$_($v['v'])" on line 596, col 64
                                    if _v is not None: write(_filter(_v, rawExpr=u"$_($v['v'])")) # from line 596, col 64.
                                else: # generated from line 596, col 75
                                    _v = VFFSL(SL,"empty_attr_value_placeholder",True) # u'$empty_attr_value_placeholder' on line 596, col 81
                                    if _v is not None: write(_filter(_v, rawExpr=u'$empty_attr_value_placeholder')) # from line 596, col 81.
                                write(u'''</label>
                </td>
''')
                                if VFFSL(SL,"TextTypeSel",True)['Normslist'] and not VFN(VFFSL(SL,"l",True),"has_key",False)('textboxlength') and not VFN(VFFSL(SL,"l",True),"has_key",False)('hierarchical'): # generated from line 598, col 15
                                    write(u'''                <td class="num">''')
                                    _v = VFN(VFFSL(SL,"v",True),"get",False)('xcnt', '') # u"$v.get('xcnt', '')" on line 599, col 33
                                    if _v is not None: write(_filter(_v, rawExpr=u"$v.get('xcnt', '')")) # from line 599, col 33.
                                    write(u'''</td>
''')
                                else: # generated from line 600, col 15
                                    write(u'''                <td></td>
''')
                                write(u'''              </tr>
''')
                            i = VFFSL(SL,"i",True) + 1
                    write(u'''      </tbody>
      <tbody>
     <tr class="last-line"><td>
     <input class="select-all" type="button" data-status="1" data-alt-label="''')
                    if False:
                        _('Deselect all')
                    _v = VFFSL(SL,"_",False)('Deselect all') # u"$_('Deselect all')" on line 611, col 78
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Deselect all')")) # from line 611, col 78.
                    write(u'''" value="''')
                    if False:
                        _('Select all')
                    _v = VFFSL(SL,"_",False)('Select all') # u"$_('Select all')" on line 611, col 105
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Select all')")) # from line 611, col 105.
                    write(u'''" />
     </td></tr>
''')
                else: # generated from line 613, col 7
                    write(u'''        <tr>
            <td>
            <input id="scaid_''')
                    _v = VFFSL(SL,"l",True)['name'] # u"$l['name']" on line 616, col 30
                    if _v is not None: write(_filter(_v, rawExpr=u"$l['name']")) # from line 616, col 30.
                    write(u'''" name="sca_''')
                    _v = VFFSL(SL,"l",True)['name'] # u"$l['name']" on line 616, col 52
                    if _v is not None: write(_filter(_v, rawExpr=u"$l['name']")) # from line 616, col 52.
                    write(u'''" type="text" size="''')
                    _v = VFFSL(SL,"l",True)['textboxlength'] # u"$l['textboxlength']" on line 616, col 82
                    if _v is not None: write(_filter(_v, rawExpr=u"$l['textboxlength']")) # from line 616, col 82.
                    write(u'''" />
            </td>
        </tr>
''')
                if VFFSL(SL,"l.attr_doc",True): # generated from line 620, col 7
                    write(u'''        <tr><td><i><a href="''')
                    _v = VFFSL(SL,"l.attr_doc",True) # u'$l.attr_doc' on line 621, col 29
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.attr_doc')) # from line 621, col 29.
                    write(u'''">''')
                    _v = VFFSL(SL,"l.attr_doc_label",True) # u'$l.attr_doc_label' on line 621, col 42
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.attr_doc_label')) # from line 621, col 42.
                    write(u'''</a></i></td></tr>
''')
                write(u'''    </tbody>
    </table>
''')
            write(u'''    <div style="clear: both; height: 20px;">  </div>
''')
        write(u'''  </div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def query_node(self, suff='', filter=False, **KWS):



        ## CHEETAH: generated from #def query_node($suff='',$filter=False) at line 631, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  basic query node form
        write(u'''<tbody>

''')
        if VFFSL(SL,"suff",True): # generated from line 635, col 1
            write(u'''<tr class="required">
    <th></th>
    <td>
        <select name="pcq_pos_neg''')
            _v = VFFSL(SL,"suff",True) # u'$suff' on line 639, col 34
            if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 639, col 34.
            write(u'''">
            <option value="pos">''')
            if False:
                _('Contains')
            _v = VFFSL(SL,"_",False)('Contains') # u"$_('Contains')" on line 640, col 33
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Contains')")) # from line 640, col 33.
            write(u'''</option>
            <option value="neg">''')
            if False:
                _('Does NOT contain')
            _v = VFFSL(SL,"_",False)('Does NOT contain') # u"$_('Does NOT contain')" on line 641, col 33
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Does NOT contain')")) # from line 641, col 33.
            write(u'''</option>
        </select>
    </td>
</tr>
''')
        write(u'''

''')
        querytype = VFFSL(SL,"getVar",False)("queryselector" + VFFSL(SL,"suff",True), '')
        write(u'''
<tr class="required" id="querytypeel''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 650, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 650, col 37.
        write(u'''">
    <th>''')
        if False:
            _("Query Type")
        _v = VFFSL(SL,"_",False)("Query Type") # u'$_("Query Type")' on line 651, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Query Type")')) # from line 651, col 9.
        write(u''':</th>
    <td>
        <select class="qselector" id="queryselector''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 653, col 52
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 653, col 52.
        write(u'''" name="queryselector''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 653, col 78
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 653, col 78.
        write(u'''" data-parallel-corp="''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 653, col 105
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 653, col 105.
        write(u'''">
''')
        selected = (VFFSL(SL,"querytype",True) == 'iqueryrow' or VFFSL(SL,"querytype",True) == '') and 'selected="selected"' or ''
        write(u'''            <option value="iqueryrow" ''')
        _v = VFFSL(SL,"selected",True) # u'$selected' on line 655, col 39
        if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 655, col 39.
        write(u'''>''')
        if False:
            _("Basic")
        _v = VFFSL(SL,"_",False)("Basic") # u'$_("Basic")' on line 655, col 49
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Basic")')) # from line 655, col 49.
        write(u'''</option>
''')
        if VFFSL(SL,"getVar",False)('has_lemmaattr' + VFFSL(SL,"suff",True), ''): # generated from line 656, col 13
            selected = (VFFSL(SL,"querytype",True) == 'lemmarow') and 'selected="selected"' or ''
            write(u'''            <option value="lemmarow" ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 658, col 38
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 658, col 38.
            write(u'''>''')
            if False:
                _("Lemma")
            _v = VFFSL(SL,"_",False)("Lemma") # u'$_("Lemma")' on line 658, col 48
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Lemma")')) # from line 658, col 48.
            write(u'''</option>
''')
        selected = (VFFSL(SL,"querytype",True) == 'phraserow') and 'selected="selected"' or ''
        write(u'''            <option value="phraserow" ''')
        _v = VFFSL(SL,"selected",True) # u'$selected' on line 661, col 39
        if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 661, col 39.
        write(u'''>''')
        if False:
            _("Phrase")
        _v = VFFSL(SL,"_",False)("Phrase") # u'$_("Phrase")' on line 661, col 49
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Phrase")')) # from line 661, col 49.
        write(u'''</option>
''')
        selected = (VFFSL(SL,"querytype",True) == 'wordrow') and 'selected="selected"' or ''
        write(u'''            <option value="wordrow" ''')
        _v = VFFSL(SL,"selected",True) # u'$selected' on line 663, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 663, col 37.
        write(u'''>''')
        if False:
            _("Word Form")
        _v = VFFSL(SL,"_",False)("Word Form") # u'$_("Word Form")' on line 663, col 47
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word Form")')) # from line 663, col 47.
        write(u'''</option>
''')
        selected = (VFFSL(SL,"querytype",True) == 'charrow') and 'selected="selected"' or ''
        write(u'''            <option value="charrow" ''')
        _v = VFFSL(SL,"selected",True) # u'$selected' on line 665, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 665, col 37.
        write(u'''>''')
        if False:
            _("Character")
        _v = VFFSL(SL,"_",False)("Character") # u'$_("Character")' on line 665, col 47
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Character")')) # from line 665, col 47.
        write(u'''</option>
''')
        selected = (VFFSL(SL,"querytype",True) == 'cqlrow') and 'selected="selected"' or ''
        write(u'''            <option value="cqlrow" ''')
        _v = VFFSL(SL,"selected",True) # u'$selected' on line 667, col 36
        if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 667, col 36.
        write(u'''>''')
        if False:
            _("CQL")
        _v = VFFSL(SL,"_",False)("CQL") # u'$_("CQL")' on line 667, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$_("CQL")')) # from line 667, col 46.
        write(u'''</option>
        </select>
  </td>
</tr>

''')
        hidden = (VFFSL(SL,"querytype",True) == 'iqueryrow' or VFFSL(SL,"querytype",True) == '' or                (VFFSL(SL,"querytype",True) == 'lemmarow' and not VFFSL(SL,"has_lemmaattr",True))) and 'visible' or 'hidden'
        write(u'''

''')
        write(u'''
<tr class="required ''')
        _v = VFFSL(SL,"hidden",True) # u'$hidden' on line 678, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$hidden')) # from line 678, col 21.
        write(u'''" id="iqueryrow''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 678, col 43
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 678, col 43.
        write(u'''">
      <th>''')
        if False:
            _("Query")
        _v = VFFSL(SL,"_",False)("Query") # u'$_("Query")' on line 679, col 11
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Query")')) # from line 679, col 11.
        write(u''':</th>
      <td>
        <ul class="query-toolbox">
            <li><a class="virtual-keyboard-trigger" href=#">''')
        if False:
            _('keyboard')
        _v = VFFSL(SL,"_",False)('keyboard') # u"$_('keyboard')" on line 682, col 61
        if _v is not None: write(_filter(_v, rawExpr=u"$_('keyboard')")) # from line 682, col 61.
        write(u'''</a></li>
        </ul>
        <input type="text" id="iquery''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 684, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 684, col 38.
        write(u'''" class="spec-chars iquery-input" name="iquery''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 684, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 684, col 89.
        write(u'''" value="''')
        _v = VFFSL(SL,"getVar",False)('iquery' + VFFSL(SL,"suff",True), '') # u"$getVar('iquery' + $suff, '')" on line 684, col 103
        if _v is not None: write(_filter(_v, rawExpr=u"$getVar('iquery' + $suff, '')")) # from line 684, col 103.
        write(u'''" />
      </td>
</tr>

''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 688, col 1
            hidden = (VFFSL(SL,"querytype",True) == 'lemmarow') and 'visible' or 'hidden'
            write(u'''    <tr class="required ''')
            _v = VFFSL(SL,"hidden",True) # u'$hidden' on line 690, col 25
            if _v is not None: write(_filter(_v, rawExpr=u'$hidden')) # from line 690, col 25.
            write(u'''" id="lemmarow''')
            _v = VFFSL(SL,"suff",True) # u'$suff' on line 690, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 690, col 46.
            write(u'''">
        <th>''')
            if False:
                _("Lemma")
            _v = VFFSL(SL,"_",False)("Lemma") # u'$_("Lemma")' on line 691, col 13
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Lemma")')) # from line 691, col 13.
            write(u''':</th>
        <td>
            <ul class="query-toolbox">
                <li><a class="virtual-keyboard-trigger" href=#">''')
            if False:
                _('keyboard')
            _v = VFFSL(SL,"_",False)('keyboard') # u"$_('keyboard')" on line 694, col 65
            if _v is not None: write(_filter(_v, rawExpr=u"$_('keyboard')")) # from line 694, col 65.
            write(u'''</a></li>
            </ul>
''')
            if VFFSL(SL,"q",True): # generated from line 696, col 13
                write(u'''            <input type="text" name="lemma''')
                _v = VFFSL(SL,"suff",True) # u'$suff' on line 697, col 43
                if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 697, col 43.
                write(u'''" size="60" id="lemma''')
                _v = VFFSL(SL,"suff",True) # u'$suff' on line 697, col 69
                if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 697, col 69.
                write(u'''" class="search lemma-input" />
''')
            else: # generated from line 698, col 13
                write(u'''            <input type="text" name="lemma''')
                _v = VFFSL(SL,"suff",True) # u'$suff' on line 699, col 43
                if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 699, col 43.
                write(u'''" value="''')
                _v = VFFSL(SL,"getVar",False)('lemma' + VFFSL(SL,"suff",True), '') # u"$getVar('lemma' + $suff, '')" on line 699, col 57
                if _v is not None: write(_filter(_v, rawExpr=u"$getVar('lemma' + $suff, '')")) # from line 699, col 57.
                write(u'''" id="lemma''')
                _v = VFFSL(SL,"suff",True) # u'$suff' on line 699, col 96
                if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 699, col 96.
                write(u'''" class="spec-chars lemma-input" />
''')
            write(u'''
''')
            if VFFSL(SL,"Lposlist",True): # generated from line 702, col 13
                write(u'''            <span class="no-wrap">
                ''')
                if False:
                    _("PoS")
                _v = VFFSL(SL,"_",False)("PoS") # u'$_("PoS")' on line 704, col 17
                if _v is not None: write(_filter(_v, rawExpr=u'$_("PoS")')) # from line 704, col 17.
                write(u''':
                <select name="lpos''')
                _v = VFFSL(SL,"suff",True) # u'$suff' on line 705, col 35
                if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 705, col 35.
                write(u'''">
                    <option value="">''')
                if False:
                    _("unspecified")
                _v = VFFSL(SL,"_",False)("unspecified") # u'$_("unspecified")' on line 706, col 38
                if _v is not None: write(_filter(_v, rawExpr=u'$_("unspecified")')) # from line 706, col 38.
                write(u'''</option>
''')
                for lp in VFFSL(SL,"Lposlist",True): # generated from line 707, col 21
                    write(u'''                        <option value="''')
                    _v = VFFSL(SL,"lp.v",True) # u'$lp.v' on line 708, col 40
                    if _v is not None: write(_filter(_v, rawExpr=u'$lp.v')) # from line 708, col 40.
                    write(u'''" ''')
                    if VFFSL(SL,"lp.v",True) == VFFSL(SL,"getVar",False)('lpos' + VFFSL(SL,"suff",True), ''): # generated from line 708, col 47
                        write(u'''selected="selected"''')
                    write(u'''>''')
                    _v = VFFSL(SL,"lp.n",True) # u'$lp.n' on line 708, col 116
                    if _v is not None: write(_filter(_v, rawExpr=u'$lp.n')) # from line 708, col 116.
                    write(u'''</option>
''')
                write(u'''                </select>
            </span>
''')
            write(u'''        </td>
    </tr>
''')
        write(u'''
''')
        hidden = (VFFSL(SL,"querytype",True) == 'phraserow') and 'visible' or 'hidden'
        write(u'''<tr class="required ''')
        _v = VFFSL(SL,"hidden",True) # u'$hidden' on line 718, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$hidden')) # from line 718, col 21.
        write(u'''" id="phraserow''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 718, col 43
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 718, col 43.
        write(u'''">
    <th>''')
        if False:
            _("Phrase")
        _v = VFFSL(SL,"_",False)("Phrase") # u'$_("Phrase")' on line 719, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Phrase")')) # from line 719, col 9.
        write(u''':</th>
    <td>
        <ul class="query-toolbox">
            <li><a class="virtual-keyboard-trigger" href=#">''')
        if False:
            _('keyboard')
        _v = VFFSL(SL,"_",False)('keyboard') # u"$_('keyboard')" on line 722, col 61
        if _v is not None: write(_filter(_v, rawExpr=u"$_('keyboard')")) # from line 722, col 61.
        write(u'''</a></li>
        </ul>
        <input type="text" name="phrase''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 724, col 40
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 724, col 40.
        write(u'''" value="''')
        _v = VFFSL(SL,"getVar",False)('phrase' + VFFSL(SL,"suff",True), '') # u"$getVar('phrase' + $suff, '')" on line 724, col 54
        if _v is not None: write(_filter(_v, rawExpr=u"$getVar('phrase' + $suff, '')")) # from line 724, col 54.
        write(u'''" id="phrase''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 724, col 95
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 724, col 95.
        write(u'''" class="spec-chars phrase-input" />
    </td>
</tr>

''')
        hidden = (VFFSL(SL,"querytype",True) == 'wordrow') and 'visible' or 'hidden'
        write(u'''<tr class="required ''')
        _v = VFFSL(SL,"hidden",True) # u'$hidden' on line 729, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$hidden')) # from line 729, col 21.
        write(u'''" id="wordrow''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 729, col 41
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 729, col 41.
        write(u'''">
    <th>''')
        if False:
            _("Word Form")
        _v = VFFSL(SL,"_",False)("Word Form") # u'$_("Word Form")' on line 730, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word Form")')) # from line 730, col 9.
        write(u''':</th>
    <td>
        <ul class="query-toolbox">
            <li><a class="virtual-keyboard-trigger" href=#">''')
        if False:
            _('keyboard')
        _v = VFFSL(SL,"_",False)('keyboard') # u"$_('keyboard')" on line 733, col 61
        if _v is not None: write(_filter(_v, rawExpr=u"$_('keyboard')")) # from line 733, col 61.
        write(u'''</a></li>
        </ul>
        <input type="text" name="word''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 735, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 735, col 38.
        write(u'''" value="''')
        _v = VFFSL(SL,"getVar",False)('word' + VFFSL(SL,"suff",True), '') # u"$getVar('word' + $suff, '')" on line 735, col 52
        if _v is not None: write(_filter(_v, rawExpr=u"$getVar('word' + $suff, '')")) # from line 735, col 52.
        write(u'''" id="word''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 735, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 735, col 89.
        write(u'''" class="spec-chars word-input" />
''')
        if VFFSL(SL,"Wposlist",True): # generated from line 736, col 9
            write(u'''        <span class="no-wrap">
            ''')
            if False:
                _("PoS")
            _v = VFFSL(SL,"_",False)("PoS") # u'$_("PoS")' on line 738, col 13
            if _v is not None: write(_filter(_v, rawExpr=u'$_("PoS")')) # from line 738, col 13.
            write(u''':
            <select name="wpos''')
            _v = VFFSL(SL,"suff",True) # u'$suff' on line 739, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 739, col 31.
            write(u'''">
                <option value="">''')
            if False:
                _("unspecified")
            _v = VFFSL(SL,"_",False)("unspecified") # u'$_("unspecified")' on line 740, col 34
            if _v is not None: write(_filter(_v, rawExpr=u'$_("unspecified")')) # from line 740, col 34.
            write(u'''</option>
''')
            for wp in VFFSL(SL,"Wposlist",True): # generated from line 741, col 17
                write(u'''                <option value="''')
                _v = VFFSL(SL,"wp.v",True) # u'$wp.v' on line 742, col 32
                if _v is not None: write(_filter(_v, rawExpr=u'$wp.v')) # from line 742, col 32.
                write(u'''"
                ''')
                if VFFSL(SL,"wp.v",True) == VFFSL(SL,"getVar",False)('wpos' + VFFSL(SL,"suff",True), ''): # generated from line 743, col 17
                    write(u'''selected="selected"''')
                write(u'''>''')
                _v = VFFSL(SL,"wp.n",True) # u'$wp.n' on line 743, col 86
                if _v is not None: write(_filter(_v, rawExpr=u'$wp.n')) # from line 743, col 86.
                write(u'''</option>
''')
            write(u'''            </select>
        </span>
''')
        write(u'''        <span class="no-wrap">
            <label>''')
        if False:
            _("Match case")
        _v = VFFSL(SL,"_",False)("Match case") # u'$_("Match case")' on line 749, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Match case")')) # from line 749, col 20.
        write(u''':</label>
            <input type="checkbox" name="qmcase''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 750, col 48
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 750, col 48.
        write(u'''" value="1" ''')
        if VFFSL(SL,"getVar",False)('qmcase' + VFFSL(SL,"suff",True), ''): # generated from line 750, col 65
            write(u'''checked''')
        write(u''' />
        </span>
    </td>
</tr>

''')
        hidden = (VFFSL(SL,"querytype",True) == 'charrow') and 'visible' or 'hidden'
        write(u'''<tr class="required ''')
        _v = VFFSL(SL,"hidden",True) # u'$hidden' on line 756, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$hidden')) # from line 756, col 21.
        write(u'''" id="charrow''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 756, col 41
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 756, col 41.
        write(u'''">
    <th>''')
        if False:
            _("Character")
        _v = VFFSL(SL,"_",False)("Character") # u'$_("Character")' on line 757, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Character")')) # from line 757, col 9.
        write(u''':</th>
    <td>
        <ul class="query-toolbox">
            <li><a class="virtual-keyboard-trigger" href=#">''')
        if False:
            _('keyboard')
        _v = VFFSL(SL,"_",False)('keyboard') # u"$_('keyboard')" on line 760, col 61
        if _v is not None: write(_filter(_v, rawExpr=u"$_('keyboard')")) # from line 760, col 61.
        write(u'''</a></li>
        </ul>
        <input type="text" name="char''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 762, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 762, col 38.
        write(u'''" value="''')
        _v = VFFSL(SL,"getVar",False)('char' + VFFSL(SL,"suff",True), '') # u"$getVar('char' + $suff, '')" on line 762, col 52
        if _v is not None: write(_filter(_v, rawExpr=u"$getVar('char' + $suff, '')")) # from line 762, col 52.
        write(u'''" id="char''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 762, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 762, col 89.
        write(u'''" class="spec-chars char-input" />
    </td>
</tr>

''')
        hidden = (VFFSL(SL,"querytype",True) == 'cqlrow') and 'visible' or 'hidden'
        write(u'''<tr class="required ''')
        _v = VFFSL(SL,"hidden",True) # u'$hidden' on line 767, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$hidden')) # from line 767, col 21.
        write(u'''" id="cqlrow''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 767, col 40
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 767, col 40.
        write(u'''">
    <th title="''')
        if False:
            _("Corpus Query Language")
        _v = VFFSL(SL,"_",False)("Corpus Query Language") # u'$_("Corpus Query Language")' on line 768, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Corpus Query Language")')) # from line 768, col 16.
        write(u'''">''')
        if False:
            _("CQL")
        _v = VFFSL(SL,"_",False)("CQL") # u'$_("CQL")' on line 768, col 45
        if _v is not None: write(_filter(_v, rawExpr=u'$_("CQL")')) # from line 768, col 45.
        write(u''':</th>
    <td>
''')
        if not (VFFSL(SL,"suff",True)):
            write(u'''        <div id="tag-builder-modal" class="modal-container" style="display: none">
            <h3>''')
            if False:
                _('Create a tag')
            _v = VFFSL(SL,"_",False)('Create a tag') # u"$_('Create a tag')" on line 772, col 17
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Create a tag')")) # from line 772, col 17.
            write(u'''</h3>
            <div id="tag-display"></div>
            <button id="insert-tag-button" type="button">''')
            if False:
                _('Insert')
            _v = VFFSL(SL,"_",False)('Insert') # u"$_('Insert')" on line 774, col 58
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Insert')")) # from line 774, col 58.
            write(u'''</button>
            <button id="reset-tag-button" type="button">''')
            if False:
                _('Reset')
            _v = VFFSL(SL,"_",False)('Reset') # u"$_('Reset')" on line 775, col 57
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Reset')")) # from line 775, col 57.
            write(u'''</button>
            <div id="tag-widget"></div>
        </div>
        <div id="within-builder-modal" class="modal-container" style="display: none">
            <h3>''')
            if False:
                _('Create a within condition')
            _v = VFFSL(SL,"_",False)('Create a within condition') # u"$_('Create a within condition')" on line 779, col 17
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Create a within condition')")) # from line 779, col 17.
            write(u'''</h3>
            <div class="inputs">
                <span class="selection-container"></span> = <input id="within-value" type="text" />
                <button id="within-insert-button" type="button">''')
            if False:
                _('Insert')
            _v = VFFSL(SL,"_",False)('Insert') # u"$_('Insert')" on line 782, col 65
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Insert')")) # from line 782, col 65.
            write(u'''</button>
            </div>
        </div>
''')
        write(u'''
        <ul class="query-toolbox">
''')
        if VFFSL(SL,"suff",True) in VFFSL(SL,"tag_builder_support",True) and VFFSL(SL,"tag_builder_support",True)[VFFSL(SL,"suff",True)] is True: # generated from line 788, col 13
            write(u'''            <li class="insert-tag"><a data-bound-input="cql''')
            _v = VFFSL(SL,"suff",True) # u'$suff' on line 789, col 60
            if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 789, col 60.
            write(u'''">''')
            if False:
                _('insert tag')
            _v = VFFSL(SL,"_",False)('insert tag') # u"$_('insert tag')" on line 789, col 67
            if _v is not None: write(_filter(_v, rawExpr=u"$_('insert tag')")) # from line 789, col 67.
            write(u'''</a></li>
''')
        write(u'''            <li class="within"><a data-bound-input="cql''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 791, col 56
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 791, col 56.
        write(u'''">''')
        if False:
            _('insert "within"')
        _v = VFFSL(SL,"_",False)('insert "within"') # u'$_(\'insert "within"\')' on line 791, col 63
        if _v is not None: write(_filter(_v, rawExpr=u'$_(\'insert "within"\')')) # from line 791, col 63.
        write(u'''</a></li>
            <li><a class="virtual-keyboard-trigger" href=#">''')
        if False:
            _('keyboard')
        _v = VFFSL(SL,"_",False)('keyboard') # u"$_('keyboard')" on line 792, col 61
        if _v is not None: write(_filter(_v, rawExpr=u"$_('keyboard')")) # from line 792, col 61.
        write(u'''</a></li>
        </ul>
        <input id="cql''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 794, col 23
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 794, col 23.
        write(u'''" class="spec-chars cql-input" type="text" name="cql''')
        _v = VFFSL(SL,"suff",True) # u'$suff' on line 794, col 80
        if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 794, col 80.
        write(u'''" value=\'''')
        _v = VFFSL(SL,"getVar",False)('cql' + VFFSL(SL,"suff",True), '') # u"$getVar('cql' + $suff, '')" on line 794, col 94
        if _v is not None: write(_filter(_v, rawExpr=u"$getVar('cql' + $suff, '')")) # from line 794, col 94.
        write(u"""' />

""")
        if not VFFSL(SL,"suff",True): # generated from line 796, col 9
            write(u'''        <span class="no-wrap">
            ''')
            if False:
                _("Default attribute")
            _v = VFFSL(SL,"_",False)("Default attribute") # u'$_("Default attribute")' on line 798, col 13
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Default attribute")')) # from line 798, col 13.
            write(u''':
            <select name="default_attr''')
            _v = VFFSL(SL,"suff",True) # u'$suff' on line 799, col 39
            if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 799, col 39.
            write(u'''">
''')
            for a in VFFSL(SL,"AttrList",True): # generated from line 800, col 17
                write(u'''                <option value="''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 801, col 32
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 801, col 32.
                write(u'''" ''')
                if VFFSL(SL,"a.n",True) == VFFSL(SL,"getVar",False)('default_attr' + VFFSL(SL,"suff",True), ''): # generated from line 801, col 38
                    write(u'''selected="selected" ''')
                write(u'''>''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 801, col 115
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 801, col 115.
                write(u'''</option>
''')
            write(u'''            </select>

''')
            if VFFSL(SL,"tagsetdoc",True): # generated from line 805, col 13
                write(u'''            <a target="_blank" href="''')
                _v = VFFSL(SL,"tagsetdoc",True) # u'$tagsetdoc' on line 806, col 38
                if _v is not None: write(_filter(_v, rawExpr=u'$tagsetdoc')) # from line 806, col 38.
                write(u'''">''')
                if False:
                    _("Tagset summary")
                _v = VFFSL(SL,"_",False)("Tagset summary") # u'$_("Tagset summary")' on line 806, col 50
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Tagset summary")')) # from line 806, col 50.
                write(u'''</a>
''')
            write(u'''        </span>
''')
        write(u'''    </td>
</tr>
</tbody>

''')
        if VFFSL(SL,"suff",True): # generated from line 814, col 1
            write(u'''<tbody><tr><td colspan="2">
    <input type="checkbox" name="include_empty''')
            _v = VFFSL(SL,"suff",True) # u'$suff' on line 816, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 816, col 47.
            write(u'''" id="include_empty''')
            _v = VFFSL(SL,"suff",True) # u'$suff' on line 816, col 71
            if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 816, col 71.
            write(u'''"
''')
            if VFFSL(SL,"getVar",False)('include_empty'+VFFSL(SL,"suff",True), ''): # generated from line 817, col 5
                write(u'''    checked''')
            write(u'''    />
    <label for="include_empty''')
            _v = VFFSL(SL,"suff",True) # u'$suff' on line 821, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$suff')) # from line 821, col 30.
            write(u'''">''')
            if False:
                _('include empty lines')
            _v = VFFSL(SL,"_",False)('include empty lines') # u"$_('include empty lines')" on line 821, col 37
            if _v is not None: write(_filter(_v, rawExpr=u"$_('include empty lines')")) # from line 821, col 37.
            write(u'''</label>
</td></tr></tbody>
''')
        #  query_node
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def urlquote(self, word, **KWS):



        ## CHEETAH: generated from #def urlquote($word) at line 826, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  quoting strings in URLs
        if VFFSL(SL,"type",False)('') == VFFSL(SL,"type",False)(VFFSL(SL,"word",True)): # generated from line 828, col 3
            return urllib.quote_plus(VFFSL(SL,"word",True))
        else: # generated from line 830, col 3
            return urllib.quote_plus(VFN(VFFSL(SL,"word",True),"encode",False)('utf8'))
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def url_sub(self, url, option_name, new_value, **KWS):



        ## CHEETAH: generated from #def url_sub($url, $option_name, $new_value) at line 835, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  substituting options in URL to change one particular setting
        if not re.search('(^|[;&])%s=[^;&]*([;&]|$)' % VFFSL(SL,"option_name",True), VFFSL(SL,"url",True)): # generated from line 837, col 5
            return VFFSL(SL,"url",True) + ';%s=%s' % (VFFSL(SL,"option_name",True), VFFSL(SL,"new_value",True))
        return re.sub('(^|[;&])%s=[^;&]*([;&]|$)' % VFFSL(SL,"option_name",True), ';%s=%s;' % (VFFSL(SL,"option_name",True), VFFSL(SL,"new_value",True)), VFFSL(SL,"url",True))
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def gdexconf_select(self, select_name, gdexconf, tblex=False, **KWS):



        ## CHEETAH: generated from #def gdexconf_select($select_name, $gdexconf, $tblex=False) at line 843, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        onchange = (VFFSL(SL,"tblex",True)) and 'onchange="this.form.submit();"' or ''
        write(u'''    <select name="''')
        _v = VFFSL(SL,"select_name",True) # u'$select_name' on line 845, col 19
        if _v is not None: write(_filter(_v, rawExpr=u'$select_name')) # from line 845, col 19.
        write(u'''" id="''')
        _v = VFFSL(SL,"select_name",True) # u'$select_name' on line 845, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$select_name')) # from line 845, col 37.
        write(u'''" ''')
        _v = VFFSL(SL,"onchange",True) # u'$onchange' on line 845, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$onchange')) # from line 845, col 51.
        write(u'''>
''')
        if VFFSL(SL,"tblex",True): # generated from line 846, col 9
            write(u'''        <option value=" None " >''')
            if False:
                _("None")
            _v = VFFSL(SL,"_",False)("None") # u'$_("None")' on line 847, col 33
            if _v is not None: write(_filter(_v, rawExpr=u'$_("None")')) # from line 847, col 33.
            write(u'''</option>
''')
        selected = (VFFSL(SL,"gdexconf",True)==" default configuration ") and 'selected="selected"' or ''
        write(u'''        <option value=" default configuration " ''')
        _v = VFFSL(SL,"selected",True) # u'$selected' on line 850, col 49
        if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 850, col 49.
        write(u'''>''')
        if False:
            _("default")
        _v = VFFSL(SL,"_",False)("default") # u'$_("default")' on line 850, col 59
        if _v is not None: write(_filter(_v, rawExpr=u'$_("default")')) # from line 850, col 59.
        write(u'''</option>
''')
        for name in VFFSL(SL,"getVar",False)('Availgdexconfs', {}): # generated from line 851, col 9
            selected = (VFFSL(SL,"name",True)==VFFSL(SL,"gdexconf",True)) and 'selected="selected"' or ''
            write(u'''            <option ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 853, col 21
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 853, col 21.
            write(u''' value="''')
            _v = VFFSL(SL,"name",True) # u'$name' on line 853, col 38
            if _v is not None: write(_filter(_v, rawExpr=u'$name')) # from line 853, col 38.
            write(u'''">''')
            _v = VFFSL(SL,"name",True) # u'$name' on line 853, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$name')) # from line 853, col 45.
            write(u'''</option>
''')
        write(u'''    </select>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # Copyright (c) 2013 Institute of the Czech National Corpus
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        if VFFSL(SL,"format",True) == 'text': # generated from line 24, col 1
            _v = VFFSL(SL,"text",True) # u'$text' on line 25, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$text')) # from line 25, col 1.
            write(u'''
''')
        else: # generated from line 26, col 1
            write(u'''<!DOCTYPE html>
<html>
''')
            _orig_filter_64563955 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            write(u'''<head>
<title>''')
            _v = VFFSL(SL,"title",True) # u'$title' on line 31, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$title')) # from line 31, col 8.
            write(u'''</title>
<meta charset="utf-8" />
''')
            for css_font in VFFSL(SL,"css_fonts",True): # generated from line 33, col 1
                write(u"""<link href='""")
                _v = VFFSL(SL,"css_font",True) # u'$css_font' on line 34, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$css_font')) # from line 34, col 13.
                write(u"""' rel='stylesheet' type='text/css'>
""")
            _filter = self._CHEETAH__currentFilter = _orig_filter_64563955
            write(u'''
''')
            if VFFSL(SL,"debug",True): # generated from line 38, col 1
                write(u'''<link rel="stylesheet/less" type="text/css" href="''')
                _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 39, col 51
                if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 39, col 51.
                write(u'''/css/''')
                _v = VFFSL(SL,"css_prefix",True) # u'${css_prefix}' on line 39, col 67
                if _v is not None: write(_filter(_v, rawExpr=u'${css_prefix}')) # from line 39, col 67.
                write(u'''bonito.less" />
<link rel="stylesheet/less" type="text/css" href="''')
                _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 40, col 51
                if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 40, col 51.
                write(u'''/css/''')
                _v = VFFSL(SL,"css_prefix",True) # u'${css_prefix}' on line 40, col 67
                if _v is not None: write(_filter(_v, rawExpr=u'${css_prefix}')) # from line 40, col 67.
                write(u'''view.less" />
<link rel="stylesheet/less" type="text/css" href="''')
                _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 41, col 51
                if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 41, col 51.
                write(u'''/css/''')
                _v = VFFSL(SL,"css_prefix",True) # u'${css_prefix}' on line 41, col 67
                if _v is not None: write(_filter(_v, rawExpr=u'${css_prefix}')) # from line 41, col 67.
                write(u'''widgets.less" />
''')
            else: # generated from line 42, col 1
                write(u'''<link rel="stylesheet" type="text/css" href="''')
                _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 43, col 46
                if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 43, col 46.
                write(u'''/css/kontext.min.css" />
''')
            write(u'''<noscript>
    <link rel="stylesheet" type="text/css" href="''')
            _v = VFFSL(SL,"files_path",True) # u'${files_path}' on line 46, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'${files_path}')) # from line 46, col 50.
            write(u'''/css/main-menu.css" />
</noscript>
<link rel="stylesheet" type="text/css" href="''')
            _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 48, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 48, col 46.
            write(u'''/css/''')
            _v = VFFSL(SL,"css_prefix",True) # u'${css_prefix}' on line 48, col 62
            if _v is not None: write(_filter(_v, rawExpr=u'${css_prefix}')) # from line 48, col 62.
            write(u'''jquery-ui.custom.css" />
''')
            if VFFSL(SL,"app_bar_css",True): # generated from line 49, col 1
                write(u'''<link rel="stylesheet" type="text/css" href="''')
                _v = VFFSL(SL,"app_bar_css",True) # u'$app_bar_css' on line 50, col 46
                if _v is not None: write(_filter(_v, rawExpr=u'$app_bar_css')) # from line 50, col 46.
                write(u'''" />
''')
            write(u'''<link rel="stylesheet" type="text/css" href="''')
            _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 52, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 52, col 46.
            write(u'''/css/keyboard.css" />
<!--[if lte IE 7]>
<link rel="stylesheet" type="text/css" href="''')
            _v = VFFSL(SL,"app_bar_css_ie",True) # u'$app_bar_css_ie' on line 54, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$app_bar_css_ie')) # from line 54, col 46.
            write(u'''" media="all">
<![endif]-->
<!--[if lt IE 9]>
    <script src="''')
            _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 57, col 18
            if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 57, col 18.
            write(u'''/js/html5shiv.js"></script>
<![endif]-->
<script type="text/javascript" src="''')
            _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 59, col 37
            if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 59, col 37.
            write(u'''/js/virtual-keyboard.js" charset="UTF-8"></script>
''')
            if VFFSL(SL,"debug",True): # generated from line 60, col 1
                write(u'''<script type="text/javascript" src="''')
                _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 61, col 37
                if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 61, col 37.
                write(u'''/js/less.js" ></script>
''')
            write(u'''<script type="text/javascript" src="''')
            _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 63, col 37
            if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 63, col 37.
            write(u'''/js/requirejs.min.js"></script>
''')
            self.headers(trans=trans)
            if VFFSL(SL,"getVar",False)('ca_headers', ''): # generated from line 66, col 1
                _v = VFFSL(SL,"ca_headers",True) # u'$ca_headers' on line 67, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$ca_headers')) # from line 67, col 1.
                write(u'''
''')
            else: # generated from line 68, col 1
                write(u'''<script type="text/javascript">
requirejs.config({
    baseUrl : ''')
                if not VFFSL(SL,"debug",True): # generated from line 71, col 15
                    write(u"""'../files/js/min'""")
                else: # generated from line 71, col 47
                    write(u"""'../files/js'""")
                write(u''',
    paths: {
        \'domReady\' : \'./domReady.min\',
        \'jquery\': \'./jquery.min\',
        \'jqueryui\' :  \'./jquery-ui.custom.min\',
        \'jscrollpane\' : \'./jscrollpane.min\'
    },
    shim : {
        \'jqueryui\' : {
            deps: [\'jquery\']
        },
        \'jscrollpane\' : {
            deps: [\'jquery\']
        }
    }
});

define(\'win\', [], function () { return window; });

define(\'conf\', [], function () {
    var conf = {};
    conf.menuAutoHideInterval = 1500;
    conf.messageAutoHideInterval = 15000;
    conf.rootURL = "''')
                _v = VFFSL(SL,"root_url",True) # u'$root_url' on line 94, col 21
                if _v is not None: write(_filter(_v, rawExpr=u'$root_url')) # from line 94, col 21.
                write(u'''";
    conf.rootPath = "''')
                _v = VFFSL(SL,"root_path",True) # u'$root_path' on line 95, col 22
                if _v is not None: write(_filter(_v, rawExpr=u'$root_path')) # from line 95, col 22.
                write(u'''";
    conf.corpname = "''')
                _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 96, col 22
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 96, col 22.
                write(u'''";
    conf.session_cookie_name = "''')
                _v = VFFSL(SL,"session_cookie_name",True) # u'$session_cookie_name' on line 97, col 33
                if _v is not None: write(_filter(_v, rawExpr=u'$session_cookie_name')) # from line 97, col 33.
                write(u'''";
    conf.numTagPos = ''')
                _v = VFFSL(SL,"num_tag_pos",True) # u'$num_tag_pos' on line 98, col 22
                if _v is not None: write(_filter(_v, rawExpr=u'$num_tag_pos')) # from line 98, col 22.
                write(u''';
    conf.anonymousUser = ''')
                if VFFSL(SL,"_anonymous",True): # generated from line 99, col 26
                    write(u'''true''')
                else: # generated from line 99, col 46
                    write(u'''false''')
                write(u''';
    conf.loginUrl = "''')
                _v = VFFSL(SL,"login_url",True) # u'$login_url' on line 100, col 22
                if _v is not None: write(_filter(_v, rawExpr=u'$login_url')) # from line 100, col 22.
                write(u'''";

    conf.messages = {};
''')
                if VFFSL(SL,"_anonymous",True): # generated from line 103, col 5
                    write(u'''    conf.messages.anonymous_user_warning = "''')
                    if False:
                        _('KonText is running in anonymous mode. Please <a href=\\"%s\\">sign-in</a> to unlock all the functions.')
                    _v = VFFSL(SL,"_",False)('KonText is running in anonymous mode. Please <a href=\\"%s\\">sign-in</a> to unlock all the functions.') % VFFSL(SL,"login_url",True) # u'$($_(\'KonText is running in anonymous mode. Please <a href=\\\\"%s\\\\">sign-in</a> to unlock all the functions.\') % $login_url)' on line 104, col 45
                    if _v is not None: write(_filter(_v, rawExpr=u'$($_(\'KonText is running in anonymous mode. Please <a href=\\\\"%s\\\\">sign-in</a> to unlock all the functions.\') % $login_url)')) # from line 104, col 45.
                    write(u'''";
''')
                write(u'''    conf.messages.failed_to_contact_server = "''')
                if False:
                    _('Failed to contact server. Please try again later.')
                _v = VFFSL(SL,"_",False)('Failed to contact server. Please try again later.') # u"$_('Failed to contact server. Please try again later.')" on line 106, col 47
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Failed to contact server. Please try again later.')")) # from line 106, col 47.
                write(u'''";
    conf.messages.error_loading_application_bar = "''')
                if False:
                    _('Error loading application bar.')
                _v = VFFSL(SL,"_",False)('Error loading application bar.') # u"$_('Error loading application bar.')" on line 107, col 52
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Error loading application bar.')")) # from line 107, col 52.
                write(u'''";
    conf.messages.view_result = "''')
                if False:
                    _('View result')
                _v = VFFSL(SL,"_",False)('View result') # u"$_('View result')" on line 108, col 34
                if _v is not None: write(_filter(_v, rawExpr=u"$_('View result')")) # from line 108, col 34.
                write(u'''";
    conf.messages.operation = "''')
                if False:
                    _('Operation')
                _v = VFFSL(SL,"_",False)('Operation') # u"$_('Operation')" on line 109, col 32
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Operation')")) # from line 109, col 32.
                write(u'''";
    conf.messages.parameters = "''')
                if False:
                    _('Parameters')
                _v = VFFSL(SL,"_",False)('Parameters') # u"$_('Parameters')" on line 110, col 33
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Parameters')")) # from line 110, col 33.
                write(u'''";
    conf.messages.num_of_hits = "''')
                if False:
                    _('Num of Hits')
                _v = VFFSL(SL,"_",False)('Num of Hits') # u"$_('Num of Hits')" on line 111, col 34
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Num of Hits')")) # from line 111, col 34.
                write(u'''";
    conf.messages.query_overview = "''')
                if False:
                    _('Query overview')
                _v = VFFSL(SL,"_",False)('Query overview') # u"$_('Query overview')" on line 112, col 37
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Query overview')")) # from line 112, col 37.
                write(u'''";
    conf.messages.failed_to_load_query_overview = "''')
                if False:
                    _('Failed to load query overview')
                _v = VFFSL(SL,"_",False)('Failed to load query overview') # u"$_('Failed to load query overview')" on line 113, col 52
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Failed to load query overview')")) # from line 113, col 52.
                write(u'''";
    conf.messages.close = "''')
                if False:
                    _('close')
                _v = VFFSL(SL,"_",False)('close') # u"$_('close')" on line 114, col 28
                if _v is not None: write(_filter(_v, rawExpr=u"$_('close')")) # from line 114, col 28.
                write(u'''";

''')
                if VFFSL(SL,"focus",True): # generated from line 116, col 5
                    write(u'''    conf.focus = ''')
                    _v = VFFSL(SL,"focus",True) # u'$focus' on line 117, col 18
                    if _v is not None: write(_filter(_v, rawExpr=u'$focus')) # from line 117, col 18.
                    write(u''';
''')
                write(u'''
    conf.queryTypesHints = {
        iqueryrow : "''')
                if False:
                    _('Query type <em>basic</em> is suitable for getting to know the corpus. It searches for the input expression as a word form case-insensitively; if it is also a canonical dictionary form (lemma), all its word forms are searched as well.')
                _v = VFFSL(SL,"_",False)('Query type <em>basic</em> is suitable for getting to know the corpus. It searches for the input expression as a word form case-insensitively; if it is also a canonical dictionary form (lemma), all its word forms are searched as well.') # u"$_('Query type <em>basic</em> is suitable for getting to know the corpus. It searches for the input expression as a word form case-insensitively; if it is also a canonical dictionary form (lemma), all its word forms are searched as well.')" on line 121, col 22
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Query type <em>basic</em> is suitable for getting to know the corpus. It searches for the input expression as a word form case-insensitively; if it is also a canonical dictionary form (lemma), all its word forms are searched as well.')")) # from line 121, col 22.
                write(u'''"
    };
    conf.messages.msg1 = \'''')
                if False:
                    _('Positions are basic units for searching the corpus that correspond to tokens: every single occurrence of a word form, number or punctuation symbol in the corpus constitutes a position. Corpus size in positions given by the search interface is therefore higher than corpus size in number of words given on the <a href="http://www.korpus.cz/english/struktura.php" target="_blank">ICNC web pages</a>, where only postions containing at least one alphabetic character are considered.')
                _v = VFFSL(SL,"_",False)('Positions are basic units for searching the corpus that correspond to tokens: every single occurrence of a word form, number or punctuation symbol in the corpus constitutes a position. Corpus size in positions given by the search interface is therefore higher than corpus size in number of words given on the <a href="http://www.korpus.cz/english/struktura.php" target="_blank">ICNC web pages</a>, where only postions containing at least one alphabetic character are considered.') # u'$_(\'Positions are basic units for searching the corpus that correspond to tokens: every single occurrence of a word form, number or punctuation symbol in the corpus constitutes a position. Corpus size in positions given by the search interface is therefore higher than corpus size in number of words given on the <a href="http://www.korpus.cz/english/struktura.php" target="_blank">ICNC web pages</a>, where only postions containing at least one alphabetic character are considered.\')' on line 123, col 27
                if _v is not None: write(_filter(_v, rawExpr=u'$_(\'Positions are basic units for searching the corpus that correspond to tokens: every single occurrence of a word form, number or punctuation symbol in the corpus constitutes a position. Corpus size in positions given by the search interface is therefore higher than corpus size in number of words given on the <a href="http://www.korpus.cz/english/struktura.php" target="_blank">ICNC web pages</a>, where only postions containing at least one alphabetic character are considered.\')')) # from line 123, col 27.
                write(u'''\';
    conf.messages.failed_to_load_corpus_info = "''')
                if False:
                    _('Failed to load corpus information.')
                _v = VFFSL(SL,"_",False)('Failed to load corpus information.') # u"$_('Failed to load corpus information.')" on line 124, col 49
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Failed to load corpus information.')")) # from line 124, col 49.
                write(u'''";

    return conf;
});

''')
                self.bodyonload(trans=trans)
                write(u'''
''')
                if VFFSL(SL,"getVar",False)('ga_identifier', ''): # generated from line 135, col 1
                    write(u"""// google analytics stuff
var _gaq = _gaq || [];
_gaq.push(['_setAccount', '""")
                    _v = VFFSL(SL,"ga_identifier",True) # u'$ga_identifier' on line 138, col 28
                    if _v is not None: write(_filter(_v, rawExpr=u'$ga_identifier')) # from line 138, col 28.
                    write(u"""']);
_gaq.push(['_trackPageview']);

(function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
})();
""")
                write(u'''</script>
''')
            write(u'''</head>
<body>
''')
            if VFFSL(SL,"varExists",False)('_ca_topbar'): # generated from line 151, col 1
                _v = VFFSL(SL,"_ca_topbar",True) # u'$_ca_topbar' on line 152, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$_ca_topbar')) # from line 152, col 1.
                write(u'''
''')
            else: # generated from line 153, col 1
                write(u'''

''')
                _orig_filter_75967884 = _filter
                filterName = u'WebSafe'
                if self._CHEETAH__filters.has_key("WebSafe"):
                    _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
                else:
                    _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
                write(u'''<div id="common-bar">
''')
                if VFFSL(SL,"app_bar",True): # generated from line 163, col 1
                    _orig_filter_66854629 = _filter
                    _filter = self._CHEETAH__initialFilter
                    write(u'''    ''')
                    _v = VFFSL(SL,"app_bar",True) # u'$app_bar' on line 165, col 5
                    if _v is not None: write(_filter(_v, rawExpr=u'$app_bar')) # from line 165, col 5.
                    write(u'''
''')
                    _filter = self._CHEETAH__currentFilter = _orig_filter_66854629
                else: # generated from line 167, col 1
                    write(u'''<span class="user">''')
                    if False:
                        _("User")
                    _v = VFFSL(SL,"_",False)("User") # u'$_("User")' on line 168, col 20
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("User")')) # from line 168, col 20.
                    write(u''':
''')
                    if not VFFSL(SL,"_anonymous",True): # generated from line 169, col 5
                        write(u'''        ''')
                        _v = VFFSL(SL,"user_info.fullname",True) # u'$user_info.fullname' on line 170, col 9
                        if _v is not None: write(_filter(_v, rawExpr=u'$user_info.fullname')) # from line 170, col 9.
                        write(u'''
        (<a href="''')
                        _v = VFFSL(SL,"logout_url",True) # u'$logout_url' on line 171, col 19
                        if _v is not None: write(_filter(_v, rawExpr=u'$logout_url')) # from line 171, col 19.
                        write(u'''">''')
                        if False:
                            _('logout')
                        _v = VFFSL(SL,"_",False)('logout') # u"$_('logout')" on line 171, col 32
                        if _v is not None: write(_filter(_v, rawExpr=u"$_('logout')")) # from line 171, col 32.
                        write(u'''</a>)
''')
                    else: # generated from line 172, col 5
                        write(u'''        ''')
                        _v = VFFSL(SL,"user_info.fullname",True) # u'$user_info.fullname' on line 173, col 9
                        if _v is not None: write(_filter(_v, rawExpr=u'$user_info.fullname')) # from line 173, col 9.
                        write(u'''
        <a href="''')
                        _v = VFFSL(SL,"login_url",True) # u'$login_url' on line 174, col 18
                        if _v is not None: write(_filter(_v, rawExpr=u'$login_url')) # from line 174, col 18.
                        write(u'''">(''')
                        if False:
                            _('login')
                        _v = VFFSL(SL,"_",False)('login') # u"$_('login')" on line 174, col 31
                        if _v is not None: write(_filter(_v, rawExpr=u"$_('login')")) # from line 174, col 31.
                        write(u''')</a>
''')
                    write(u'''</span>
''')
                write(u'''</div>

<header id="topbar">
    <a id="logo-wrapper" href="first_form"><img id="logo-image" class="over-img" src="../files/img/kontext-logo.png" alt="Kontext logo" title="''')
                if False:
                    _('Click to enter a new query')
                _v = VFFSL(SL,"_",False)('Click to enter a new query') # u"$_('Click to enter a new query')" on line 181, col 144
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Click to enter a new query')")) # from line 181, col 144.
                write(u'''" style="width: 208px;height: 68px" data-alt-img="../files/img/kontext-logo_s.png" /></a>
    <div id="menu-bar">
        <ul id="menu-level-1">
            <li id="menu-new-query" class="''')
                _v = VFFSL(SL,"menu_status",False)('menu-new-query') # u"$menu_status('menu-new-query')" on line 184, col 44
                if _v is not None: write(_filter(_v, rawExpr=u"$menu_status('menu-new-query')")) # from line 184, col 44.
                write(u'''"><a class="trigger" title="''')
                if False:
                    _("Query")
                _v = VFFSL(SL,"_",False)("Query") # u'$_("Query")' on line 184, col 102
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Query")')) # from line 184, col 102.
                write(u'''">''')
                if False:
                    _("Query")
                _v = VFFSL(SL,"_",False)("Query") # u'$_("Query")' on line 184, col 115
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Query")')) # from line 184, col 115.
                write(u'''</a>
                <ul class="submenu">
                    <li class="separ"><a title="''')
                if False:
                    _('Enter new query')
                _v = VFFSL(SL,"_",False)('Enter new query') # u"$_('Enter new query')" on line 186, col 49
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Enter new query')")) # from line 186, col 49.
                write(u'''" href="first_form?''')
                _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 186, col 89
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 186, col 89.
                write(u''';lemma=''')
                _v = VFFSL(SL,"lemma",True) # u'$lemma' on line 186, col 109
                if _v is not None: write(_filter(_v, rawExpr=u'$lemma')) # from line 186, col 109.
                write(u''';lpos=''')
                _v = VFFSL(SL,"lpos",True) # u'$lpos' on line 186, col 121
                if _v is not None: write(_filter(_v, rawExpr=u'$lpos')) # from line 186, col 121.
                write(u''';align=''')
                _v = VFFSL(SL,"align",True) # u'$align' on line 186, col 133
                if _v is not None: write(_filter(_v, rawExpr=u'$align')) # from line 186, col 133.
                write(u'''">''')
                if False:
                    _('New query')
                _v = VFFSL(SL,"_",False)('New query') # u"$_('New query')" on line 186, col 141
                if _v is not None: write(_filter(_v, rawExpr=u"$_('New query')")) # from line 186, col 141.
                write(u'''&#8230;</a></li>
                    <li class="separ ''')
                _v = VFFSL(SL,"menu_status",False)('menu-new-query:history') # u"$menu_status('menu-new-query:history')" on line 187, col 38
                if _v is not None: write(_filter(_v, rawExpr=u"$menu_status('menu-new-query:history')")) # from line 187, col 38.
                write(u'''"><a title="''')
                if False:
                    _('List of recent queries')
                _v = VFFSL(SL,"_",False)('List of recent queries') # u"$_('List of recent queries')" on line 187, col 88
                if _v is not None: write(_filter(_v, rawExpr=u"$_('List of recent queries')")) # from line 187, col 88.
                write(u'''" href="query_history?''')
                _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 187, col 138
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 187, col 138.
                write(u'''">''')
                if False:
                    _('Recent queries')
                _v = VFFSL(SL,"_",False)('Recent queries') # u"$_('Recent queries')" on line 187, col 153
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Recent queries')")) # from line 187, col 153.
                write(u'''&#8230;</a></li>
                    <li class="''')
                _v = VFFSL(SL,"menu_status",False)('menu-new-query:wordlist') # u"$menu_status('menu-new-query:wordlist')" on line 188, col 32
                if _v is not None: write(_filter(_v, rawExpr=u"$menu_status('menu-new-query:wordlist')")) # from line 188, col 32.
                write(u'''"><a title="''')
                if False:
                    _("Various methods for creating word lists")
                _v = VFFSL(SL,"_",False)("Various methods for creating word lists") # u'$_("Various methods for creating word lists")' on line 188, col 83
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Various methods for creating word lists")')) # from line 188, col 83.
                write(u'''" href="wordlist_form?''')
                _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 188, col 150
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 188, col 150.
                write(u'''">''')
                if False:
                    _("Word List")
                _v = VFFSL(SL,"_",False)("Word List") # u'$_("Word List")' on line 188, col 165
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Word List")')) # from line 188, col 165.
                write(u'''&#8230;</a></li>
                </ul>
            </li>
            <li id="menu-subcorpus" class="''')
                _v = VFFSL(SL,"menu_status",False)('menu-subcorpus') # u"$menu_status('menu-subcorpus')" on line 191, col 44
                if _v is not None: write(_filter(_v, rawExpr=u"$menu_status('menu-subcorpus')")) # from line 191, col 44.
                write(u'''"><a class="trigger">''')
                if False:
                    _("Subcorpora")
                _v = VFFSL(SL,"_",False)("Subcorpora") # u'$_("Subcorpora")' on line 191, col 95
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Subcorpora")')) # from line 191, col 95.
                write(u'''</a>
                <ul class="submenu">
                    <li class="separ"><a title="''')
                if False:
                    _('Create new subcorpus')
                _v = VFFSL(SL,"_",False)('Create new subcorpus') # u"$_('Create new subcorpus')" on line 193, col 49
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Create new subcorpus')")) # from line 193, col 49.
                write(u'''" href="subcorp_form?''')
                _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 193, col 96
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 193, col 96.
                write(u'''">''')
                if False:
                    _('Create new')
                _v = VFFSL(SL,"_",False)('Create new') # u"$_('Create new')" on line 193, col 111
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Create new')")) # from line 193, col 111.
                write(u'''&#8230;</a></li>
                    <li><a title="''')
                if False:
                    _('List of my subcorpora')
                _v = VFFSL(SL,"_",False)('List of my subcorpora') # u"$_('List of my subcorpora')" on line 194, col 35
                if _v is not None: write(_filter(_v, rawExpr=u"$_('List of my subcorpora')")) # from line 194, col 35.
                write(u'''" href="subcorp_list?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 194, col 83
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 194, col 83.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 194, col 86
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 194, col 86.
                write(u'''">''')
                if False:
                    _('My subcorpora')
                _v = VFFSL(SL,"_",False)('My subcorpora') # u"$_('My subcorpora')" on line 194, col 96
                if _v is not None: write(_filter(_v, rawExpr=u"$_('My subcorpora')")) # from line 194, col 96.
                write(u'''&#8230;</a></li>
                </ul>
            </li>
            <li class="separator">&nbsp;</li>
            <li id="menu-save" class="''')
                _v = VFFSL(SL,"menu_status",False)('menu-save') # u"$menu_status('menu-save')" on line 198, col 39
                if _v is not None: write(_filter(_v, rawExpr=u"$menu_status('menu-save')")) # from line 198, col 39.
                write(u'''"><a class="trigger">''')
                if False:
                    _("Save")
                _v = VFFSL(SL,"_",False)("Save") # u'$_("Save")' on line 198, col 85
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Save")')) # from line 198, col 85.
                write(u'''</a>
                <ul class="submenu">
''')
                i = 0
                for item in VFFSL(SL,"save_menu",True): # generated from line 201, col 21
                    write(u'''                    <li''')
                    if VFFSL(SL,"i",True) < VFFSL(SL,"len",False)(VFFSL(SL,"save_menu",True)) - 1: # generated from line 202, col 24
                        write(u''' class="separ"''')
                    write(u'''><a href="''')
                    _v = VFFSL(SL,"item.action",True) # u'$item.action' on line 202, col 86
                    if _v is not None: write(_filter(_v, rawExpr=u'$item.action')) # from line 202, col 86.
                    write(u'''?''')
                    _v = VFFSL(SL,"q",True) # u'$q' on line 202, col 99
                    if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 202, col 99.
                    write(u''';''')
                    _v = VFFSL(SL,"globals",True) # u'$globals' on line 202, col 102
                    if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 202, col 102.
                    write(u'''&''')
                    _v = VFFSL(SL,"item.params",True) # u'$item.params' on line 202, col 111
                    if _v is not None: write(_filter(_v, rawExpr=u'$item.params')) # from line 202, col 111.
                    write(u'''">''')
                    _v = VFFSL(SL,"item.label",True) # u'$item.label' on line 202, col 125
                    if _v is not None: write(_filter(_v, rawExpr=u'$item.label')) # from line 202, col 125.
                    write(u'''</a></li>
''')
                    i = VFFSL(SL,"i",True) + 1
                self.custom_save(trans=trans)
                write(u'''                </ul>
            </li>

            <li id="menu-concordance" class="''')
                _v = VFFSL(SL,"menu_status",False)('menu-concordance') # u"$menu_status('menu-concordance')" on line 210, col 46
                if _v is not None: write(_filter(_v, rawExpr=u"$menu_status('menu-concordance')")) # from line 210, col 46.
                write(u'''"><a class="trigger">''')
                if False:
                    _("Concordance")
                _v = VFFSL(SL,"_",False)("Concordance") # u'$_("Concordance")' on line 210, col 99
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Concordance")')) # from line 210, col 99.
                write(u'''</a>
                <ul class="submenu">
                    <li class="separ"><a title="''')
                if False:
                    _('Concordance based on current parameters')
                _v = VFFSL(SL,"_",False)('Concordance based on current parameters') # u"$_('Concordance based on current parameters')" on line 212, col 49
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Concordance based on current parameters')")) # from line 212, col 49.
                write(u'''" href="view?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 212, col 107
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 212, col 107.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 212, col 110
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 212, col 110.
                write(u'''">''')
                if False:
                    _('Current concordance')
                _v = VFFSL(SL,"_",False)('Current concordance') # u"$_('Current concordance')" on line 212, col 120
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Current concordance')")) # from line 212, col 120.
                write(u'''</a></li>
                    <li class="separ"><a title="''')
                if False:
                    _("Complex sorting options")
                _v = VFFSL(SL,"_",False)("Complex sorting options") # u'$_("Complex sorting options")' on line 213, col 49
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Complex sorting options")')) # from line 213, col 49.
                write(u'''" href="sort?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 213, col 91
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 213, col 91.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 213, col 94
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 213, col 94.
                write(u'''">''')
                if False:
                    _('Sorting')
                _v = VFFSL(SL,"_",False)('Sorting') # u"$_('Sorting')" on line 213, col 104
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Sorting')")) # from line 213, col 104.
                write(u'''&#8230;</a></li>
                    <li class="separ"><a title="''')
                if False:
                    _("Randomize ordering of lines")
                _v = VFFSL(SL,"_",False)("Randomize ordering of lines") # u'$_("Randomize ordering of lines")' on line 214, col 49
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Randomize ordering of lines")')) # from line 214, col 49.
                write(u'''" href="view?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 214, col 95
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 214, col 95.
                write(u''';q=f;''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 214, col 102
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 214, col 102.
                write(u'''">''')
                if False:
                    _("Shuffle")
                _v = VFFSL(SL,"_",False)("Shuffle") # u'$_("Shuffle")' on line 214, col 112
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Shuffle")')) # from line 214, col 112.
                write(u'''</a></li>
                    <li class="separ"><a title="''')
                if False:
                    _('Make a random sample from the concordance.')
                _v = VFFSL(SL,"_",False)('Make a random sample from the concordance.') # u"$_('Make a random sample from the concordance.')" on line 215, col 49
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Make a random sample from the concordance.')")) # from line 215, col 49.
                write(u'''" href="reduce_form?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 215, col 117
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 215, col 117.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 215, col 120
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 215, col 120.
                write(u'''">''')
                if False:
                    _('Sample')
                _v = VFFSL(SL,"_",False)('Sample') # u"$_('Sample')" on line 215, col 130
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Sample')")) # from line 215, col 130.
                write(u'''&#8230;</a></li>
                    <li class="separ"><a id="query-overview-trigger"
                        title="''')
                if False:
                    _('Details about current query and related operations')
                _v = VFFSL(SL,"_",False)('Details about current query and related operations') # u"$_('Details about current query and related operations')" on line 217, col 32
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Details about current query and related operations')")) # from line 217, col 32.
                write(u'''"
                        href="concdesc?''')
                _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 218, col 40
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 218, col 40.
                write(u''';usesubcorp=''')
                _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 218, col 65
                if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 218, col 65.
                write(u''';''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 218, col 77
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 218, col 77.
                write(u'''"
                        data-json-href="concdesc_json?''')
                _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 219, col 55
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 219, col 55.
                write(u''';usesubcorp=''')
                _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 219, col 80
                if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 219, col 80.
                write(u''';''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 219, col 92
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 219, col 92.
                write(u'''">''')
                if False:
                    _('Query overview')
                _v = VFFSL(SL,"_",False)('Query overview') # u"$_('Query overview')" on line 219, col 96
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Query overview')")) # from line 219, col 96.
                write(u'''&#8230;</a></li>
                    <li>
''')
                if len(VFFSL(SL,"undo_q",True)) > 0: # generated from line 221, col 21
                    write(u'''                    <a title="''')
                    if False:
                        _('Revert last operation on current concordance')
                    _v = VFFSL(SL,"_",False)('Revert last operation on current concordance') # u"$_('Revert last operation on current concordance')" on line 222, col 31
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Revert last operation on current concordance')")) # from line 222, col 31.
                    write(u'''" href="view?''')
                    _v = VFFSL(SL,"globals",True) # u'$globals' on line 222, col 94
                    if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 222, col 94.
                    write(u''';''')
                    _v = VFFSL(SL,"undo_q",True) # u'$undo_q' on line 222, col 103
                    if _v is not None: write(_filter(_v, rawExpr=u'$undo_q')) # from line 222, col 103.
                    write(u'''">''')
                    if False:
                        _('Undo')
                    _v = VFFSL(SL,"_",False)('Undo') # u"$_('Undo')" on line 222, col 112
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Undo')")) # from line 222, col 112.
                    write(u'''</a>
''')
                else: # generated from line 223, col 21
                    write(u'''                    <span class="disabled" title="''')
                    if False:
                        _('Revert last operation on current concordance')
                    _v = VFFSL(SL,"_",False)('Revert last operation on current concordance') # u"$_('Revert last operation on current concordance')" on line 224, col 51
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Revert last operation on current concordance')")) # from line 224, col 51.
                    write(u'''" href="view?''')
                    _v = VFFSL(SL,"globals",True) # u'$globals' on line 224, col 114
                    if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 224, col 114.
                    write(u''';''')
                    _v = VFFSL(SL,"undo_q",True) # u'$undo_q' on line 224, col 123
                    if _v is not None: write(_filter(_v, rawExpr=u'$undo_q')) # from line 224, col 123.
                    write(u'''">''')
                    if False:
                        _('Undo')
                    _v = VFFSL(SL,"_",False)('Undo') # u"$_('Undo')" on line 224, col 132
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Undo')")) # from line 224, col 132.
                    write(u'''</span>
''')
                write(u'''                    </li>
                </ul>
            </li>

            <li id="menu-filter" class="''')
                _v = VFFSL(SL,"menu_status",False)('menu-filter') # u"$menu_status('menu-filter')" on line 230, col 41
                if _v is not None: write(_filter(_v, rawExpr=u"$menu_status('menu-filter')")) # from line 230, col 41.
                write(u'''"><a class="trigger" title="''')
                if False:
                    _('Make a query on the current concordance.')
                _v = VFFSL(SL,"_",False)('Make a query on the current concordance.') # u"$_('Make a query on the current concordance.')" on line 230, col 96
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Make a query on the current concordance.')")) # from line 230, col 96.
                write(u'''">''')
                if False:
                    _('Filter')
                _v = VFFSL(SL,"_",False)('Filter') # u"$_('Filter')" on line 230, col 144
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Filter')")) # from line 230, col 144.
                write(u'''</a>
                <ul class="submenu">
                    <li class="separ"><a href="filter_form?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 232, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 232, col 60.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 232, col 63
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 232, col 63.
                write(u'''&pnfilter=p">''')
                if False:
                    _('Positive')
                _v = VFFSL(SL,"_",False)('Positive') # u"$_('Positive')" on line 232, col 84
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Positive')")) # from line 232, col 84.
                write(u'''&#8230;</a></li>
                    <li><a href="filter_form?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 233, col 46
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 233, col 46.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 233, col 49
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 233, col 49.
                write(u'''&pnfilter=n">''')
                if False:
                    _('Negative')
                _v = VFFSL(SL,"_",False)('Negative') # u"$_('Negative')" on line 233, col 70
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Negative')")) # from line 233, col 70.
                write(u'''&#8230;</a></li>
                </ul>
            </li>

            <li id="menu-frequency" class="''')
                _v = VFFSL(SL,"menu_status",False)('menu-frequency') # u"$menu_status('menu-frequency')" on line 237, col 44
                if _v is not None: write(_filter(_v, rawExpr=u"$menu_status('menu-frequency')")) # from line 237, col 44.
                write(u'''"><a class="trigger">''')
                if False:
                    _('Frequency')
                _v = VFFSL(SL,"_",False)('Frequency') # u"$_('Frequency')" on line 237, col 95
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Frequency')")) # from line 237, col 95.
                write(u'''</a>
                <ul class="submenu">
''')
                if 'tag' in [x['n'] for x in VFFSL(SL,"AttrList",True)]: # generated from line 239, col 21
                    write(u'''                    <li class="separ"><a title="''')
                    if False:
                        _("Show frequencies of Node tags")
                    _v = VFFSL(SL,"_",False)("Show frequencies of Node tags") # u'$_("Show frequencies of Node tags")' on line 240, col 49
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Show frequencies of Node tags")')) # from line 240, col 49.
                    write(u'''" href="freqs?''')
                    _v = VFFSL(SL,"q",True) # u'$q' on line 240, col 98
                    if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 240, col 98.
                    write(u''';''')
                    _v = VFFSL(SL,"globals",True) # u'$globals' on line 240, col 101
                    if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 240, col 101.
                    write(u''';fcrit=tag/e+0~0>0;ml=0">''')
                    if False:
                        _("Node tags")
                    _v = VFFSL(SL,"_",False)("Node tags") # u'$_("Node tags")' on line 240, col 134
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Node tags")')) # from line 240, col 134.
                    write(u'''</a></li>
''')
                write(u'''                    <li class="separ"><a title="''')
                if False:
                    _("Show frequencies of Node forms")
                _v = VFFSL(SL,"_",False)("Show frequencies of Node forms") # u'$_("Show frequencies of Node forms")' on line 242, col 49
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Show frequencies of Node forms")')) # from line 242, col 49.
                write(u'''" href="freqs?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 242, col 99
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 242, col 99.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 242, col 102
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 242, col 102.
                write(u''';fcrit=word/e+0~0>0;ml=0">''')
                if False:
                    _("Node forms")
                _v = VFFSL(SL,"_",False)("Node forms") # u'$_("Node forms")' on line 242, col 136
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Node forms")')) # from line 242, col 136.
                write(u'''</a></li>
''')
                if '.' in VFN(VFFSL(SL,"fcrit_shortref",True),"split",False)('/')[0]: # generated from line 243, col 21
                    write(u'''                    <li class="separ"><a title="''')
                    if False:
                        _("Show frequencies of Doc IDs")
                    _v = VFFSL(SL,"_",False)("Show frequencies of Doc IDs") # u'$_("Show frequencies of Doc IDs")' on line 244, col 49
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Show frequencies of Doc IDs")')) # from line 244, col 49.
                    write(u'''" href="freqs?''')
                    _v = VFFSL(SL,"q",True) # u'$q' on line 244, col 96
                    if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 244, col 96.
                    write(u''';''')
                    _v = VFFSL(SL,"globals",True) # u'$globals' on line 244, col 99
                    if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 244, col 99.
                    write(u''';fcrit=''')
                    _v = VFFSL(SL,"fcrit_shortref",True) # u'$fcrit_shortref' on line 244, col 114
                    if _v is not None: write(_filter(_v, rawExpr=u'$fcrit_shortref')) # from line 244, col 114.
                    write(u''';ml=0">''')
                    if False:
                        _("Doc IDs")
                    _v = VFFSL(SL,"_",False)("Doc IDs") # u'$_("Doc IDs")' on line 244, col 136
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Doc IDs")')) # from line 244, col 136.
                    write(u'''</a></li>
''')
                if VFFSL(SL,"ttcrit",True): # generated from line 246, col 21
                    write(u'''                    <li class="separ"><a title="''')
                    if False:
                        _("Show frequencies of Text Types")
                    _v = VFFSL(SL,"_",False)("Show frequencies of Text Types") # u'$_("Show frequencies of Text Types")' on line 247, col 49
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Show frequencies of Text Types")')) # from line 247, col 49.
                    write(u'''" href="freqs?''')
                    _v = VFFSL(SL,"q",True) # u'$q' on line 247, col 99
                    if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 247, col 99.
                    write(u''';''')
                    _v = VFFSL(SL,"globals",True) # u'$globals' on line 247, col 102
                    if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 247, col 102.
                    write(u''';''')
                    _v = VFFSL(SL,"ttcrit",True) # u'$ttcrit' on line 247, col 111
                    if _v is not None: write(_filter(_v, rawExpr=u'$ttcrit')) # from line 247, col 111.
                    write(u'''">''')
                    if False:
                        _("Text Types")
                    _v = VFFSL(SL,"_",False)("Text Types") # u'$_("Text Types")' on line 247, col 120
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Text Types")')) # from line 247, col 120.
                    write(u'''</a></li>
''')
                write(u'''                    <li><a title="''')
                if False:
                    _("Entry form for computing frequencies")
                _v = VFFSL(SL,"_",False)("Entry form for computing frequencies") # u'$_("Entry form for computing frequencies")' on line 249, col 35
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Entry form for computing frequencies")')) # from line 249, col 35.
                write(u'''" href="freq?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 249, col 90
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 249, col 90.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 249, col 93
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 249, col 93.
                write(u'''">''')
                if False:
                    _('Custom')
                _v = VFFSL(SL,"_",False)('Custom') # u"$_('Custom')" on line 249, col 103
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Custom')")) # from line 249, col 103.
                write(u'''&#8230;</a></li>
                </ul>
            </li>

            <li id="menu-collocations" class="''')
                _v = VFFSL(SL,"menu_status",False)('menu-collocations') # u"$menu_status('menu-collocations')" on line 253, col 47
                if _v is not None: write(_filter(_v, rawExpr=u"$menu_status('menu-collocations')")) # from line 253, col 47.
                write(u'''"><a class="trigger" title="''')
                if False:
                    _("Collocation candidates")
                _v = VFFSL(SL,"_",False)("Collocation candidates") # u'$_("Collocation candidates")' on line 253, col 108
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Collocation candidates")')) # from line 253, col 108.
                write(u'''">''')
                if False:
                    _('Collocations')
                _v = VFFSL(SL,"_",False)('Collocations') # u"$_('Collocations')" on line 253, col 138
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Collocations')")) # from line 253, col 138.
                write(u'''</a>
                <ul class="submenu">
                    <li><a href="coll?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 255, col 39
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 255, col 39.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 255, col 42
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 255, col 42.
                write(u'''">''')
                if False:
                    _('Custom')
                _v = VFFSL(SL,"_",False)('Custom') # u"$_('Custom')" on line 255, col 52
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Custom')")) # from line 255, col 52.
                write(u'''&#8230;</a></li>
                </ul>
            </li>

            <li id="menu-view" class="''')
                _v = VFFSL(SL,"menu_status",False)('menu-view') # u"$menu_status('menu-view')" on line 259, col 39
                if _v is not None: write(_filter(_v, rawExpr=u"$menu_status('menu-view')")) # from line 259, col 39.
                write(u'''"><a class="trigger">''')
                if False:
                    _('View options')
                _v = VFFSL(SL,"_",False)('View options') # u"$_('View options')" on line 259, col 85
                if _v is not None: write(_filter(_v, rawExpr=u"$_('View options')")) # from line 259, col 85.
                write(u'''</a>
                <ul class="submenu">
''')
                if VFFSL(SL,"viewmode",True) == 'sen': # generated from line 261, col 21
                    write(u'''                    <li class="separ"><a title="''')
                    if False:
                        _("Key Words In Context")
                    _v = VFFSL(SL,"_",False)("Key Words In Context") # u'$_("Key Words In Context")' on line 262, col 49
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Key Words In Context")')) # from line 262, col 49.
                    write(u'''" href="view?''')
                    _v = VFFSL(SL,"q",True) # u'$q' on line 262, col 88
                    if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 262, col 88.
                    write(u''';''')
                    _v = VFFSL(SL,"url_sub",False)(VFFSL(SL,"globals",True),'viewmode','kwic') # u"${url_sub($globals,'viewmode','kwic')}" on line 262, col 91
                    if _v is not None: write(_filter(_v, rawExpr=u"${url_sub($globals,'viewmode','kwic')}")) # from line 262, col 91.
                    write(u''';fromp=''')
                    _v = VFFSL(SL,"fromp",True) # u'$fromp' on line 262, col 136
                    if _v is not None: write(_filter(_v, rawExpr=u'$fromp')) # from line 262, col 136.
                    write(u'''">''')
                    if False:
                        _('KWIC')
                    _v = VFFSL(SL,"_",False)('KWIC') # u"$_('KWIC')" on line 262, col 144
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('KWIC')")) # from line 262, col 144.
                    write(u'''/''')
                    if False:
                        _('Sentence')
                    _v = VFFSL(SL,"_",False)('Sentence') # u"$_('Sentence')" on line 262, col 155
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Sentence')")) # from line 262, col 155.
                    write(u'''</a></li>
''')
                else: # generated from line 263, col 21
                    write(u'''                    <li class="separ"><a title="''')
                    if False:
                        _("Show sentences")
                    _v = VFFSL(SL,"_",False)("Show sentences") # u'$_("Show sentences")' on line 264, col 49
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Show sentences")')) # from line 264, col 49.
                    write(u'''" href="view?''')
                    _v = VFFSL(SL,"q",True) # u'$q' on line 264, col 82
                    if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 264, col 82.
                    write(u''';''')
                    _v = VFFSL(SL,"url_sub",False)(VFFSL(SL,"globals",True),'viewmode','sen') # u"${url_sub($globals,'viewmode','sen')}" on line 264, col 85
                    if _v is not None: write(_filter(_v, rawExpr=u"${url_sub($globals,'viewmode','sen')}")) # from line 264, col 85.
                    write(u''';fromp=''')
                    _v = VFFSL(SL,"fromp",True) # u'$fromp' on line 264, col 129
                    if _v is not None: write(_filter(_v, rawExpr=u'$fromp')) # from line 264, col 129.
                    write(u'''">''')
                    if False:
                        _('KWIC')
                    _v = VFFSL(SL,"_",False)('KWIC') # u"$_('KWIC')" on line 264, col 137
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('KWIC')")) # from line 264, col 137.
                    write(u'''/''')
                    if False:
                        _("Sentence")
                    _v = VFFSL(SL,"_",False)("Sentence") # u'$_("Sentence")' on line 264, col 148
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Sentence")')) # from line 264, col 148.
                    write(u'''</a></li>
''')
                if VFFSL(SL,"align",True): # generated from line 266, col 21
                    write(u'''                    <li class="separ"><a title="''')
                    if False:
                        _("Show aligned segments")
                    _v = VFFSL(SL,"_",False)("Show aligned segments") # u'$_("Show aligned segments")' on line 267, col 49
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Show aligned segments")')) # from line 267, col 49.
                    write(u'''" href="view?''')
                    _v = VFFSL(SL,"q",True) # u'$q' on line 267, col 89
                    if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 267, col 89.
                    write(u''';''')
                    _v = VFFSL(SL,"url_sub",False)(VFFSL(SL,"globals",True),'viewmode','align') # u"${url_sub($globals,'viewmode','align')}" on line 267, col 92
                    if _v is not None: write(_filter(_v, rawExpr=u"${url_sub($globals,'viewmode','align')}")) # from line 267, col 92.
                    write(u''';fromp=''')
                    _v = VFFSL(SL,"fromp",True) # u'$fromp' on line 267, col 138
                    if _v is not None: write(_filter(_v, rawExpr=u'$fromp')) # from line 267, col 138.
                    write(u'''">''')
                    if False:
                        _("Alignment")
                    _v = VFFSL(SL,"_",False)("Alignment") # u'$_("Alignment")' on line 267, col 146
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Alignment")')) # from line 267, col 146.
                    write(u'''</a></li>
''')
                write(u'''                    <li class="separ"><a href="viewattrs?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 269, col 58
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 269, col 58.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 269, col 61
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 269, col 61.
                write(u''';fromp=''')
                _v = VFFSL(SL,"fromp",True) # u'$fromp' on line 269, col 76
                if _v is not None: write(_filter(_v, rawExpr=u'$fromp')) # from line 269, col 76.
                write(u'''">''')
                if False:
                    _("Attributes, structures and references")
                _v = VFFSL(SL,"_",False)("Attributes, structures and references") # u'$_("Attributes, structures and references")' on line 269, col 84
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Attributes, structures and references")')) # from line 269, col 84.
                write(u'''&#8230;</a></li>
                    <li><a href="viewopts?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 270, col 43
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 270, col 43.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 270, col 46
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 270, col 46.
                write(u''';fromp=''')
                _v = VFFSL(SL,"fromp",True) # u'$fromp' on line 270, col 61
                if _v is not None: write(_filter(_v, rawExpr=u'$fromp')) # from line 270, col 61.
                write(u'''">''')
                if False:
                    _("General concordance view options")
                _v = VFFSL(SL,"_",False)("General concordance view options") # u'$_("General concordance view options")' on line 270, col 69
                if _v is not None: write(_filter(_v, rawExpr=u'$_("General concordance view options")')) # from line 270, col 69.
                write(u'''&#8230;</a></li>
                </ul>
            </li>

            <li id="menu-help" class="''')
                _v = VFFSL(SL,"menu_status",False)('menu-help') # u"$menu_status('menu-help')" on line 274, col 39
                if _v is not None: write(_filter(_v, rawExpr=u"$menu_status('menu-help')")) # from line 274, col 39.
                write(u'''"><a class="trigger" title="''')
                if False:
                    _("Application help and tutorials")
                _v = VFFSL(SL,"_",False)("Application help and tutorials") # u'$_("Application help and tutorials")' on line 274, col 92
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Application help and tutorials")')) # from line 274, col 92.
                write(u'''" href="#">''')
                if False:
                    _("Help")
                _v = VFFSL(SL,"_",False)("Help") # u'$_("Help")' on line 274, col 139
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Help")')) # from line 274, col 139.
                write(u'''</a>
                <ul class="submenu">
                    <li class="separ"><a href="https://trnka.ff.cuni.cz/dokuwiki/doku.php/manual:uvod" target="_blank">''')
                if False:
                    _('User manual')
                _v = VFFSL(SL,"_",False)('User manual') # u"$_('User manual')" on line 276, col 120
                if _v is not None: write(_filter(_v, rawExpr=u"$_('User manual')")) # from line 276, col 120.
                write(u'''&#8230;</a></li>
                    <li class="separ"><a href="https://trnka.ff.cuni.cz/dokuwiki/doku.php/pojmy:prehled_pojmu" target="_blank">''')
                if False:
                    _('Linguistic terms')
                _v = VFFSL(SL,"_",False)('Linguistic terms') # u"$_('Linguistic terms')" on line 277, col 128
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Linguistic terms')")) # from line 277, col 128.
                write(u'''&#8230;</a></li>
                    <li><a href="https://trnka.ff.cuni.cz/dokuwiki/doku.php/cnk:uvod" target="_blank">''')
                if False:
                    _('Available corpora')
                _v = VFFSL(SL,"_",False)('Available corpora') # u"$_('Available corpora')" on line 278, col 103
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Available corpora')")) # from line 278, col 103.
                write(u'''&#8230;</a></li>
                </ul>
            </li>
        </ul>
        <div id="menu-level-2-wrapper">
            <div id="menu-level-2" data-current-menu=""></div>
        </div>
    </div>

    <div id="active-corpus">
''')
                if VFFSL(SL,"corp_full_name",True): # generated from line 288, col 9
                    write(u'''            ''')
                    if False:
                        _('corpus')
                    _v = VFFSL(SL,"_",False)('corpus') # u"$_('corpus')" on line 289, col 13
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('corpus')")) # from line 289, col 13.
                    write(u'''
            <a id="corpus-desc-link" class="corpus-desc" href="#" title="''')
                    if False:
                        _('click for details')
                    _v = VFFSL(SL,"_",False)('click for details') # u"$_('click for details')" on line 290, col 74
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('click for details')")) # from line 290, col 74.
                    write(u'''">''')
                    _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 290, col 99
                    if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 290, col 99.
                    write(u'''</a>''')
                    if VFFSL(SL,"usesubcorp",True): # generated from line 290, col 118
                        write(u'''<strong>:<span title="''')
                        if False:
                            _('subcorpus')
                        _v = VFFSL(SL,"_",False)('subcorpus') # u"$_('subcorpus')" on line 290, col 156
                        if _v is not None: write(_filter(_v, rawExpr=u"$_('subcorpus')")) # from line 290, col 156.
                        write(u'''">''')
                        _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 290, col 173
                        if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 290, col 173.
                        write(u'''</span></strong>''')
                    write(u'''
            <div id="corp-size-information">
''')
                    if VFFSL(SL,"usesubcorp",True): # generated from line 292, col 13
                        write(u'''                <strong>''')
                        _v = VFFSL(SL,"subcorp_size",True) # u'$subcorp_size' on line 293, col 25
                        if _v is not None: write(_filter(_v, rawExpr=u'$subcorp_size')) # from line 293, col 25.
                        write(u'''</strong> (''')
                        if False:
                            _('of total %s) positions')
                        _v = VFFSL(SL,"_",False)('of total %s) positions') % VFFSL(SL,"corp_size",True) # u"$($_('of total %s) positions') % $corp_size)" on line 293, col 49
                        if _v is not None: write(_filter(_v, rawExpr=u"$($_('of total %s) positions') % $corp_size)")) # from line 293, col 49.
                        write(u'''
''')
                    else: # generated from line 294, col 13
                        _orig_filter_13435852 = _filter
                        _filter = self._CHEETAH__initialFilter
                        write(u'''                ''')
                        if False:
                            _('<strong>%s</strong> positions')
                        _v = VFFSL(SL,"_",False)('<strong>%s</strong> positions') % VFFSL(SL,"corp_size",True) # u"$($_('<strong>%s</strong> positions') % $corp_size)" on line 296, col 17
                        if _v is not None: write(_filter(_v, rawExpr=u"$($_('<strong>%s</strong> positions') % $corp_size)")) # from line 296, col 17.
                        write(u'''<a id="positions-help-link" class="context-help">
                <img class="over-img" src="../files/img/question-mark.png" data-alt-img="../files/img/question-mark_s.png" /></a>
''')
                        _filter = self._CHEETAH__currentFilter = _orig_filter_13435852
                    write(u'''            </div>
''')
                    if 'default_ref' in VFFSL(SL,"citation_info",True) and VFFSL(SL,"citation_info.default_ref",True): # generated from line 301, col 13
                        write(u'''            <div id="corpus-citation-link">
                <a href="#">''')
                        if False:
                            _('How to cite the corpus')
                        _v = VFFSL(SL,"_",False)('How to cite the corpus') # u"$_('How to cite the corpus')" on line 303, col 29
                        if _v is not None: write(_filter(_v, rawExpr=u"$_('How to cite the corpus')")) # from line 303, col 29.
                        write(u'''</a>
            </div>
''')
                write(u'''    </div>

''')
                if 'default_ref' in VFFSL(SL,"citation_info",True) and VFFSL(SL,"citation_info.default_ref",True): # generated from line 309, col 5
                    write(u'''    <div id="corpus-citation-box">
        <h3>''')
                    if False:
                        _('How to cite the corpus')
                    _v = VFFSL(SL,"_",False)('How to cite the corpus') # u"$_('How to cite the corpus')" on line 311, col 13
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('How to cite the corpus')")) # from line 311, col 13.
                    write(u'''</h3>
        <h4>''')
                    _orig_filter_99786723 = _filter
                    _filter = self._CHEETAH__initialFilter
                    if False:
                        _('Corpus <em class="corpname">%s</em> as a language resource')
                    _v = VFFSL(SL,"_",False)('Corpus <em class="corpname">%s</em> as a language resource') % VFFSL(SL,"canonical_corpname",True) # u'$($_(\'Corpus <em class="corpname">%s</em> as a language resource\') % $canonical_corpname)' on line 312, col 26
                    if _v is not None: write(_filter(_v, rawExpr=u'$($_(\'Corpus <em class="corpname">%s</em> as a language resource\') % $canonical_corpname)')) # from line 312, col 26.
                    _filter = self._CHEETAH__currentFilter = _orig_filter_99786723
                    write(u''':</h4>
        ''')
                    _orig_filter_58993080 = _filter
                    _filter = self._CHEETAH__initialFilter
                    write(u''' ''')
                    _v = VFFSL(SL,"citation_info.default_ref",True) # u'$citation_info.default_ref' on line 313, col 23
                    if _v is not None: write(_filter(_v, rawExpr=u'$citation_info.default_ref')) # from line 313, col 23.
                    write(u''' ''')
                    _filter = self._CHEETAH__currentFilter = _orig_filter_58993080
                    write(u'''

''')
                    if len(VFFSL(SL,"citation_info.article_ref",True)) > 0: # generated from line 315, col 9
                        write(u'''            <h4>''')
                        if False:
                            _('Reference(s)')
                        _v = VFFSL(SL,"_",False)('Reference(s)') # u"$_('Reference(s)')" on line 316, col 17
                        if _v is not None: write(_filter(_v, rawExpr=u"$_('Reference(s)')")) # from line 316, col 17.
                        write(u''':</h4>
            <ul>
''')
                        for article_item in VFFSL(SL,"citation_info.article_ref",True): # generated from line 318, col 13
                            write(u'''                <li>''')
                            _orig_filter_10167635 = _filter
                            _filter = self._CHEETAH__initialFilter
                            write(u''' ''')
                            _v = VFFSL(SL,"article_item",True) # u'$article_item' on line 319, col 35
                            if _v is not None: write(_filter(_v, rawExpr=u'$article_item')) # from line 319, col 35.
                            write(u''' ''')
                            _filter = self._CHEETAH__currentFilter = _orig_filter_10167635
                            write(u'''</li>
''')
                        write(u'''            </ul>
''')
                    write(u'''
''')
                    if VFFSL(SL,"citation_info.other_bibliography",True): # generated from line 324, col 9
                        write(u'''        <h4>''')
                        if False:
                            _('General references')
                        _v = VFFSL(SL,"_",False)('General references') # u"$_('General references')" on line 325, col 13
                        if _v is not None: write(_filter(_v, rawExpr=u"$_('General references')")) # from line 325, col 13.
                        write(u''':</h4>
        ''')
                        _orig_filter_23927169 = _filter
                        _filter = self._CHEETAH__initialFilter
                        write(u''' ''')
                        _v = VFFSL(SL,"citation_info.other_bibliography",True) # u'$citation_info.other_bibliography' on line 326, col 23
                        if _v is not None: write(_filter(_v, rawExpr=u'$citation_info.other_bibliography')) # from line 326, col 23.
                        write(u''' ''')
                        _filter = self._CHEETAH__currentFilter = _orig_filter_23927169
                        write(u'''
''')
                    write(u'''    </div>
''')
                write(u'''</header>
''')
                _filter = self._CHEETAH__currentFilter = _orig_filter_75967884
            write(u'''

''')
            _orig_filter_70266526 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            write(u'''<div id="content">
''')
            if VFFSL(SL,"message",True): # generated from line 337, col 5
                write(u'''    <div class="messages">
        <div class="message ''')
                _v = VFFSL(SL,"message",True)[0] # u'$message[0]' on line 339, col 29
                if _v is not None: write(_filter(_v, rawExpr=u'$message[0]')) # from line 339, col 29.
                write(u'''" ''')
                if VFFSL(SL,"varExists",False)('next_url'): # generated from line 339, col 42
                    write(u'''data-next-url="''')
                    _v = VFFSL(SL,"next_url",True) # u'$next_url' on line 339, col 84
                    if _v is not None: write(_filter(_v, rawExpr=u'$next_url')) # from line 339, col 84.
                    write(u'''"''')
                write(u'''>
            <img class="icon" alt="''')
                _v = VFFSL(SL,"message",True)[0] # u'$message[0]' on line 340, col 36
                if _v is not None: write(_filter(_v, rawExpr=u'$message[0]')) # from line 340, col 36.
                write(u'''" src="../files/img/''')
                if VFFSL(SL,"message",True)[0] == 'error': # generated from line 340, col 67
                    write(u'''error-icon.png''')
                else: # generated from line 340, col 108
                    write(u'''info-icon.png''')
                write(u'''">
            <div class="message-text">''')
                _orig_filter_45994601 = _filter
                _filter = self._CHEETAH__initialFilter
                _v = VFFSL(SL,"message",True)[1] # u'$message[1]' on line 341, col 52
                if _v is not None: write(_filter(_v, rawExpr=u'$message[1]')) # from line 341, col 52.
                _filter = self._CHEETAH__currentFilter = _orig_filter_45994601
                write(u'''</div>
            <a class="close-icon">
                <img class="over-img" src="../files/img/close-icon.png" data-alt-img="../files/img/close-icon_s.png" />
            </a>
        </div>
    </div>
''')
            write(u'''
''')
            _orig_filter_92044525 = _filter
            _filter = self._CHEETAH__initialFilter
            self.concordance(trans=trans)
            write(u'''
''')
            self.main(trans=trans)
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_92044525
            write(u'''</div>
<footer>
''')
            if VFFSL(SL,"len",False)(VFFSL(SL,"avail_languages",True)) > 0: # generated from line 395, col 5
                write(u'''    <div id="switch-language-box">''')
                if False:
                    _("user interface languages")
                _v = VFFSL(SL,"_",False)("user interface languages") # u'$_("user interface languages")' on line 396, col 35
                if _v is not None: write(_filter(_v, rawExpr=u'$_("user interface languages")')) # from line 396, col 35.
                write(u''':
''')
                i = 0
                for lang in VFFSL(SL,"avail_languages",True): # generated from line 398, col 9
                    write(u'''        <a data-lang="''')
                    _v = VFFSL(SL,"lang",True)[0] # u'$lang[0]' on line 399, col 23
                    if _v is not None: write(_filter(_v, rawExpr=u'$lang[0]')) # from line 399, col 23.
                    write(u'''">''')
                    _v = VFN(VFFSL(SL,"lang",True)[1],"get",False)('label', VFFSL(SL,"lang",True)[0]) # u"$lang[1].get('label', $lang[0])" on line 399, col 33
                    if _v is not None: write(_filter(_v, rawExpr=u"$lang[1].get('label', $lang[0])")) # from line 399, col 33.
                    write(u'''</a>''')
                    if VFFSL(SL,"i",True) < VFFSL(SL,"len",False)(VFFSL(SL,"avail_languages",True)) - 1: # generated from line 399, col 68
                        write(u''' | ''')
                    write(u'''
''')
                    i = VFFSL(SL,"i",True) + 1
                write(u'''    </div>
''')
            write(u'''    <div>
        <div id="copyright-info">
            &copy; <a href="http://www.korpus.cz/">Institute of the Czech National Corpus</a>,
            &copy; <a href="http://www.sketchengine.co.uk">Lexical Computing Ltd.</a>,
            &copy; <a href="http://nlp.fi.muni.cz/">NLP Centre FI MU</a>
        </div>
        <div id="app-version">
            ''')
            if False:
                _('version')
            _v = VFFSL(SL,"_",False)('version') # u"$_('version')" on line 411, col 13
            if _v is not None: write(_filter(_v, rawExpr=u"$_('version')")) # from line 411, col 13.
            write(u''' <strong>''')
            _v = VFFSL(SL,"_version",True)[1] # u'$_version[1]' on line 411, col 35
            if _v is not None: write(_filter(_v, rawExpr=u'$_version[1]')) # from line 411, col 35.
            write(u'''</strong>, ''')
            if False:
                _('uses')
            _v = VFFSL(SL,"_",False)('uses') # u"$_('uses')" on line 411, col 58
            if _v is not None: write(_filter(_v, rawExpr=u"$_('uses')")) # from line 411, col 58.
            write(u''' manatee-<span>''')
            _v = VFFSL(SL,"_version",True)[0] # u'$_version[0]' on line 411, col 83
            if _v is not None: write(_filter(_v, rawExpr=u'$_version[0]')) # from line 411, col 83.
            write(u'''</span>
        </div>
''')
            if VFFSL(SL,"debug",True): # generated from line 413, col 9
                write(u'''        <div class="debug-warning">
        ''')
                if False:
                    _('debugging mode')
                _v = VFFSL(SL,"_",False)('debugging mode') # u"$_('debugging mode')" on line 415, col 9
                if _v is not None: write(_filter(_v, rawExpr=u"$_('debugging mode')")) # from line 415, col 9.
                write(u'''
        </div>
''')
            elif VFFSL(SL,"error_report_url",True): # generated from line 417, col 9
                write(u'''        <div id="error-reporting"><a href="''')
                _v = VFFSL(SL,"error_report_url",True) # u'$error_report_url' on line 418, col 44
                if _v is not None: write(_filter(_v, rawExpr=u'$error_report_url')) # from line 418, col 44.
                write(u'''" target="_blank">''')
                if False:
                    _('Report an error')
                _v = VFFSL(SL,"_",False)('Report an error') # u"$_('Report an error')" on line 418, col 79
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Report an error')")) # from line 418, col 79.
                write(u'''</a></div>
''')
            write(u'''    </div>
</footer>

''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_70266526
            #  end of left menu
            write(u'''

</body>
</html>

''')
        write(u'''
''')
        #  ******** Common methods definitions ******** ##
        write(u'''











''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus = ""

    _mainCheetahMethod_for_document= 'respond'

## END CLASS DEFINITION

if not hasattr(document, '_initCheetahAttributes'):
    templateAPIClass = getattr(document, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(document)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=document()).run()


