#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.conc import conc

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287200.291185
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:40 2014'
__CHEETAH_src__ = 'templates/filter_form.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Jan  8 14:34:15 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class filter_form(conc):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(filter_form, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 22, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Concordance: Filter form")
        _v = VFFSL(SL,"_",False)("Concordance: Filter form") # u'$_("Concordance: Filter form")' on line 23, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Concordance: Filter form")')) # from line 23, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_expert(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_expert at line 26, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''  <li><strong>''')
        if False:
            _("Expert options:")
        _v = VFFSL(SL,"_",False)("Expert options:") # u'$_("Expert options:")' on line 27, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Expert options:")')) # from line 27, col 15.
        write(u'''</strong>
    <ul class="submenu">
      <li><a id="text-type-el-link">''')
        if False:
            _("Text Types")
        _v = VFFSL(SL,"_",False)("Text Types") # u'$_("Text Types")' on line 29, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Text Types")')) # from line 29, col 37.
        write(u'''</a></li>
    </ul>
  </li>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 34, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u"""require(['jquery', 'tpl/filterForm', 'conf', 'domReady!'], function ($, filterForm, conf) {
    filterForm.init(conf);
});

""")
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 41, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<section>
''')
        _orig_filter_59814807 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''    <h2>''')
        if False:
            _("Concordance Filter")
        _v = VFFSL(SL,"_",False)("Concordance Filter") # u'$_("Concordance Filter")' on line 44, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Concordance Filter")')) # from line 44, col 9.
        write(u'''</h2>
    <form id="mainform" action="filter">
        <input type="hidden" name="within" value="''')
        _v = VFFSL(SL,"within",True) # u'$within' on line 46, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$within')) # from line 46, col 51.
        write(u'''" />
''')
        _orig_filter_31147966 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''        ''')
        _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 48, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 48, col 9.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_31147966
        write(u'''
        <table class="form">
''')
        if VFFSL(SL,"within",True): # generated from line 52, col 9
            write(u'''        <input type="hidden" name="pnfilter" value="p"/>
        ''')
            #  ordinary filter
        else : # generated from line 54, col 9
            write(u'''        <tbody>
        <tr class="required">
          <th>''')
            if False:
                _("Filter")
            _v = VFFSL(SL,"_",False)("Filter") # u'$_("Filter")' on line 57, col 15
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Filter")')) # from line 57, col 15.
            write(u''':</th>
            <td><label><input type="radio" name="pnfilter" value="p"
''')
            if VFFSL(SL,"pnfilter",True) == 'p': # generated from line 59, col 13
                write(u'''              checked="checked"
''')
            write(u'''            /> ''')
            if False:
                _("positive")
            _v = VFFSL(SL,"_",False)("positive") # u'$_("positive")' on line 62, col 16
            if _v is not None: write(_filter(_v, rawExpr=u'$_("positive")')) # from line 62, col 16.
            write(u'''</label>
            <label><input type="radio" name="pnfilter" value="n"
''')
            if VFFSL(SL,"pnfilter",True) == 'n': # generated from line 64, col 13
                write(u'''              checked="checked"
''')
            write(u'''            /> ''')
            if False:
                _("negative")
            _v = VFFSL(SL,"_",False)("negative") # u'$_("negative")' on line 67, col 16
            if _v is not None: write(_filter(_v, rawExpr=u'$_("negative")')) # from line 67, col 16.
            write(u'''</label></td></tr>

        <tr>
          <th>''')
            if False:
                _("Selected token")
            _v = VFFSL(SL,"_",False)("Selected token") # u'$_("Selected token")' on line 70, col 15
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Selected token")')) # from line 70, col 15.
            write(u''':</th>
            <td><label><input type="radio" name="filfl" value="f"
''')
            if VFFSL(SL,"filfl",True) == 'f': # generated from line 72, col 13
                write(u'''              checked="checked"
''')
            write(u'''            /> ''')
            if False:
                _("first")
            _v = VFFSL(SL,"_",False)("first") # u'$_("first")' on line 75, col 16
            if _v is not None: write(_filter(_v, rawExpr=u'$_("first")')) # from line 75, col 16.
            write(u'''</label>
            <label><input type="radio" name="filfl" value="l"
''')
            if VFFSL(SL,"filfl",True) == 'l': # generated from line 77, col 13
                write(u'''              checked="checked"
''')
            write(u'''            />  ''')
            if False:
                _("last")
            _v = VFFSL(SL,"_",False)("last") # u'$_("last")' on line 80, col 17
            if _v is not None: write(_filter(_v, rawExpr=u'$_("last")')) # from line 80, col 17.
            write(u'''</label></td></tr>
        <tr><th>''')
            if False:
                _("Search Span")
            _v = VFFSL(SL,"_",False)("Search Span") # u'$_("Search Span")' on line 81, col 17
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Search Span")')) # from line 81, col 17.
            write(u''':</th>
            <td>
            ''')
            if False:
                _("from")
            _v = VFFSL(SL,"_",False)("from") # u'$_("from")' on line 83, col 13
            if _v is not None: write(_filter(_v, rawExpr=u'$_("from")')) # from line 83, col 13.
            write(u''' <input type="text" name="filfpos" size="4" value="''')
            _v = VFFSL(SL,"filfpos",True) # u'$filfpos' on line 83, col 74
            if _v is not None: write(_filter(_v, rawExpr=u'$filfpos')) # from line 83, col 74.
            write(u'''" data-ignore-reset="1" />
            ''')
            if False:
                _("to")
            _v = VFFSL(SL,"_",False)("to") # u'$_("to")' on line 84, col 13
            if _v is not None: write(_filter(_v, rawExpr=u'$_("to")')) # from line 84, col 13.
            write(u''' <input type="text" name="filtpos" size="4" value="''')
            _v = VFFSL(SL,"filtpos",True) # u'$filtpos' on line 84, col 72
            if _v is not None: write(_filter(_v, rawExpr=u'$filtpos')) # from line 84, col 72.
            write(u'''" data-ignore-reset="1" />
            <input type="checkbox" name="inclkwic" value="True" checked="checked" /> ''')
            if False:
                _("include KWIC")
            _v = VFFSL(SL,"_",False)("include KWIC") # u'$_("include KWIC")' on line 85, col 86
            if _v is not None: write(_filter(_v, rawExpr=u'$_("include KWIC")')) # from line 85, col 86.
            write(u'''
            </td>
        </tr>
        </tbody>
''')
        _orig_filter_22774358 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''        ''')
        _v = VFFSL(SL,"query_node",True) # u'$query_node' on line 91, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$query_node')) # from line 91, col 9.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_22774358
        write(u'''        </table>

''')
        if VFFSL(SL,"TextTypeSel",True): # generated from line 95, col 9
            showhiddenlistsimple = VFN(VFFSL(SL,"getVar",False)("showhidsim", ''),"split",False)(".")
            hidden = ('texttypeel' in VFFSL(SL,"showhiddenlistsimple",True)) and ' visible' or ' hidden'
            write(u'''          <div class="advanced_options''')
            _v = VFFSL(SL,"hidden",True) # u'$hidden' on line 98, col 39
            if _v is not None: write(_filter(_v, rawExpr=u'$hidden')) # from line 98, col 39.
            write(u'''">
          <h3>''')
            if False:
                _("Text Types")
            _v = VFFSL(SL,"_",False)("Text Types") # u'$_("Text Types")' on line 99, col 15
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Text Types")')) # from line 99, col 15.
            write(u'''</h3>

            <div class="indent">
''')
            _orig_filter_78355414 = _filter
            _filter = self._CHEETAH__initialFilter
            write(u'''            ''')
            _v = VFFSL(SL,"tt_sel",True) # u'$tt_sel' on line 103, col 13
            if _v is not None: write(_filter(_v, rawExpr=u'$tt_sel')) # from line 103, col 13.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_78355414
            write(u'''            </div>

            </div>

''')
        write(u'''
        <div class="buttons">
          <input class="submit" type="submit" value="''')
        if False:
            _("Filter Concordance")
        _v = VFFSL(SL,"_",False)("Filter Concordance") # u'$_("Filter Concordance")' on line 112, col 54
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Filter Concordance")')) # from line 112, col 54.
        write(u'''" />
          <input id="conc-form-clear-button" class="button" type="button" value="''')
        if False:
            _("Clear All")
        _v = VFFSL(SL,"_",False)("Clear All") # u'$_("Clear All")' on line 113, col 82
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Clear All")')) # from line 113, col 82.
        write(u'''" />
        </div>
    </form>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_59814807
        write(u'''</section>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        write(u'''




''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_filter_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(filter_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(filter_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(filter_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=filter_form()).run()


