#!/usr/bin/env python
# -*- coding: UTF-8 -*-




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.document import document

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287198.486483
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:38 2014'
__CHEETAH_src__ = 'templates/first_form.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Jan 22 14:35:41 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class first_form(document):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(first_form, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 23, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Concordance - First query form")
        _v = VFFSL(SL,"_",False)("Concordance - First query form") # u'$_("Concordance - First query form")' on line 24, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Concordance - First query form")')) # from line 24, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 27, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u"""require(['tpl/firstForm', 'conf', 'domReady!'], function (firstForm, conf) {
    conf.labelStdQuery = '""")
        if False:
            _("Std. Query")
        _v = VFFSL(SL,"_",False)("Std. Query") # u'$_("Std. Query")' on line 29, col 27
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Std. Query")')) # from line 29, col 27.
        write(u"""';
    conf.labelErrorQuery = '""")
        if False:
            _("Error Query")
        _v = VFFSL(SL,"_",False)("Error Query") # u'$_("Error Query")' on line 30, col 29
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Error Query")')) # from line 30, col 29.
        write(u"""';
    conf.messages.too_long_condition = '""")
        if False:
            _('The selection condition you have specified is too long. Please create a subcorpus instead.')
        _v = VFFSL(SL,"_",False)('The selection condition you have specified is too long. Please create a subcorpus instead.') # u"$_('The selection condition you have specified is too long. Please create a subcorpus instead.')" on line 31, col 41
        if _v is not None: write(_filter(_v, rawExpr=u"$_('The selection condition you have specified is too long. Please create a subcorpus instead.')")) # from line 31, col 41.
        write(u"""';
    conf.messages.cancel = '""")
        if False:
            _("Cancel")
        _v = VFFSL(SL,"_",False)("Cancel") # u'$_("Cancel")' on line 32, col 29
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Cancel")')) # from line 32, col 29.
        write(u"""';
    conf.messages.open_the_subcorpus_form = '""")
        if False:
            _("Open the subcorpus form")
        _v = VFFSL(SL,"_",False)("Open the subcorpus form") # u'$_("Open the subcorpus form")' on line 33, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Open the subcorpus form")')) # from line 33, col 46.
        write(u"""';
    conf.messages.click_to_expand = '""")
        if False:
            _('Click to expand')
        _v = VFFSL(SL,"_",False)('Click to expand') # u"$_('Click to expand')" on line 34, col 38
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Click to expand')")) # from line 34, col 38.
        write(u"""';
    conf.messages.click_to_hide = '""")
        if False:
            _('Click to hide')
        _v = VFFSL(SL,"_",False)('Click to hide') # u"$_('Click to hide')" on line 35, col 36
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Click to hide')")) # from line 35, col 36.
        write(u"""';
    firstForm.init(conf);
""")
        if VFFSL(SL,"getVar",False)('show_cup_menu', ''): # generated from line 37, col 5
            write(u'''        firstForm.showCupMenu(conf);
''')
        write(u'''});
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_help(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_help at line 43, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_expert(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_expert at line 48, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"varExists",False)('user_menu') and VFFSL(SL,"supports_password_change",True): # generated from line 49, col 5
            write(u'''    <li>
        <hr />
        <strong>''')
            if False:
                _('User')
            _v = VFFSL(SL,"_",False)('User') # u"$_('User')" on line 52, col 17
            if _v is not None: write(_filter(_v, rawExpr=u"$_('User')")) # from line 52, col 17.
            write(u''':</strong>
        <ul class="submenu">
            <li><a href="user_password_form">''')
            if False:
                _('Password change')
            _v = VFFSL(SL,"_",False)('Password change') # u"$_('Password change')" on line 54, col 46
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Password change')")) # from line 54, col 46.
            write(u'''</a></li>
        </ul>
    </li>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 60, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_72792363 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<section>
    <h2>''')
        if False:
            _('Search in the corpus')
        _v = VFFSL(SL,"_",False)('Search in the corpus') # u"$_('Search in the corpus')" on line 63, col 9
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Search in the corpus')")) # from line 63, col 9.
        write(u'''</h2>
    <form id="mainform" action="first">
''')
        if VFFSL(SL,"shuffle",True): # generated from line 65, col 5
            write(u'''        <input type="hidden" name="shuffle" value="1" />
''')
        write(u'''    <table class="form">
''')
        _orig_filter_80596925 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''      ''')
        _v = VFFSL(SL,"corp_sel_node",True) # u'$corp_sel_node' on line 70, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$corp_sel_node')) # from line 70, col 7.
        write(u'''
      ''')
        _v = VFFSL(SL,"query_node",True) # u'$query_node' on line 71, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$query_node')) # from line 71, col 7.
        write(u'''
    </table>
''')
        if VFFSL(SL,"getVar",False)('show_cup_menu', ''): # generated from line 73, col 5
            write(u'''        ''')
            _v = VFFSL(SL,"cup_err_menu",True) # u'$cup_err_menu' on line 74, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$cup_err_menu')) # from line 74, col 9.
            write(u'''
''')
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_80596925
        if VFFSL(SL,"corp_doc",True): # generated from line 78, col 5
            write(u'''      <table><tr><td><a href="''')
            _v = VFFSL(SL,"corp_doc",True) # u'$corp_doc' on line 79, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$corp_doc')) # from line 79, col 31.
            write(u'''" target="blank">corpus documentation</a></td></tr></table>
''')
        write(u'''
    <fieldset class="inactive">
        <legend><a class="form-extension-switch" title="''')
        if False:
            _('click to expand')
        _v = VFFSL(SL,"_",False)('click to expand') # u"$_('click to expand')" on line 83, col 57
        if _v is not None: write(_filter(_v, rawExpr=u"$_('click to expand')")) # from line 83, col 57.
        write(u'''" data-box-id="context-box">''')
        if False:
            _("Specify context")
        _v = VFFSL(SL,"_",False)("Specify context") # u'$_("Specify context")' on line 83, col 106
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Specify context")')) # from line 83, col 106.
        write(u'''
        <img class="status over-img" src="../files/img/arrow_down.png" /></a></legend>
        <div class="contents">
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 86, col 9
            write(u'''          <h3>''')
            if False:
                _("Lemma filter")
            _v = VFFSL(SL,"_",False)("Lemma filter") # u'$_("Lemma filter")' on line 87, col 15
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Lemma filter")')) # from line 87, col 15.
            write(u'''</h3>
''')
        else: # generated from line 88, col 9
            write(u'''          <h3>''')
            if False:
                _("Word form filter")
            _v = VFFSL(SL,"_",False)("Word form filter") # u'$_("Word form filter")' on line 89, col 15
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Word form filter")')) # from line 89, col 15.
            write(u'''</h3>
''')
        write(u'''          <table class="form">
            <tr>
              <th align="left">''')
        if False:
            _("Window")
        _v = VFFSL(SL,"_",False)("Window") # u'$_("Window")' on line 93, col 32
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Window")')) # from line 93, col 32.
        write(u''':</th>
              <td><select name="fc_lemword_window_type">
                 <option value="left" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'left' : # generated from line 95, col 39
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("left")
        _v = VFFSL(SL,"_",False)("left") # u'$_("left")' on line 95, col 114
        if _v is not None: write(_filter(_v, rawExpr=u'$_("left")')) # from line 95, col 114.
        write(u'''</option>
                 <option value="right" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'right' : # generated from line 96, col 40
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("right")
        _v = VFFSL(SL,"_",False)("right") # u'$_("right")' on line 96, col 116
        if _v is not None: write(_filter(_v, rawExpr=u'$_("right")')) # from line 96, col 116.
        write(u'''</option>
                 <option value="both" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'both' : # generated from line 97, col 39
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("both")
        _v = VFFSL(SL,"_",False)("both") # u'$_("both")' on line 97, col 114
        if _v is not None: write(_filter(_v, rawExpr=u'$_("both")')) # from line 97, col 114.
        write(u'''</option>
               </select>
               <select name="fc_lemword_wsize">
                 <option>1</option>
                 <option>2</option>
                 <option>3</option>
                 <option>4</option>
                 <option selected="selected">5</option>
                 <option>7</option>
                 <option>10</option>
                 <option>15</option>
               </select>
               ''')
        if False:
            _("tokens")
        _v = VFFSL(SL,"_",False)("tokens") # u'$_("tokens")' on line 109, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$_("tokens")')) # from line 109, col 16.
        write(u'''.
              </td>
            </tr>
            <tr>
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 113, col 9
            write(u'''              <th align="left">''')
            if False:
                _("Lemma(s)")
            _v = VFFSL(SL,"_",False)("Lemma(s)") # u'$_("Lemma(s)")' on line 114, col 32
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Lemma(s)")')) # from line 114, col 32.
            write(u''':</th>
''')
        else: # generated from line 115, col 9
            write(u'''              <th align="left">''')
            if False:
                _("Word form(s)")
            _v = VFFSL(SL,"_",False)("Word form(s)") # u'$_("Word form(s)")' on line 116, col 32
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Word form(s)")')) # from line 116, col 32.
            write(u''':</th>
''')
        write(u'''              <td>
              <input type="text" name="fc_lemword" class="fc_lemword" />
              <select name="fc_lemword_type">
                 <option value="all" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'all' : # generated from line 121, col 38
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("all")
        _v = VFFSL(SL,"_",False)("all") # u'$_("all")' on line 121, col 105
        if _v is not None: write(_filter(_v, rawExpr=u'$_("all")')) # from line 121, col 105.
        write(u'''</option>
                 <option value="any" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'any' : # generated from line 122, col 38
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("any")
        _v = VFFSL(SL,"_",False)("any") # u'$_("any")' on line 122, col 105
        if _v is not None: write(_filter(_v, rawExpr=u'$_("any")')) # from line 122, col 105.
        write(u'''</option>
                 <option value="none" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'none' : # generated from line 123, col 39
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("none")
        _v = VFFSL(SL,"_",False)("none") # u'$_("none")' on line 123, col 107
        if _v is not None: write(_filter(_v, rawExpr=u'$_("none")')) # from line 123, col 107.
        write(u'''</option>
               </select>
               ''')
        if False:
            _("of these items")
        _v = VFFSL(SL,"_",False)("of these items") # u'$_("of these items")' on line 125, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$_("of these items")')) # from line 125, col 16.
        write(u'''.
              </td>
            </tr>
          </table>

''')
        if VFFSL(SL,"Wposlist",True): # generated from line 130, col 9
            write(u'''          <h3>''')
            if False:
                _("PoS filter")
            _v = VFFSL(SL,"_",False)("PoS filter") # u'$_("PoS filter")' on line 131, col 15
            if _v is not None: write(_filter(_v, rawExpr=u'$_("PoS filter")')) # from line 131, col 15.
            write(u'''</h3>
          <table class="form">
            <tr>
              <th align="left">''')
            if False:
                _("Window")
            _v = VFFSL(SL,"_",False)("Window") # u'$_("Window")' on line 134, col 32
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Window")')) # from line 134, col 32.
            write(u''':</th>
              <td colspan="2"><select name="fc_pos_window_type">
                 <option value="left" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'left' : # generated from line 136, col 39
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("left")
            _v = VFFSL(SL,"_",False)("left") # u'$_("left")' on line 136, col 110
            if _v is not None: write(_filter(_v, rawExpr=u'$_("left")')) # from line 136, col 110.
            write(u'''</option>
                 <option value="right" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'right' : # generated from line 137, col 40
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("right")
            _v = VFFSL(SL,"_",False)("right") # u'$_("right")' on line 137, col 112
            if _v is not None: write(_filter(_v, rawExpr=u'$_("right")')) # from line 137, col 112.
            write(u'''</option>
                 <option value="both" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'both' : # generated from line 138, col 39
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("both")
            _v = VFFSL(SL,"_",False)("both") # u'$_("both")' on line 138, col 110
            if _v is not None: write(_filter(_v, rawExpr=u'$_("both")')) # from line 138, col 110.
            write(u'''</option>
               </select>
               <select name="fc_pos_wsize">
                 <option>1</option>
                 <option>2</option>
                 <option>3</option>
                 <option>4</option>
                 <option selected="selected">5</option>
                 <option>7</option>
                 <option>10</option>
                 <option>15</option>
               </select>
               ''')
            if False:
                _("tokens")
            _v = VFFSL(SL,"_",False)("tokens") # u'$_("tokens")' on line 150, col 16
            if _v is not None: write(_filter(_v, rawExpr=u'$_("tokens")')) # from line 150, col 16.
            write(u'''.
              </td>
            </tr>
            <tr>
              <th align="left" valign="top">''')
            if False:
                _("PoS")
            _v = VFFSL(SL,"_",False)("PoS") # u'$_("PoS")' on line 154, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$_("PoS")')) # from line 154, col 45.
            write(u''':<br/><span class="explanation">(''')
            if False:
                _("use Ctrl+click for")
            _v = VFFSL(SL,"_",False)("use Ctrl+click for") # u'$_("use Ctrl+click for")' on line 154, col 87
            if _v is not None: write(_filter(_v, rawExpr=u'$_("use Ctrl+click for")')) # from line 154, col 87.
            write(u''' <br/>
        ''')
            if False:
                _("multiple selection")
            _v = VFFSL(SL,"_",False)("multiple selection") # u'$_("multiple selection")' on line 155, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$_("multiple selection")')) # from line 155, col 9.
            write(u''')</span></th>
            <td><select name="fc_pos" size="4" multiple="multiple" title="''')
            if False:
                _("Select one or more PoS tags")
            _v = VFFSL(SL,"_",False)("Select one or more PoS tags") # u'$_("Select one or more PoS tags")' on line 156, col 75
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Select one or more PoS tags")')) # from line 156, col 75.
            write(u'''">
''')
            for w in VFFSL(SL,"Wposlist",True): # generated from line 157, col 13
                write(u'''              <option>''')
                if False:
                    _(VFFSL(SL,"w.n",True))
                _v = VFFSL(SL,"_",False)(VFFSL(SL,"w.n",True)) # u'$_($w.n)' on line 158, col 23
                if _v is not None: write(_filter(_v, rawExpr=u'$_($w.n)')) # from line 158, col 23.
                write(u'''</option>
''')
            write(u'''              </select>
            </td>
            <td valign="top">
              <select name="fc_pos_type">
                 <option value="all" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'all' : # generated from line 164, col 38
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("all")
            _v = VFFSL(SL,"_",False)("all") # u'$_("all")' on line 164, col 101
            if _v is not None: write(_filter(_v, rawExpr=u'$_("all")')) # from line 164, col 101.
            write(u'''</option>
                 <option value="any" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'any' : # generated from line 165, col 38
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("any")
            _v = VFFSL(SL,"_",False)("any") # u'$_("any")' on line 165, col 101
            if _v is not None: write(_filter(_v, rawExpr=u'$_("any")')) # from line 165, col 101.
            write(u'''</option>
                 <option value="none" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'none' : # generated from line 166, col 39
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("none")
            _v = VFFSL(SL,"_",False)("none") # u'$_("none")' on line 166, col 103
            if _v is not None: write(_filter(_v, rawExpr=u'$_("none")')) # from line 166, col 103.
            write(u'''</option>
               </select>
               ''')
            if False:
                _("of these items")
            _v = VFFSL(SL,"_",False)("of these items") # u'$_("of these items")' on line 168, col 16
            if _v is not None: write(_filter(_v, rawExpr=u'$_("of these items")')) # from line 168, col 16.
            write(u'''.
              </td>
            </tr>
          </table>
''')
        write(u'''    </div>
    </fieldset>


    <fieldset class="inactive">
      <legend><a class="form-extension-switch" title="''')
        if False:
            _('click to expand')
        _v = VFFSL(SL,"_",False)('click to expand') # u"$_('click to expand')" on line 178, col 55
        if _v is not None: write(_filter(_v, rawExpr=u"$_('click to expand')")) # from line 178, col 55.
        write(u'''" data-box-id="attrib-box">''')
        if False:
            _("Specify query according to the meta-information")
        _v = VFFSL(SL,"_",False)("Specify query according to the meta-information") # u'$_("Specify query according to the meta-information")' on line 178, col 103
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Specify query according to the meta-information")')) # from line 178, col 103.
        write(u'''
      <img class="status over-img" src="../files/img/arrow_down.png" /></a></legend>
      <div class="contents">
          <table>
              <tr>
                  <td>
''')
        _orig_filter_22693410 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''                    ''')
        _v = VFFSL(SL,"tt_sel",True) # u'$tt_sel' on line 185, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$tt_sel')) # from line 185, col 21.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_22693410
        write(u'''              </td></tr>
          </table>
      </div>
    </fieldset>

''')
        _orig_filter_18174417 = _filter
        _filter = self._CHEETAH__initialFilter
        if VFFSL(SL,"Aligned",True): # generated from line 193, col 5
            write(u'''    <fieldset class="parallel">
        <legend>''')
            if False:
                _('Aligned corpora')
            _v = VFFSL(SL,"_",False)('Aligned corpora') # u"$_('Aligned corpora')" on line 195, col 17
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Aligned corpora')")) # from line 195, col 17.
            write(u'''</legend>
        <div id="add-searched-lang-widget">
            <button type="button">''')
            if False:
                _('Add')
            _v = VFFSL(SL,"_",False)('Add') # u"$_('Add')" on line 197, col 35
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Add')")) # from line 197, col 35.
            write(u'''</button>
            ''')
            if False:
                _('corpus')
            _v = VFFSL(SL,"_",False)('corpus') # u"$_('corpus')" on line 198, col 13
            if _v is not None: write(_filter(_v, rawExpr=u"$_('corpus')")) # from line 198, col 13.
            write(u''' <select>
''')
            for a in VFFSL(SL,"Aligned",True): # generated from line 199, col 13
                write(u'''            <option value="''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 200, col 28
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 200, col 28.
                write(u'''">''')
                _v = VFFSL(SL,"a.label",True) # u'$a.label' on line 200, col 34
                if _v is not None: write(_filter(_v, rawExpr=u'$a.label')) # from line 200, col 34.
                write(u'''</option>
''')
            write(u'''        </select>
        </div>
''')
            sel_aln = VFN(VFFSL(SL,"align",True),"split",False)(',')
            for a in VFFSL(SL,"Aligned",True): # generated from line 205, col 9
                write(u'''        <div id="qnode_''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 206, col 24
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 206, col 24.
                write(u'''" class="parallel-corp-lang" style="display: none">
            <div class="heading">
                <h3>''')
                _v = VFFSL(SL,"a.label",True) # u'$a.label' on line 208, col 21
                if _v is not None: write(_filter(_v, rawExpr=u'$a.label')) # from line 208, col 21.
                write(u''' (''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 208, col 31
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 208, col 31.
                write(u''')<a class="close-button" title="''')
                if False:
                    _('Remove the language')
                _v = VFFSL(SL,"_",False)('Remove the language') # u"$_('Remove the language')" on line 208, col 67
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Remove the language')")) # from line 208, col 67.
                write(u'''"><img
                    class="over-img" src="../files/img/close-icon.png" data-alt-img="../files/img/close-icon_s.png"
                    alt="close icon" /></a></h3>
            </div>
            <input type="hidden" name="sel_aligned" value="''')
                if VFFSL(SL,"a.n",True) in VFFSL(SL,"sel_aln",True): # generated from line 212, col 60
                    write(u'''1''')
                write(u'''" data-corpus="''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 212, col 105
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 212, col 105.
                write(u'''" />
            <table class="form">''')
                _v = VFFSL(SL,"query_node",False)('_'+VFFSL(SL,"a.n",True)) # u"$query_node('_'+$a.n)" on line 213, col 33
                if _v is not None: write(_filter(_v, rawExpr=u"$query_node('_'+$a.n)")) # from line 213, col 33.
                write(u'''</table>
        </div>
''')
            write(u'''    </fieldset>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_18174417
        write(u'''
    <div class="buttons">
    <input id="make-concordance-button" class="submit" type="submit" value="''')
        if False:
            _("Search")
        _v = VFFSL(SL,"_",False)("Search") # u'$_("Search")' on line 221, col 77
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Search")')) # from line 221, col 77.
        write(u'''" />
    <input id="conc-form-clear-button" class="button" type="button" value="''')
        if False:
            _("Clear All")
        _v = VFFSL(SL,"_",False)("Clear All") # u'$_("Clear All")' on line 222, col 76
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Clear All")')) # from line 222, col 76.
        write(u'''" />
    </div>
    </form>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_72792363
        write(u'''</section>

''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        write(u'''







''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_first_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(first_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(first_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(first_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=first_form()).run()


