#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.conc import conc
from templating.filters import *

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287200.214379
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:40 2014'
__CHEETAH_src__ = 'templates/freqs.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Mar 26 15:12:14 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class freqs(conc):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(freqs, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 23, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Frequency list")
        _v = VFFSL(SL,"_",False)("Frequency list") # u'$_("Frequency list")' on line 24, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency list")')) # from line 24, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def custom_save(self, **KWS):



        ## CHEETAH: generated from #def custom_save at line 29, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_29158522 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<li class="separ"><a title="''')
        if False:
            _("Save Frequency list to a CSV file")
        _v = VFFSL(SL,"_",False)("Save Frequency list to a CSV file") # u'$_("Save Frequency list to a CSV file")' on line 31, col 29
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save Frequency list to a CSV file")')) # from line 31, col 29.
        write(u'''" href="savefreq?saveformat=csv&from_line=''')
        _v = VFFSL(SL,"quick_from_line",True) # u'$quick_from_line' on line 31, col 110
        if _v is not None: write(_filter(_v, rawExpr=u'$quick_from_line')) # from line 31, col 110.
        write(u'''&to_line=''')
        _v = VFFSL(SL,"quick_to_line",True) # u'$quick_to_line' on line 31, col 135
        if _v is not None: write(_filter(_v, rawExpr=u'$quick_to_line')) # from line 31, col 135.
        write(u'''&''')
        _v = VFFSL(SL,"q",True) # u'$q' on line 31, col 150
        if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 31, col 150.
        write(u''';''')
        _v = VFFSL(SL,"globals",True) # u'$globals' on line 31, col 153
        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 31, col 153.
        write(u''';''')
        _v = VFFSL(SL,"fcrit",True) # u'$fcrit' on line 31, col 162
        if _v is not None: write(_filter(_v, rawExpr=u'$fcrit')) # from line 31, col 162.
        write(u''';ml=''')
        _v = VFFSL(SL,"ml",True) # u'$ml' on line 31, col 172
        if _v is not None: write(_filter(_v, rawExpr=u'$ml')) # from line 31, col 172.
        write(u'''&amp;flimit=''')
        _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 31, col 187
        if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 31, col 187.
        write(u'''&amp;freq_sort=''')
        _v = VFFSL(SL,"freq_sort",True) # u'$freq_sort' on line 31, col 209
        if _v is not None: write(_filter(_v, rawExpr=u'$freq_sort')) # from line 31, col 209.
        write(u'''&amp;fpage=''')
        _v = VFFSL(SL,"fpage",True) # u'$fpage' on line 31, col 230
        if _v is not None: write(_filter(_v, rawExpr=u'$fpage')) # from line 31, col 230.
        write(u'''&amp;ftt_include_empty=''')
        _v = VFFSL(SL,"ftt_include_empty",True) # u'$ftt_include_empty' on line 31, col 259
        if _v is not None: write(_filter(_v, rawExpr=u'$ftt_include_empty')) # from line 31, col 259.
        write(u'''">CSV</a></li>
<li class="separ"><a title="''')
        if False:
            _("Save Frequency list to an XML file")
        _v = VFFSL(SL,"_",False)("Save Frequency list to an XML file") # u'$_("Save Frequency list to an XML file")' on line 32, col 29
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save Frequency list to an XML file")')) # from line 32, col 29.
        write(u'''" href="savefreq?saveformat=xml&from_line=''')
        _v = VFFSL(SL,"quick_from_line",True) # u'$quick_from_line' on line 32, col 111
        if _v is not None: write(_filter(_v, rawExpr=u'$quick_from_line')) # from line 32, col 111.
        write(u'''&to_line=''')
        _v = VFFSL(SL,"quick_to_line",True) # u'$quick_to_line' on line 32, col 136
        if _v is not None: write(_filter(_v, rawExpr=u'$quick_to_line')) # from line 32, col 136.
        write(u'''&''')
        _v = VFFSL(SL,"q",True) # u'$q' on line 32, col 151
        if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 32, col 151.
        write(u''';''')
        _v = VFFSL(SL,"globals",True) # u'$globals' on line 32, col 154
        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 32, col 154.
        write(u''';''')
        _v = VFFSL(SL,"fcrit",True) # u'$fcrit' on line 32, col 163
        if _v is not None: write(_filter(_v, rawExpr=u'$fcrit')) # from line 32, col 163.
        write(u''';ml=''')
        _v = VFFSL(SL,"ml",True) # u'$ml' on line 32, col 173
        if _v is not None: write(_filter(_v, rawExpr=u'$ml')) # from line 32, col 173.
        write(u'''&amp;flimit=''')
        _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 32, col 188
        if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 32, col 188.
        write(u'''&amp;freq_sort=''')
        _v = VFFSL(SL,"freq_sort",True) # u'$freq_sort' on line 32, col 210
        if _v is not None: write(_filter(_v, rawExpr=u'$freq_sort')) # from line 32, col 210.
        write(u'''&amp;fpage=''')
        _v = VFFSL(SL,"fpage",True) # u'$fpage' on line 32, col 231
        if _v is not None: write(_filter(_v, rawExpr=u'$fpage')) # from line 32, col 231.
        write(u'''&amp;ftt_include_empty=''')
        _v = VFFSL(SL,"ftt_include_empty",True) # u'$ftt_include_empty' on line 32, col 260
        if _v is not None: write(_filter(_v, rawExpr=u'$ftt_include_empty')) # from line 32, col 260.
        write(u'''">XML</a></li>
<li class="separ"><a title="''')
        if False:
            _("Save Frequency list to a TXT file")
        _v = VFFSL(SL,"_",False)("Save Frequency list to a TXT file") # u'$_("Save Frequency list to a TXT file")' on line 33, col 29
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save Frequency list to a TXT file")')) # from line 33, col 29.
        write(u'''" href="savefreq?saveformat=text&from_line=''')
        _v = VFFSL(SL,"quick_from_line",True) # u'$quick_from_line' on line 33, col 111
        if _v is not None: write(_filter(_v, rawExpr=u'$quick_from_line')) # from line 33, col 111.
        write(u'''&to_line=''')
        _v = VFFSL(SL,"quick_to_line",True) # u'$quick_to_line' on line 33, col 136
        if _v is not None: write(_filter(_v, rawExpr=u'$quick_to_line')) # from line 33, col 136.
        write(u'''&''')
        _v = VFFSL(SL,"q",True) # u'$q' on line 33, col 151
        if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 33, col 151.
        write(u''';''')
        _v = VFFSL(SL,"globals",True) # u'$globals' on line 33, col 154
        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 33, col 154.
        write(u''';''')
        _v = VFFSL(SL,"fcrit",True) # u'$fcrit' on line 33, col 163
        if _v is not None: write(_filter(_v, rawExpr=u'$fcrit')) # from line 33, col 163.
        write(u''';ml=''')
        _v = VFFSL(SL,"ml",True) # u'$ml' on line 33, col 173
        if _v is not None: write(_filter(_v, rawExpr=u'$ml')) # from line 33, col 173.
        write(u'''&amp;flimit=''')
        _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 33, col 188
        if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 33, col 188.
        write(u'''&amp;freq_sort=''')
        _v = VFFSL(SL,"freq_sort",True) # u'$freq_sort' on line 33, col 210
        if _v is not None: write(_filter(_v, rawExpr=u'$freq_sort')) # from line 33, col 210.
        write(u'''&amp;fpage=''')
        _v = VFFSL(SL,"fpage",True) # u'$fpage' on line 33, col 231
        if _v is not None: write(_filter(_v, rawExpr=u'$fpage')) # from line 33, col 231.
        write(u'''&amp;ftt_include_empty=''')
        _v = VFFSL(SL,"ftt_include_empty",True) # u'$ftt_include_empty' on line 33, col 260
        if _v is not None: write(_filter(_v, rawExpr=u'$ftt_include_empty')) # from line 33, col 260.
        write(u'''">TXT</a></li>
<li><a title="''')
        if False:
            _("Save Frequency list with custom parameters")
        _v = VFFSL(SL,"_",False)("Save Frequency list with custom parameters") # u'$_("Save Frequency list with custom parameters")' on line 34, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save Frequency list with custom parameters")')) # from line 34, col 15.
        write(u'''" href="savefreq_form?''')
        _v = VFFSL(SL,"q",True) # u'$q' on line 34, col 85
        if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 34, col 85.
        write(u''';''')
        _v = VFFSL(SL,"globals",True) # u'$globals' on line 34, col 88
        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 34, col 88.
        write(u''';''')
        _v = VFFSL(SL,"fcrit",True) # u'$fcrit' on line 34, col 97
        if _v is not None: write(_filter(_v, rawExpr=u'$fcrit')) # from line 34, col 97.
        write(u''';ml=''')
        _v = VFFSL(SL,"ml",True) # u'$ml' on line 34, col 107
        if _v is not None: write(_filter(_v, rawExpr=u'$ml')) # from line 34, col 107.
        write(u'''&amp;flimit=''')
        _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 34, col 122
        if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 34, col 122.
        write(u'''&amp;freq_sort=''')
        _v = VFFSL(SL,"freq_sort",True) # u'$freq_sort' on line 34, col 144
        if _v is not None: write(_filter(_v, rawExpr=u'$freq_sort')) # from line 34, col 144.
        write(u'''&amp;fpage=''')
        _v = VFFSL(SL,"fpage",True) # u'$fpage' on line 34, col 165
        if _v is not None: write(_filter(_v, rawExpr=u'$fpage')) # from line 34, col 165.
        write(u'''&amp;ftt_include_empty=''')
        _v = VFFSL(SL,"ftt_include_empty",True) # u'$ftt_include_empty' on line 34, col 194
        if _v is not None: write(_filter(_v, rawExpr=u'$ftt_include_empty')) # from line 34, col 194.
        write(u'''">''')
        if False:
            _("Custom")
        _v = VFFSL(SL,"_",False)("Custom") # u'$_("Custom")' on line 34, col 214
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Custom")')) # from line 34, col 214.
        write(u'''&#8230;</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_29158522
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def navigation(self, navid="next", **KWS):



        ## CHEETAH: generated from #block navigation($navid="next") at line 45, col 5.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"paging",True) and (VFFSL(SL,"fpage",True) > 1 or not VFFSL(SL,"lastpage",True)): # generated from line 46, col 5
            write(u'''    <div class="bonito-pagination">
        <form action="freqs">
''')
            if VFFSL(SL,"fpage",True) > 1: # generated from line 49, col 13
                write(u'''            <div class="bonito-pagination-left">
                <a href="''')
                _v = VFFSL(SL,"allhref",True) # u'$allhref' on line 51, col 26
                if _v is not None: write(_filter(_v, rawExpr=u'$allhref')) # from line 51, col 26.
                write(u'''"><img class="over-img" src="../files/img/first-page.png" alt="''')
                if False:
                    _("<< First")
                _v = VFFSL(SL,"_",False)("<< First") # u'$_("<< First")' on line 51, col 97
                if _v is not None: write(_filter(_v, rawExpr=u'$_("<< First")')) # from line 51, col 97.
                write(u'''" title="''')
                if False:
                    _("<< First")
                _v = VFFSL(SL,"_",False)("<< First") # u'$_("<< First")' on line 51, col 120
                if _v is not None: write(_filter(_v, rawExpr=u'$_("<< First")')) # from line 51, col 120.
                write(u'''" data-alt-img="../files/img/first-page_s.png" /></a>
                <a href="''')
                _v = VFFSL(SL,"allhref",True) # u'$allhref' on line 52, col 26
                if _v is not None: write(_filter(_v, rawExpr=u'$allhref')) # from line 52, col 26.
                write(u''';fpage=''')
                _v = VFFSL(SL,"int",False)(VFFSL(SL,"fpage",True)) - 1 # u'$(int($fpage) - 1)' on line 52, col 41
                if _v is not None: write(_filter(_v, rawExpr=u'$(int($fpage) - 1)')) # from line 52, col 41.
                write(u'''"><img class="over-img" src="../files/img/prev-page.png" alt="''')
                if False:
                    _("< Previous")
                _v = VFFSL(SL,"_",False)("< Previous") # u'$_("< Previous")' on line 52, col 121
                if _v is not None: write(_filter(_v, rawExpr=u'$_("< Previous")')) # from line 52, col 121.
                write(u'''" title="''')
                if False:
                    _("< Previous")
                _v = VFFSL(SL,"_",False)("< Previous") # u'$_("< Previous")' on line 52, col 146
                if _v is not None: write(_filter(_v, rawExpr=u'$_("< Previous")')) # from line 52, col 146.
                write(u'''" data-alt-src="../files/img/prev-page.png" /></a>
            </div>
''')
            write(u'''
            <div class="bonito-pagination-core">
''')
            _orig_filter_45133321 = _filter
            _filter = self._CHEETAH__initialFilter
            write(u'''                ''')
            _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 58, col 17
            if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 58, col 17.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_45133321
            for fcr in VFFSL(SL,"FCrit",True): # generated from line 60, col 17
                write(u'''                <input type="hidden" name="fcrit" value="''')
                _v = VFFSL(SL,"fcr.fcrit",True) # u'$fcr.fcrit' on line 61, col 58
                if _v is not None: write(_filter(_v, rawExpr=u'$fcr.fcrit')) # from line 61, col 58.
                write(u'''" />
''')
            write(u'''                <input type="hidden" name="flimit" value=\'''')
            _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 63, col 59
            if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 63, col 59.
            write(u'''\' />
                <input type="hidden" name="freq_sort" value=\'''')
            _v = VFFSL(SL,"freq_sort",True) # u'$freq_sort' on line 64, col 62
            if _v is not None: write(_filter(_v, rawExpr=u'$freq_sort')) # from line 64, col 62.
            write(u'''\' />
                <input type="hidden" name="ml" value=\'''')
            _v = VFFSL(SL,"ml",True) # u'$ml' on line 65, col 55
            if _v is not None: write(_filter(_v, rawExpr=u'$ml')) # from line 65, col 55.
            write(u"""' />

                """)
            if False:
                _("Page")
            _v = VFFSL(SL,"_",False)("Page") # u'$_("Page")' on line 67, col 17
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Page")')) # from line 67, col 17.
            write(u'''
                <input type="text" name="fpage" value="''')
            _v = VFFSL(SL,"fpage",True) # u'$fpage' on line 68, col 56
            if _v is not None: write(_filter(_v, rawExpr=u'$fpage')) # from line 68, col 56.
            write(u'''" size="4" />
            </div>

''')
            if not VFFSL(SL,"lastpage",True): # generated from line 71, col 13
                write(u'''            <div class="bonito-pagination-right">
                <a href="''')
                _v = VFFSL(SL,"allhref",True) # u'$allhref' on line 73, col 26
                if _v is not None: write(_filter(_v, rawExpr=u'$allhref')) # from line 73, col 26.
                write(u''';fpage=''')
                _v = VFFSL(SL,"int",False)(VFFSL(SL,"fpage",True)) + 1 # u'$(int($fpage) + 1)' on line 73, col 41
                if _v is not None: write(_filter(_v, rawExpr=u'$(int($fpage) + 1)')) # from line 73, col 41.
                write(u'''" id="''')
                _v = VFFSL(SL,"navid",True) # u'$navid' on line 73, col 65
                if _v is not None: write(_filter(_v, rawExpr=u'$navid')) # from line 73, col 65.
                write(u'''"><img class="over-img" src="../files/img/next-page.png" alt="''')
                if False:
                    _("Next >")
                _v = VFFSL(SL,"_",False)("Next >") # u'$_("Next >")' on line 73, col 133
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Next >")')) # from line 73, col 133.
                write(u'''" title="''')
                if False:
                    _("Next >")
                _v = VFFSL(SL,"_",False)("Next >") # u'$_("Next >")' on line 73, col 154
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Next >")')) # from line 73, col 154.
                write(u'''" data-alt-img="../files/img/next-page_s.png" /></a>
            </div>
''')
            else: # generated from line 75, col 13
                write(u'''            <a id="''')
                _v = VFFSL(SL,"navid",True) # u'$navid' on line 76, col 20
                if _v is not None: write(_filter(_v, rawExpr=u'$navid')) # from line 76, col 20.
                write(u'''"></a>
''')
            write(u'''        </form>
    </div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 38, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<section>
''')
        _orig_filter_26747403 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        self._CHEETAH__globalSetVars["allhref"] = 'freqs?%s;%s;%s;flimit=%s;freq_sort=%s;ml=%s' % (VFFSL(SL,"q",True), VFFSL(SL,"globals",True), VFFSL(SL,"fcrit",True), VFFSL(SL,"flimit",True), VFFSL(SL,"freq_sort",True), VFFSL(SL,"ml",True))
        write(u'''
    <h2>''')
        if False:
            _("Frequency list")
        _v = VFFSL(SL,"_",False)("Frequency list") # u'$_("Frequency list")' on line 43, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency list")')) # from line 43, col 9.
        write(u'''</h2>

''')
        self.navigation(trans=trans)
        write(u'''
    <form action="freqs">
''')
        _orig_filter_64443071 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''            ''')
        _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 85, col 13
        if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 85, col 13.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_64443071
        for f in VFFSL(SL,"FCrit",True): # generated from line 87, col 9
            write(u'''        <input type="hidden" name="fcrit" value="''')
            _v = VFFSL(SL,"f.fcrit",True) # u'$f.fcrit' on line 88, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$f.fcrit')) # from line 88, col 50.
            write(u'''" />
''')
        write(u'''        <input type="hidden" name="ml" value="''')
        _v = VFFSL(SL,"ml",True) # u'$ml' on line 90, col 47
        if _v is not None: write(_filter(_v, rawExpr=u'$ml')) # from line 90, col 47.
        write(u'''" />
        <input type="hidden" name="ftt_include_empty" value="''')
        _v = VFFSL(SL,"ftt_include_empty",True) # u'$ftt_include_empty' on line 91, col 62
        if _v is not None: write(_filter(_v, rawExpr=u'$ftt_include_empty')) # from line 91, col 62.
        write(u'''" />
        ''')
        if False:
            _("Frequency limit")
        _v = VFFSL(SL,"_",False)("Frequency limit") # u'$_("Frequency limit")' on line 92, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency limit")')) # from line 92, col 9.
        write(u''': <input type="text" name="flimit" value="''')
        _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 92, col 72
        if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 92, col 72.
        write(u'''" size="7" />
        <input type="submit" value="''')
        if False:
            _("Set limit")
        _v = VFFSL(SL,"_",False)("Set limit") # u'$_("Set limit")' on line 93, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Set limit")')) # from line 93, col 37.
        write(u'''" />
    </form>

    <table class="data">
''')
        for b in VFFSL(SL,"Blocks",True): # generated from line 97, col 9
            rowNum = 1
            if 'Total' in VFFSL(SL,"b",True): # generated from line 99, col 9
                write(u'''        <tr>
            <td colspan="''')
                _v = VFFSL(SL,"len",False)(VFFSL(SL,"b.Head",True)) + 2 # u'$($len($b.Head) + 2)' on line 101, col 26
                if _v is not None: write(_filter(_v, rawExpr=u'$($len($b.Head) + 2)')) # from line 101, col 26.
                write(u'''"><strong>''')
                if False:
                    _('Total')
                _v = VFFSL(SL,"_",False)('Total') # u"$_('Total')" on line 101, col 56
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Total')")) # from line 101, col 56.
                write(u''':</strong> ''')
                _v = VFFSL(SL,"b.Total",True) # u'$b.Total' on line 101, col 78
                if _v is not None: write(_filter(_v, rawExpr=u'$b.Total')) # from line 101, col 78.
                write(u''' (''')
                _v = VFFSL(SL,"b.TotalPages",True) # u'$b.TotalPages' on line 101, col 88
                if _v is not None: write(_filter(_v, rawExpr=u'$b.TotalPages')) # from line 101, col 88.
                write(u''' ''')
                if False:
                    _('pages')
                _v = VFFSL(SL,"_",False)('pages') # u"$_('pages')" on line 101, col 102
                if _v is not None: write(_filter(_v, rawExpr=u"$_('pages')")) # from line 101, col 102.
                write(u''')</td>
        </tr>
''')
            write(u'''        <tr>
            <th></th>
            <th></th>
''')
            for h in VFFSL(SL,"b.Head",True): # generated from line 107, col 13
                write(u'''            <th>
                <a href="freqs?''')
                _v = VFFSL(SL,"q",True) # u'$q' on line 109, col 32
                if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 109, col 32.
                write(u''';''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 109, col 35
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 109, col 35.
                write(u''';''')
                _v = VFFSL(SL,"fcrit",True) # u'$fcrit' on line 109, col 44
                if _v is not None: write(_filter(_v, rawExpr=u'$fcrit')) # from line 109, col 44.
                write(u''';flimit=''')
                _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 109, col 58
                if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 109, col 58.
                write(u''';freq_sort=''')
                _v = VFFSL(SL,"h.s",True) # u'$h.s' on line 109, col 76
                if _v is not None: write(_filter(_v, rawExpr=u'$h.s')) # from line 109, col 76.
                write(u''';ftt_include_empty=''')
                _v = VFFSL(SL,"ftt_include_empty",True) # u'$ftt_include_empty' on line 109, col 99
                if _v is not None: write(_filter(_v, rawExpr=u'$ftt_include_empty')) # from line 109, col 99.
                write(u'''"
                ''')
                if 'title' in VFFSL(SL,"h",True): # generated from line 110, col 17
                    write(u''' title="''')
                    _v = VFFSL(SL,"h.title",True) # u'$h.title' on line 110, col 43
                    if _v is not None: write(_filter(_v, rawExpr=u'$h.title')) # from line 110, col 43.
                    write(u'''" ''')
                write(u'''>
                ''')
                if False:
                    _(VFFSL(SL,"h.n",True))
                _v = VFFSL(SL,"_",False)(VFFSL(SL,"h.n",True)) # u'$_($h.n)' on line 111, col 17
                if _v is not None: write(_filter(_v, rawExpr=u'$_($h.n)')) # from line 111, col 17.
                write(u'''</a>
            </th>
''')
            write(u'''            <th></th>
        </tr>
''')
            for i in VFN(VFFSL(SL,"b",True),"get",False)('Items', []): # generated from line 116, col 9
                write(u'''        <tr>
            <td style="text-align: right">''')
                _v = VFFSL(SL,"rowNum",True) +  (VFFSL(SL,"fpage",True) - 1) * VFFSL(SL,"fmaxitems",True) # u'$($rowNum +  ($fpage - 1) * $fmaxitems)' on line 118, col 43
                if _v is not None: write(_filter(_v, rawExpr=u'$($rowNum +  ($fpage - 1) * $fmaxitems)')) # from line 118, col 43.
                write(u'''.</td>
''')
                rowNum += 1
                write(u'''            <td class="nowrap">
''')
                if VFN(VFFSL(SL,"i",True),"get",False)('pfilter', ''): # generated from line 121, col 17
                    write(u"""                <a href='view?""")
                    _v = VFFSL(SL,"q",True) # u'$q' on line 122, col 31
                    if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 122, col 31.
                    write(u''';''')
                    _v = VFFSL(SL,"globals",True) # u'$globals' on line 122, col 34
                    if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 122, col 34.
                    write(u''';''')
                    _v = VFN(VFFSL(SL,"i",True),"get",False)('pfilter') # u"$i.get('pfilter')" on line 122, col 43
                    if _v is not None: write(_filter(_v, rawExpr=u"$i.get('pfilter')")) # from line 122, col 43.
                    write(u"""'>p</a>/""")
                    if VFFSL(SL,"len",False)(VFN(VFFSL(SL,"b",True),"get",False)('Head')) < 3 and VFN(VFFSL(SL,"i",True),"get",False)('nfilter', ''): # generated from line 123, col 17
                        write(u"""                <a href='view?""")
                        _v = VFFSL(SL,"q",True) # u'$q' on line 124, col 31
                        if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 124, col 31.
                        write(u''';''')
                        _v = VFFSL(SL,"globals",True) # u'$globals' on line 124, col 34
                        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 124, col 34.
                        write(u''';''')
                        _v = VFN(VFFSL(SL,"i",True),"get",False)('nfilter') # u"$i.get('nfilter')" on line 124, col 43
                        if _v is not None: write(_filter(_v, rawExpr=u"$i.get('nfilter')")) # from line 124, col 43.
                        write(u"""'>n</a>
            </td>
""")
                    else: # generated from line 126, col 17
                        write(u'''                <span class="disabled" title="Negative filters are disabled for multilevel freqs">n</span>
''')
                for w in VFFSL(SL,"i.Word",True): # generated from line 130, col 13
                    write(u'''            <td class="word">''')
                    _v = VFFSL(SL,"w.n",True) # u'$w.n' on line 131, col 30
                    if _v is not None: write(_filter(_v, rawExpr=u'$w.n')) # from line 131, col 30.
                    write(u'''</td>
''')
                write(u'''            <td align="right" class="frequency">''')
                _orig_filter_73923133 = _filter
                _filter = self._CHEETAH__currentFilter = VFFSL(SL,"IntegerFormatter",True)(self).filter
                write(u''' ''')
                _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 133, col 76
                if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 133, col 76.
                write(u''' ''')
                _filter = self._CHEETAH__currentFilter = _orig_filter_73923133
                write(u'''</td>
''')
                if VFN(VFFSL(SL,"i",True),"has_key",False)('rel'): # generated from line 134, col 13
                    write(u'''            <td align="right">''')
                    _v = VFFSL(SL,"i.rel",True) # u'$i.rel' on line 135, col 31
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.rel')) # from line 135, col 31.
                    write(u'''</td>
''')
                if VFFSL(SL,"i.norel",True): # generated from line 137, col 13
                    write(u'''            <td><div class="bar" style="height:10px;width:''')
                    _v = VFFSL(SL,"i",True)['fbar'] # u"${i['fbar']}" on line 138, col 59
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['fbar']}")) # from line 138, col 59.
                    write(u'''px;"></div><img src="''')
                    _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 138, col 92
                    if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 138, col 92.
                    write(u'''/img/red.png" class="hidden" height="10" width="''')
                    _v = VFFSL(SL,"i.fbar",True) # u'$i.fbar' on line 138, col 151
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.fbar')) # from line 138, col 151.
                    write(u'''" alt="''')
                    _v = VFFSL(SL,"i",True)['fbar'] # u"${i['fbar']}" on line 138, col 165
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['fbar']}")) # from line 138, col 165.
                    write(u'''" />
                </td>
''')
                else: # generated from line 140, col 13
                    write(u'''            <td><div class="bar" style="height:''')
                    _v = VFFSL(SL,"i",True)['freqbar'] # u"${i['freqbar']}" on line 141, col 48
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['freqbar']}")) # from line 141, col 48.
                    write(u'''px;width:''')
                    _v = VFFSL(SL,"i",True)['relbar'] # u"${i['relbar']}" on line 141, col 72
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['relbar']}")) # from line 141, col 72.
                    write(u'''px;"></div><img src="''')
                    _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 141, col 107
                    if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 141, col 107.
                    write(u'''/img/red.png" class="hidden" height="''')
                    _v = VFFSL(SL,"i.freqbar",True) # u'$i.freqbar' on line 141, col 155
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.freqbar')) # from line 141, col 155.
                    write(u'''" width="''')
                    _v = VFFSL(SL,"i.relbar",True) # u'$i.relbar' on line 141, col 174
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.relbar')) # from line 141, col 174.
                    write(u'''" alt="''')
                    _v = VFFSL(SL,"i",True)['relbar'] # u"${i['relbar']}" on line 141, col 190
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['relbar']}")) # from line 141, col 190.
                    write(u'''" /></td>
''')
                write(u'''        </tr>
''')
        write(u'''    </table>

''')
        _orig_filter_69121595 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''    ''')
        _v = VFFSL(SL,"navigation",False)("next2") # u'$navigation("next2")' on line 149, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$navigation("next2")')) # from line 149, col 5.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_69121595
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_26747403
        write(u'''</section>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        write(u'''




''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus = "'#next'"

    _mainCheetahMethod_for_freqs= 'writeBody'

## END CLASS DEFINITION

if not hasattr(freqs, '_initCheetahAttributes'):
    templateAPIClass = getattr(freqs, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(freqs)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=freqs()).run()


