#!/usr/bin/env python
# -*- coding: UTF-8 -*-




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.document import document
from templating.filters import *

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287199.668335
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:39 2014'
__CHEETAH_src__ = 'templates/query_history.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Jan  8 14:34:15 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class query_history(document):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(query_history, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 25, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 28, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''    require([\'tpl/queryHistory\', \'conf\'], function (pageSelf, conf) {
        conf.messages.failed_to_delete_the_query = "''')
        if False:
            _('Failed to delete the query')
        _v = VFFSL(SL,"_",False)('Failed to delete the query') # u"$_('Failed to delete the query')" on line 30, col 53
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Failed to delete the query')")) # from line 30, col 53.
        write(u'''";
        conf.messages.deleted_query = "''')
        if False:
            _('Deleted the query.')
        _v = VFFSL(SL,"_",False)('Deleted the query.') # u"$_('Deleted the query.')" on line 31, col 40
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Deleted the query.')")) # from line 31, col 40.
        write(u'''";
        conf.messages.undeleted_query = "''')
        if False:
            _('Undeleted the query.')
        _v = VFFSL(SL,"_",False)('Undeleted the query.') # u"$_('Undeleted the query.')" on line 32, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Undeleted the query.')")) # from line 32, col 42.
        write(u'''";
        conf.messages.failed_to_undelete_the_query = "''')
        if False:
            _('Failed to undelete the query.')
        _v = VFFSL(SL,"_",False)('Failed to undelete the query.') # u"$_('Failed to undelete the query.')" on line 33, col 55
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Failed to undelete the query.')")) # from line 33, col 55.
        write(u'''";
        conf.messages.undo = "''')
        if False:
            _('Undo')
        _v = VFFSL(SL,"_",False)('Undo') # u"$_('Undo')" on line 34, col 31
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Undo')")) # from line 34, col 31.
        write(u'''";
        pageSelf.init(conf);
    });
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #block main at line 39, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<section>
    <h2>''')
        if False:
            _('Recent queries')
        _v = VFFSL(SL,"_",False)('Recent queries') # u"$_('Recent queries')" on line 41, col 9
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Recent queries')")) # from line 41, col 9.
        write(u'''</h2>

''')
        i = 0
        for row in VFFSL(SL,"data",True): # generated from line 44, col 5
            write(u'''    <div border="0" class="query-history">
        <table border="0">
            <tr>
                <td class="corpname">''')
            _v = VFFSL(SL,"row.corpname",True) # u'$row.corpname' on line 48, col 38
            if _v is not None: write(_filter(_v, rawExpr=u'$row.corpname')) # from line 48, col 38.
            write(u'''</td>
                <td class="date">''')
            _v = VFN(VFFSL(SL,"row",True),"created",True)[1] # u'$row.created[1]' on line 49, col 34
            if _v is not None: write(_filter(_v, rawExpr=u'$row.created[1]')) # from line 49, col 34.
            write(u''' <strong>''')
            _v = VFN(VFFSL(SL,"row",True),"created",True)[0] # u'$row.created[0]' on line 49, col 58
            if _v is not None: write(_filter(_v, rawExpr=u'$row.created[0]')) # from line 49, col 58.
            write(u'''</strong></td>
            </tr>
            <tr>
                <td colspan="2" class="query">''')
            if VFFSL(SL,"len",False)(VFFSL(SL,"row.params_description",True)) > 0: # generated from line 52, col 47
                _v = VFN(VFFSL(SL,"row",True),"params_description",True)[0][1] # u'$row.params_description[0][1]' on line 52, col 85
                if _v is not None: write(_filter(_v, rawExpr=u'$row.params_description[0][1]')) # from line 52, col 85.
            write(u'''</td>
            </tr>
            <tr>
                <td colspan="2" class="options">
                ''')
            if False:
                _('additional actions')
            _v = VFFSL(SL,"_",False)('additional actions') # u"$_('additional actions')" on line 56, col 17
            if _v is not None: write(_filter(_v, rawExpr=u"$_('additional actions')")) # from line 56, col 17.
            write(u''':
''')
            j = 0
            for item in VFN(VFFSL(SL,"row",True),"params_description",True)[1:]: # generated from line 58, col 21
                write(u'''                        <span class="query-action" title="''')
                _orig_filter_93496499 = _filter
                _filter = self._CHEETAH__currentFilter = VFFSL(SL,"HtmlEscape",True)(self).filter
                _v = VFFSL(SL,"item",True)[1] # u'$item[1]' on line 59, col 79
                if _v is not None: write(_filter(_v, rawExpr=u'$item[1]')) # from line 59, col 79.
                _filter = self._CHEETAH__currentFilter = _orig_filter_93496499
                write(u'''">''')
                _v = VFFSL(SL,"item",True)[0] # u'$item[0]' on line 59, col 101
                if _v is not None: write(_filter(_v, rawExpr=u'$item[0]')) # from line 59, col 101.
                write(u'''</span>
''')
                if VFFSL(SL,"j",True) < VFFSL(SL,"len",False)(VFN(VFFSL(SL,"row",True),"params_description",True)[1:]) - 1: # generated from line 60, col 25
                    write(u'''                        +
''')
                j += 1
            write(u'''                </td>
            </tr>
            <tr>
                <td colspan="2" class="link">
                    <a class="open" href="''')
            _orig_filter_44196404 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            _v = VFFSL(SL,"row.url",True) # u'$row.url' on line 69, col 59
            if _v is not None: write(_filter(_v, rawExpr=u'$row.url')) # from line 69, col 59.
            _filter = self._CHEETAH__currentFilter = _orig_filter_44196404
            write(u'''">''')
            if False:
                _('open')
            _v = VFFSL(SL,"_",False)('open') # u"$_('open')" on line 69, col 81
            if _v is not None: write(_filter(_v, rawExpr=u"$_('open')")) # from line 69, col 81.
            write(u'''</a>
                </td>
            </tr>
        </table>
    </div>
''')
            i += 1
        write(u'''</section>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2013 Institute of the Czech National Corpus
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        write(u'''




''')
        self.main(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_query_history= 'writeBody'

## END CLASS DEFINITION

if not hasattr(query_history, '_initCheetahAttributes'):
    templateAPIClass = getattr(query_history, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(query_history)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=query_history()).run()


