#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287197.927952
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:37 2014'
__CHEETAH_src__ = 'templates/savecoll.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Feb 17 14:13:38 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class savecoll(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(savecoll, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        #  XML format
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 19, col 1
            write(u'''<?xml version="1.0" encoding="''')
            _v = VFFSL(SL,"corpencoding",True) # u'$corpencoding' on line 20, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$corpencoding')) # from line 20, col 31.
            write(u'''"?>
''')
            _orig_filter_43131813 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            write(u'''<collocations>
''')
            if VFFSL(SL,"heading",True): # generated from line 23, col 3
                write(u'''  <heading>
    <corpus>''')
                _v = VFFSL(SL,"canonical_corpname",True) # u'$canonical_corpname' on line 25, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$canonical_corpname')) # from line 25, col 13.
                write(u'''</corpus>
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 26, col 5
                    write(u'''    <subcorpus>''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 27, col 16
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 27, col 16.
                    write(u'''</subcorpus>
''')
                write(u'''
    <query>''')
                for d in VFFSL(SL,"Desc",True): # generated from line 31, col 5
                    _v = VFFSL(SL,"d.arg",True) # u'$d.arg' on line 32, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.arg')) # from line 32, col 1.
                write(u'''</query>
    <scores>
''')
                for s in VFFSL(SL,"Scores",True): # generated from line 37, col 5
                    write(u'''      <score>''')
                    _v = VFFSL(SL,"s.n",True) # u'$s.n' on line 38, col 14
                    if _v is not None: write(_filter(_v, rawExpr=u'$s.n')) # from line 38, col 14.
                    write(u'''</score>
''')
                write(u'''    </scores>
  </heading>
''')
            write(u'''  <items>
''')
            for i in VFFSL(SL,"Items",True): # generated from line 44, col 3
                write(u'''    <item>
      <str>''')
                _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 46, col 12
                if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 46, col 12.
                write(u'''</str>
      <freq>''')
                _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 47, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 47, col 13.
                write(u'''</freq>
''')
                for ss in VFFSL(SL,"i.Stats",True): # generated from line 48, col 5
                    write(u'''      <score>''')
                    _v = VFFSL(SL,"ss.s",True) # u'$ss.s' on line 49, col 14
                    if _v is not None: write(_filter(_v, rawExpr=u'$ss.s')) # from line 49, col 14.
                    write(u'''</score>
''')
                write(u'''    </item>
''')
            write(u'''  </items>
</collocations>

''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_43131813
            #  Text format
        elif VFFSL(SL,"saveformat",True) == 'text' : # generated from line 57, col 1
            if VFFSL(SL,"heading",True): # generated from line 58, col 3
                write(u'''# Collocations
# Corpus: ''')
                _v = VFFSL(SL,"canonical_corpname",True) # u'$canonical_corpname' on line 60, col 12
                if _v is not None: write(_filter(_v, rawExpr=u'$canonical_corpname')) # from line 60, col 12.
                write(u'''
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 61, col 1
                    write(u'''# Subcorpus: ''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 62, col 15
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 62, col 15.
                    write(u'''
''')
                write(u'''
''')
                for d in VFFSL(SL,"Desc",True): # generated from line 65, col 5
                    write(u'''# ''')
                    _v = VFFSL(SL,"d.op",True) # u'$d.op' on line 66, col 4
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.op')) # from line 66, col 4.
                    write(u''':  ''')
                    _v = VFFSL(SL,"d.arg",True) # u'$d.arg' on line 66, col 12
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.arg')) # from line 66, col 12.
                    write(u''' ''')
                    _v = VFFSL(SL,"d.size",True) # u'$d.size' on line 66, col 19
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.size')) # from line 66, col 19.
                    write(u'''
''')
                write(u'''
''')
            for h in VFFSL(SL,"Head",True): # generated from line 70, col 3
                write(u'''| ''')
                _v = VFFSL(SL,"h.n",True) # u'$h.n' on line 71, col 3
                if _v is not None: write(_filter(_v, rawExpr=u'$h.n')) # from line 71, col 3.
                write(u'''\t''')
            write(u'''
------------------------------------------------------------
''')
            for i in VFFSL(SL,"Items",True): # generated from line 75, col 1
                _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 76, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 76, col 1.
                write(u'''\t''')
                _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 76, col 8
                if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 76, col 8.
                write(u'''\t''')
                for ss in VFFSL(SL,"i.Stats",True): # generated from line 77, col 3
                    _v = VFFSL(SL,"ss.s",True) # u'$ss.s' on line 78, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$ss.s')) # from line 78, col 1.
                    write(u'''\t''')
                write(u'''
''')
            #  CSV format
        elif VFFSL(SL,"saveformat",True) == 'csv' : # generated from line 82, col 1
            _v = VFFSL(SL,"bom_prefix",True) # u'$bom_prefix' on line 83, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$bom_prefix')) # from line 83, col 1.
            write(u'''
''')
            for row in VFFSL(SL,"data",True): # generated from line 84, col 1
                _v = VFFSL(SL,"row",True) # u'$row' on line 85, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$row')) # from line 85, col 1.
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_savecoll= 'respond'

## END CLASS DEFINITION

if not hasattr(savecoll, '_initCheetahAttributes'):
    templateAPIClass = getattr(savecoll, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(savecoll)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=savecoll()).run()


