#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287199.451388
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:39 2014'
__CHEETAH_src__ = 'templates/saveconc.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Feb 17 14:13:46 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class saveconc(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(saveconc, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def print_xml_parline(self, line, corpname, **KWS):



        ## CHEETAH: generated from #def $print_xml_parline($line, $corpname) at line 18, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_46080694 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<parline corpus="''')
        _v = VFFSL(SL,"corpname.n",True) # u'$corpname.n' on line 20, col 18
        if _v is not None: write(_filter(_v, rawExpr=u'$corpname.n')) # from line 20, col 18.
        write(u'''">
    <ref>''')
        _v = VFFSL(SL,"line.ref",True) # u'$line.ref' on line 21, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$line.ref')) # from line 21, col 10.
        write(u'''</ref>''')
        write(u'''    <left_context>''')
        for ll in VFFSL(SL,"line.Left",True): # generated from line 23, col 9
            if not (VFFSL(SL,"ll.class",True) == 'strc'):
                write(u'''        ''')
                _v = VFFSL(SL,"ll.str",True) # u'$ll.str' on line 25, col 9
                if _v is not None: write(_filter(_v, rawExpr=u'$ll.str')) # from line 25, col 9.
                write(u''' ''')
        write(u'''    </left_context><kwic>''')
        for kw in VFFSL(SL,"line.Kwic",True): # generated from line 29, col 5
            write(u'''    ''')
            _v = VFFSL(SL,"kw.str",True) # u'$kw.str' on line 30, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$kw.str')) # from line 30, col 5.
            write(u''' ''')
        write(u'''</kwic><right_context>''')
        for rr in VFFSL(SL,"line.Right",True): # generated from line 33, col 5
            if not (VFFSL(SL,"rr.class",True) == 'strc'):
                write(u'''    ''')
                _v = VFFSL(SL,"rr.str",True) # u'$rr.str' on line 35, col 5
                if _v is not None: write(_filter(_v, rawExpr=u'$rr.str')) # from line 35, col 5.
                write(u''' ''')
        write(u'''</right_context>
</parline>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_46080694
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 43, col 1
            write(u'''<?xml version="1.0" encoding="utf-8"?>
''')
            _orig_filter_31843325 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            write(u'''<concordance>
''')
            if VFFSL(SL,"heading",True): # generated from line 47, col 5
                write(u'''    <heading>
        <corpus>''')
                _v = VFFSL(SL,"canonical_corpname",True) # u'$canonical_corpname' on line 49, col 17
                if _v is not None: write(_filter(_v, rawExpr=u'$canonical_corpname')) # from line 49, col 17.
                write(u'''</corpus>
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 50, col 9
                    write(u'''        <subcorpus>''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 51, col 20
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 51, col 20.
                    write(u'''</subcorpus>
''')
                write(u'''        <hits>''')
                _v = VFFSL(SL,"concsize",True) # u'$concsize' on line 53, col 15
                if _v is not None: write(_filter(_v, rawExpr=u'$concsize')) # from line 53, col 15.
                write(u'''</hits>
        <relative_freq note="''')
                _v = VFFSL(SL,"result_relative_freq_rel_to",True) # u'$result_relative_freq_rel_to' on line 54, col 30
                if _v is not None: write(_filter(_v, rawExpr=u'$result_relative_freq_rel_to')) # from line 54, col 30.
                write(u'''">''')
                _v = VFFSL(SL,"result_relative_freq",True) # u'$result_relative_freq' on line 54, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$result_relative_freq')) # from line 54, col 60.
                write(u'''</relative_freq>
''')
                if VFFSL(SL,"result_arf",True) != '': # generated from line 55, col 9
                    write(u'''        <arf>''')
                    _v = VFFSL(SL,"result_arf",True) # u'$result_arf' on line 56, col 14
                    if _v is not None: write(_filter(_v, rawExpr=u'$result_arf')) # from line 56, col 14.
                    write(u'''</arf>
''')
                write(u'''        <query>''')
                for d in VFFSL(SL,"Desc",True): # generated from line 59, col 13
                    write(u'''            ''')
                    _v = VFFSL(SL,"d.arg",True) # u'$d.arg' on line 60, col 13
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.arg')) # from line 60, col 13.
                    write(u''' ''')
                    _v = VFFSL(SL,"d.size",True) # u'$d.size' on line 60, col 20
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.size')) # from line 60, col 20.
                    write(u''' ''')
                write(u'''        </query>
    </heading>
''')
            #  kwic lines
            write(u'''    <lines>
''')
            for i, l in VFFSL(SL,"enumerate",False)(VFFSL(SL,"Lines",True)): # generated from line 67, col 9
                if VFFSL(SL,"align",True): # generated from line 68, col 9
                    if VFFSL(SL,"numbering",True): # generated from line 69, col 9
                        num = VFFSL(SL,"i",True)+1
                        write(u'''        <parallel_lines num="''')
                        _v = VFFSL(SL,"num",True) # u'$num' on line 71, col 30
                        if _v is not None: write(_filter(_v, rawExpr=u'$num')) # from line 71, col 30.
                        write(u'''">
''')
                    else: # generated from line 72, col 13
                        write(u'''            <parallel_lines>
''')
                    _orig_filter_83334511 = _filter
                    _filter = self._CHEETAH__initialFilter
                    write(u'''                ''')
                    _v = VFFSL(SL,"print_xml_parline",False)(VFFSL(SL,"l",True), VFFSL(SL,"Par_conc_corpnames",True)[0]) # u'$print_xml_parline($l, $Par_conc_corpnames[0])' on line 76, col 17
                    if _v is not None: write(_filter(_v, rawExpr=u'$print_xml_parline($l, $Par_conc_corpnames[0])')) # from line 76, col 17.
                    for ii, ll in enumerate(VFN(VFFSL(SL,"l",True),"get",False)('Align', [])): # generated from line 77, col 17
                        write(u'''                ''')
                        _v = VFFSL(SL,"print_xml_parline",False)(VFFSL(SL,"ll",True), VFFSL(SL,"Par_conc_corpnames",True)[VFFSL(SL,"ii",True)+1]) # u'$print_xml_parline($ll, $Par_conc_corpnames[$ii+1])' on line 78, col 17
                        if _v is not None: write(_filter(_v, rawExpr=u'$print_xml_parline($ll, $Par_conc_corpnames[$ii+1])')) # from line 78, col 17.
                    _filter = self._CHEETAH__currentFilter = _orig_filter_83334511
                    write(u'''            </parallel_lines>
''')
                else: # generated from line 82, col 13
                    write(u'''            <line>
''')
                    if VFFSL(SL,"numbering",True): # generated from line 84, col 17
                        num = VFFSL(SL,"i",True) + 1
                        write(u'''                <num>''')
                        _v = VFFSL(SL,"num",True) # u'$num' on line 86, col 22
                        if _v is not None: write(_filter(_v, rawExpr=u'$num')) # from line 86, col 22.
                        write(u'''</num>
''')
                    write(u'''                <ref>''')
                    _v = VFFSL(SL,"l.ref",True) # u'$l.ref' on line 88, col 22
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.ref')) # from line 88, col 22.
                    write(u'''</ref>''')
                    write(u'''                <left_context>''')
                    for ll in VFFSL(SL,"l.Left",True): # generated from line 90, col 21
                        if not (VFFSL(SL,"ll.class",True) == 'strc'):
                            write(u'''                    ''')
                            _v = VFFSL(SL,"ll.str",True) # u'$ll.str' on line 92, col 21
                            if _v is not None: write(_filter(_v, rawExpr=u'$ll.str')) # from line 92, col 21.
                            write(u''' ''')
                    write(u'''                </left_context><kwic>''')
                    for kw in VFFSL(SL,"l.Kwic",True): # generated from line 96, col 17
                        write(u'''                ''')
                        _v = VFFSL(SL,"kw.str",True) # u'$kw.str' on line 97, col 17
                        if _v is not None: write(_filter(_v, rawExpr=u'$kw.str')) # from line 97, col 17.
                        write(u''' ''')
                    write(u'''            </kwic><right_context>''')
                    for rr in VFFSL(SL,"l.Right",True): # generated from line 100, col 17
                        if not (VFFSL(SL,"rr.class",True) == 'strc'):
                            write(u'''                ''')
                            _v = VFFSL(SL,"rr.str",True) # u'$rr.str' on line 102, col 17
                            if _v is not None: write(_filter(_v, rawExpr=u'$rr.str')) # from line 102, col 17.
                            write(u''' ''')
                    write(u'''            </right_context>
            </line>
''')
            write(u'''    </lines>
</concordance>

''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_31843325
        elif VFFSL(SL,"saveformat",True) == 'text': # generated from line 113, col 1
            #  Text format
            if VFFSL(SL,"heading",True): # generated from line 115, col 1
                write(u'''# Corpus: ''')
                _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 116, col 12
                if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 116, col 12.
                write(u'''
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 117, col 1
                    write(u'''# Subcorpus: ''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 118, col 15
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 118, col 15.
                    write(u'''
''')
                write(u'''
# Hits: ''')
                _v = VFFSL(SL,"concsize",True) # u'$concsize' on line 121, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$concsize')) # from line 121, col 10.
                write(u'''
# Relative frequency: ''')
                _v = VFFSL(SL,"result_relative_freq",True) # u'$result_relative_freq' on line 122, col 24
                if _v is not None: write(_filter(_v, rawExpr=u'$result_relative_freq')) # from line 122, col 24.
                write(u''' (''')
                _v = VFFSL(SL,"result_relative_freq_rel_to",True) # u'$result_relative_freq_rel_to' on line 122, col 47
                if _v is not None: write(_filter(_v, rawExpr=u'$result_relative_freq_rel_to')) # from line 122, col 47.
                write(u''')
''')
                if VFFSL(SL,"result_arf",True) != '': # generated from line 123, col 1
                    write(u'''# ARF: ''')
                    _v = VFFSL(SL,"result_arf",True) # u'$result_arf' on line 124, col 9
                    if _v is not None: write(_filter(_v, rawExpr=u'$result_arf')) # from line 124, col 9.
                    write(u'''
''')
                for d in VFFSL(SL,"Desc",True): # generated from line 126, col 1
                    write(u'''# ''')
                    _v = VFFSL(SL,"d.op",True) # u'$d.op' on line 127, col 4
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.op')) # from line 127, col 4.
                    write(u''': ''')
                    _v = VFFSL(SL,"d.arg",True) # u'$d.arg' on line 127, col 11
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.arg')) # from line 127, col 11.
                    write(u''' ''')
                    _v = VFFSL(SL,"d.size",True) # u'$d.size' on line 127, col 18
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.size')) # from line 127, col 18.
                    write(u'''
''')
            write(u'''
''')
            #  kwic lines
            for i, l in VFFSL(SL,"enumerate",False)(VFFSL(SL,"Lines",True)): # generated from line 132, col 1
                if VFFSL(SL,"numbering",True): # generated from line 133, col 1
                    num = VFFSL(SL,"i",True)+1
                    _v = VFFSL(SL,"num",True) # u'$num' on line 135, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$num')) # from line 135, col 1.
                    write(u'''\t''')
                _v = VFFSL(SL,"l.ref",True) # u'$l.ref' on line 137, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$l.ref')) # from line 137, col 1.
                write(u'''\t''')
                if VFFSL(SL,"align_kwic",True): # generated from line 138, col 1
                    _v = VFFSL(SL,"l.leftspace",True) # u'$l.leftspace' on line 139, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.leftspace')) # from line 139, col 1.
                    write(u''' ''')
                for ll in VFFSL(SL,"l.Left",True): # generated from line 141, col 1
                    if not (VFFSL(SL,"ll.class",True) == 'strc'):
                        _v = VFFSL(SL,"ll.str",True) # u'$ll.str' on line 143, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u'$ll.str')) # from line 143, col 1.
                        write(u''' ''')
                write(u'''<''')
                for kw in VFFSL(SL,"l.Kwic",True): # generated from line 147, col 9
                    write(u'''        ''')
                    _v = VFFSL(SL,"kw.str",True) # u'$kw.str' on line 148, col 9
                    if _v is not None: write(_filter(_v, rawExpr=u'$kw.str')) # from line 148, col 9.
                    write(u''' ''')
                write(u'''        >''')
                for rr in VFFSL(SL,"l.Right",True): # generated from line 151, col 5
                    if not (VFFSL(SL,"rr.class",True) == 'strc'):
                        write(u'''    ''')
                        _v = VFFSL(SL,"rr.str",True) # u'$rr.str' on line 153, col 5
                        if _v is not None: write(_filter(_v, rawExpr=u'$rr.str')) # from line 153, col 5.
                        write(u''' ''')
                if VFFSL(SL,"align_kwic",True): # generated from line 156, col 5
                    write(u'''    ''')
                    _v = VFFSL(SL,"l.rightspace",True) # u'$l.rightspace' on line 157, col 5
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.rightspace')) # from line 157, col 5.
                    write(u'''\t''')
                if VFFSL(SL,"align",True): # generated from line 159, col 5
                    for ii, ll in enumerate(VFN(VFFSL(SL,"l",True),"get",False)('Align', [])): # generated from line 160, col 5
                        if VFFSL(SL,"align_kwic",True): # generated from line 161, col 5
                            write(u'''    ''')
                            _v = VFFSL(SL,"ll.ref",True) # u'$ll.ref' on line 162, col 5
                            if _v is not None: write(_filter(_v, rawExpr=u'$ll.ref')) # from line 162, col 5.
                            write(u'''\t''')
                        else: # generated from line 163, col 5
                            write(u'''    \t''')
                            _v = VFFSL(SL,"ll.ref",True) # u'$ll.ref' on line 164, col 6
                            if _v is not None: write(_filter(_v, rawExpr=u'$ll.ref')) # from line 164, col 6.
                            write(u'''\t''')
                        if VFFSL(SL,"align_kwic",True): # generated from line 166, col 5
                            write(u'''    ''')
                            _v = VFFSL(SL,"ll.leftspace",True) # u'$ll.leftspace' on line 167, col 5
                            if _v is not None: write(_filter(_v, rawExpr=u'$ll.leftspace')) # from line 167, col 5.
                            write(u''' ''')
                        for lw in VFFSL(SL,"ll.Left",True): # generated from line 169, col 5
                            if not (VFFSL(SL,"lw.class",True) == 'strc'):
                                write(u'''    ''')
                                _v = VFFSL(SL,"lw.str",True) # u'$lw.str' on line 171, col 5
                                if _v is not None: write(_filter(_v, rawExpr=u'$lw.str')) # from line 171, col 5.
                                write(u''' ''')
                        write(u'''    <''')
                        for kw in VFFSL(SL,"ll.Kwic",True): # generated from line 175, col 13
                            write(u'''            ''')
                            _v = VFFSL(SL,"kw.str",True) # u'$kw.str' on line 176, col 13
                            if _v is not None: write(_filter(_v, rawExpr=u'$kw.str')) # from line 176, col 13.
                            write(u''' ''')
                        write(u'''            >''')
                        for rr in VFFSL(SL,"ll.Right",True): # generated from line 179, col 9
                            if not (VFFSL(SL,"rr.class",True) == 'strc'):
                                write(u'''        ''')
                                _v = VFFSL(SL,"rr.str",True) # u'$rr.str' on line 181, col 9
                                if _v is not None: write(_filter(_v, rawExpr=u'$rr.str')) # from line 181, col 9.
                                write(u''' ''')
                        if VFFSL(SL,"align_kwic",True): # generated from line 184, col 9
                            write(u'''        ''')
                            _v = VFFSL(SL,"ll.rightspace",True) # u'$ll.rightspace' on line 185, col 9
                            if _v is not None: write(_filter(_v, rawExpr=u'$ll.rightspace')) # from line 185, col 9.
                            write(u'''\t''')
                write(u'''
''')
            write(u'''
''')
        elif VFFSL(SL,"saveformat",True) == 'csv': # generated from line 192, col 1
            #  kwic lines #################
            _v = VFFSL(SL,"bom_prefix",True) # u'$bom_prefix' on line 194, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$bom_prefix')) # from line 194, col 1.
            write(u'''
''')
            for row in VFFSL(SL,"data",True): # generated from line 195, col 1
                _v = VFFSL(SL,"row",True) # u'$row' on line 196, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$row')) # from line 196, col 1.
            #  saveformat
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_saveconc= 'respond'

## END CLASS DEFINITION

if not hasattr(saveconc, '_initCheetahAttributes'):
    templateAPIClass = getattr(saveconc, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(saveconc)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=saveconc()).run()


