#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287198.991129
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:38 2014'
__CHEETAH_src__ = 'templates/savefreq.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Feb 17 14:13:56 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class savefreq(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(savefreq, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        # 
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 19, col 1
            _orig_filter_46063420 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            #  XML
            write(u'''<?xml version="1.0" encoding="''')
            _v = VFFSL(SL,"corpencoding",True) # u'$corpencoding' on line 22, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$corpencoding')) # from line 22, col 31.
            write(u'''"?>
<frequency>
''')
            if VFFSL(SL,"heading",True): # generated from line 24, col 1
                write(u'''  <heading>
    <corpus>''')
                _v = VFFSL(SL,"canonical_corpname",True) # u'$canonical_corpname' on line 26, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$canonical_corpname')) # from line 26, col 13.
                write(u'''</corpus>
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 27, col 5
                    write(u'''    <subcorpus>''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 28, col 16
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 28, col 16.
                    write(u'''</subcorpus>
''')
                write(u'''    <query>''')
                for d in VFFSL(SL,"Desc",True): # generated from line 31, col 5
                    _v = VFN(VFFSL(SL,"d",True),"get",False)('arg') # u"$d.get('arg')" on line 32, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u"$d.get('arg')")) # from line 32, col 1.
                write(u'''</query>
  </heading>
''')
            for b in VFFSL(SL,"Blocks",True): # generated from line 38, col 3
                write(u'''  <block>
    <name>''')
                _v = VFFSL(SL,"b.blockname",True) # u'$b.blockname' on line 40, col 11
                if _v is not None: write(_filter(_v, rawExpr=u'$b.blockname')) # from line 40, col 11.
                write(u'''</name>
    <items>
''')
                for i in VFFSL(SL,"b.Items",True): # generated from line 42, col 7
                    write(u'''      <item>
''')
                    for w in VFFSL(SL,"i.Word",True): # generated from line 44, col 9
                        write(u'''\t  <str>''')
                        _v = VFFSL(SL,"w.n",True) # u'$w.n' on line 45, col 9
                        if _v is not None: write(_filter(_v, rawExpr=u'$w.n')) # from line 45, col 9.
                        write(u'''</str>
''')
                    write(u'''\t  <freq>''')
                    _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 47, col 10
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 47, col 10.
                    write(u'''</freq>
''')
                    if not (VFFSL(SL,"ml",True)):
                        write(u'''\t  <rel>''')
                        _v = VFFSL(SL,"i.rel",True) # u'$i.rel' on line 49, col 9
                        if _v is not None: write(_filter(_v, rawExpr=u'$i.rel')) # from line 49, col 9.
                        write(u'''</rel>
''')
                    write(u'''      </item>
''')
                write(u'''    </items>
  </block>
''')
            write(u'''</frequency>
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_46063420
            # 
        elif VFFSL(SL,"saveformat",True) == 'csv': # generated from line 59, col 1
            _v = VFFSL(SL,"bom_prefix",True) # u'$bom_prefix' on line 60, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$bom_prefix')) # from line 60, col 1.
            write(u'''
''')
            for item in VFFSL(SL,"csv_rows",True): # generated from line 61, col 1
                _v = VFFSL(SL,"item",True) # u'$item' on line 62, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$item')) # from line 62, col 1.
        elif VFFSL(SL,"saveformat",True) == 'text': # generated from line 64, col 1
            #  text
            if VFFSL(SL,"heading",True): # generated from line 66, col 1
                write(u'''# Frequency list
# Corpus: ''')
                _v = VFFSL(SL,"canonical_corpname",True) # u'$canonical_corpname' on line 68, col 12
                if _v is not None: write(_filter(_v, rawExpr=u'$canonical_corpname')) # from line 68, col 12.
                write(u'''
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 69, col 1
                    write(u'''# Subcorpus: ''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 70, col 15
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 70, col 15.
                    write(u'''
''')
                for d in VFFSL(SL,"Desc",True): # generated from line 72, col 3
                    write(u'''# ''')
                    _v = VFN(VFFSL(SL,"d",True),"get",False)('op') # u"$d.get('op')" on line 73, col 4
                    if _v is not None: write(_filter(_v, rawExpr=u"$d.get('op')")) # from line 73, col 4.
                    write(u''':  ''')
                    _v = VFN(VFFSL(SL,"d",True),"get",False)('arg') # u"$d.get('arg')" on line 73, col 19
                    if _v is not None: write(_filter(_v, rawExpr=u"$d.get('arg')")) # from line 73, col 19.
                    write(u''' ''')
                    _v = VFN(VFFSL(SL,"d",True),"get",False)('size') # u"$d.get('size')" on line 73, col 33
                    if _v is not None: write(_filter(_v, rawExpr=u"$d.get('size')")) # from line 73, col 33.
                    write(u'''
''')
                write(u'''# Frequency limit: ''')
                _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 75, col 21
                if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 75, col 21.
                write(u'''
''')
            for b in VFFSL(SL,"Blocks",True): # generated from line 77, col 1
                write(u'''
''')
                for h in VFFSL(SL,"b.Head",True): # generated from line 79, col 3
                    write(u'''| ''')
                    _v = VFN(VFFSL(SL,"h",True),"get",False)('n') # u"$h.get('n')" on line 80, col 3
                    if _v is not None: write(_filter(_v, rawExpr=u"$h.get('n')")) # from line 80, col 3.
                    write(u'''\t''')
                write(u'''
------------------------------
''')
                for i in VFFSL(SL,"b.Items",True): # generated from line 84, col 3
                    for w in VFFSL(SL,"i.Word",True): # generated from line 85, col 5
                        _v = VFN(VFFSL(SL,"w",True),"get",False)('n') # u"$w.get('n')" on line 86, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u"$w.get('n')")) # from line 86, col 1.
                        write(u'''\t''')
                    _v = VFN(VFFSL(SL,"i",True),"get",False)('freq') # u"$i.get('freq')" on line 88, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u"$i.get('freq')")) # from line 88, col 1.
                    write(u'''\t''')
                    if not (VFFSL(SL,"ml",True)):
                        _v = VFN(VFFSL(SL,"i",True),"get",False)('rel') # u"$i.get('rel')" on line 90, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u"$i.get('rel')")) # from line 90, col 1.
                        write(u'''
''')
                    else: # generated from line 91, col 5
                        write(u'''
''')
            write(u'''
''')
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_savefreq= 'respond'

## END CLASS DEFINITION

if not hasattr(savefreq, '_initCheetahAttributes'):
    templateAPIClass = getattr(savefreq, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(savefreq)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=savefreq()).run()


