#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.conc import conc

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287200.944564
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:40 2014'
__CHEETAH_src__ = 'templates/savefreq_form.tmpl'
__CHEETAH_srcLastModified__ = 'Tue Feb 25 17:20:56 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class savefreq_form(conc):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(savefreq_form, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 22, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Save Frequency List")
        _v = VFFSL(SL,"_",False)("Save Frequency List") # u'$_("Save Frequency List")' on line 23, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save Frequency List")')) # from line 23, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 26, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u"""require(['jquery', 'tpl/savefreqForm', 'conf', 'domReady!'], function ($, savefreqForm, conf) {
""")
        #  conf object is defined within document.tmpl
        write(u"""    conf.files_path = '""")
        _v = VFFSL(SL,"files_path",True) # u'${files_path}' on line 29, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'${files_path}')) # from line 29, col 24.
        write(u"""';
    savefreqForm.init(conf);
});
""")
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 36, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_57792670 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<section>
    <h2>''')
        if False:
            _("Save Frequency list")
        _v = VFFSL(SL,"_",False)("Save Frequency list") # u'$_("Save Frequency list")' on line 39, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save Frequency list")')) # from line 39, col 9.
        write(u'''</h2>
    <form action="savefreq">
''')
        _orig_filter_90554709 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''        ''')
        _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 42, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 42, col 9.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_90554709
        for f in VFFSL(SL,"FCrit",True): # generated from line 44, col 9
            write(u'''          <input type="hidden" name="fcrit" value="''')
            _v = VFFSL(SL,"f.fcrit",True) # u'$f.fcrit' on line 45, col 52
            if _v is not None: write(_filter(_v, rawExpr=u'$f.fcrit')) # from line 45, col 52.
            write(u'''" />
''')
        paging = 0
        if VFFSL(SL,"len",False)(VFFSL(SL,"FCrit",True)) == 1: # generated from line 48, col 9
            paging = 1
        write(u'''        <input type="hidden" name="freq_sort" value="''')
        _v = VFFSL(SL,"freq_sort",True) # u'$freq_sort' on line 51, col 54
        if _v is not None: write(_filter(_v, rawExpr=u'$freq_sort')) # from line 51, col 54.
        write(u'''" />
        <input type="hidden" name="ftt_include_empty" value="''')
        _v = VFFSL(SL,"ftt_include_empty",True) # u'$ftt_include_empty' on line 52, col 62
        if _v is not None: write(_filter(_v, rawExpr=u'$ftt_include_empty')) # from line 52, col 62.
        write(u'''" />
        <input type="hidden" name="ml" value="''')
        _v = VFFSL(SL,"ml",True) # u'$ml' on line 53, col 47
        if _v is not None: write(_filter(_v, rawExpr=u'$ml')) # from line 53, col 47.
        write(u'''" />
        <input type="hidden" name="flimit" value="''')
        _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 54, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 54, col 51.
        write(u'''" />

        <table class="form">
          <tr>
            <th>''')
        if False:
            _("Save frequency list as")
        _v = VFFSL(SL,"_",False)("Save frequency list as") # u'$_("Save frequency list as")' on line 58, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save frequency list as")')) # from line 58, col 17.
        write(u''':</th>
            <td>
              <label>
                <input type="radio" name="saveformat" value="text"
''')
        if VFFSL(SL,"saveformat",True) == 'text': # generated from line 62, col 17
            write(u'''                  checked="checked"
''')
        write(u'''                /> ''')
        if False:
            _("Text")
        _v = VFFSL(SL,"_",False)("Text") # u'$_("Text")' on line 65, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Text")')) # from line 65, col 20.
        write(u'''
              </label>
              <label>
                <input type="radio" name="saveformat" value="xml"
''')
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 69, col 17
            write(u'''                  checked="checked"
''')
        write(u'''                /> ''')
        if False:
            _("XML")
        _v = VFFSL(SL,"_",False)("XML") # u'$_("XML")' on line 72, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$_("XML")')) # from line 72, col 20.
        write(u'''
              </label>
              <label>
                  <input type="radio" name="saveformat" value="csv"
''')
        if VFFSL(SL,"saveformat",True) == 'csv': # generated from line 76, col 19
            write(u'''                  checked="checked"
''')
        write(u'''                  /> CSV
              </label>
            </td>
          </tr>
          <tr class="separator">
            <th>''')
        if False:
            _("Include heading")
        _v = VFFSL(SL,"_",False)("Include heading") # u'$_("Include heading")' on line 84, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Include heading")')) # from line 84, col 17.
        write(u''':</th>
            <td><input type="checkbox" name="heading" value="1" checked="checked" /></td>
          </tr>
          <tr class="separator">
            <th>''')
        if False:
            _("Include column headers")
        _v = VFFSL(SL,"_",False)("Include column headers") # u'$_("Include column headers")' on line 88, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Include column headers")')) # from line 88, col 17.
        write(u''':</th>
            <td><input type="checkbox" name="colheaders" value="1" checked="checked" /></td>
          </tr>
          <tr>
            <th>''')
        if False:
            _("Lines to store")
        _v = VFFSL(SL,"_",False)("Lines to store") # u'$_("Lines to store")' on line 92, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Lines to store")')) # from line 92, col 17.
        write(u''':</th>
            <td>
''')
        if not VFFSL(SL,"is_multiblock",True): # generated from line 94, col 17
            write(u'''                ''')
            if False:
                _('from')
            _v = VFFSL(SL,"_",False)('from') # u"$_('from')" on line 95, col 17
            if _v is not None: write(_filter(_v, rawExpr=u"$_('from')")) # from line 95, col 17.
            write(u''':  <input type="text" name="from_line" value="''')
            _v = VFFSL(SL,"from_line",True) # u'$from_line' on line 95, col 73
            if _v is not None: write(_filter(_v, rawExpr=u'$from_line')) # from line 95, col 73.
            write(u'''" size="4" />
                ''')
            if False:
                _('to')
            _v = VFFSL(SL,"_",False)('to') # u"$_('to')" on line 96, col 17
            if _v is not None: write(_filter(_v, rawExpr=u"$_('to')")) # from line 96, col 17.
            write(u''': <input type="text" name="to_line" value="''')
            _v = VFFSL(SL,"to_line",True) # u'$to_line' on line 96, col 68
            if _v is not None: write(_filter(_v, rawExpr=u'$to_line')) # from line 96, col 68.
            write(u'''" size="4" />
''')
        else: # generated from line 97, col 17
            write(u'''                ''')
            if False:
                _('from')
            _v = VFFSL(SL,"_",False)('from') # u"$_('from')" on line 98, col 17
            if _v is not None: write(_filter(_v, rawExpr=u"$_('from')")) # from line 98, col 17.
            write(u''':  <input type="text" value="''')
            _v = VFFSL(SL,"from_line",True) # u'$from_line' on line 98, col 56
            if _v is not None: write(_filter(_v, rawExpr=u'$from_line')) # from line 98, col 56.
            write(u'''" size="4" disabled="disabled" />
                <input type="hidden" name="from_line" value="1" />
                ''')
            if False:
                _('to')
            _v = VFFSL(SL,"_",False)('to') # u"$_('to')" on line 100, col 17
            if _v is not None: write(_filter(_v, rawExpr=u"$_('to')")) # from line 100, col 17.
            write(u''': <input type="text" value="''')
            _v = VFFSL(SL,"to_line",True) # u'$to_line' on line 100, col 53
            if _v is not None: write(_filter(_v, rawExpr=u'$to_line')) # from line 100, col 53.
            write(u'''" size="4" disabled="disabled" />
                <input type="hidden" name="to_line" value="" />
                <p class="notification">(''')
            if False:
                _('Line range cannot be specified as the data contain multiple blocks. All the respective lines will be stored.')
            _v = VFFSL(SL,"_",False)('Line range cannot be specified as the data contain multiple blocks. All the respective lines will be stored.') # u"$_('Line range cannot be specified as the data contain multiple blocks. All the respective lines will be stored.')" on line 102, col 42
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Line range cannot be specified as the data contain multiple blocks. All the respective lines will be stored.')")) # from line 102, col 42.
            write(u''')</p>
''')
        write(u'''            </td>
           </tr>
        </table>

        <div class="buttons">
        <input type="submit" value="''')
        if False:
            _("Save Frequency List")
        _v = VFFSL(SL,"_",False)("Save Frequency List") # u'$_("Save Frequency List")' on line 109, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save Frequency List")')) # from line 109, col 37.
        write(u'''" id="submit" />
        </div>
    </form>
</section>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_57792670
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        write(u'''




''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus = "'#submit'"

    _mainCheetahMethod_for_savefreq_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(savefreq_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(savefreq_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(savefreq_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=savefreq_form()).run()


