#!/usr/bin/env python
# -*- coding: UTF-8 -*-




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287198.008443
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:38 2014'
__CHEETAH_src__ = 'templates/savewl.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Feb 17 14:14:10 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class savewl(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(savewl, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 19, col 1
            _orig_filter_55185998 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            #  XML formatsavewl
            write(u"""<?xml version='1.0' encoding='utf-8'?>
""")
            if VFFSL(SL,"keywords",True): # generated from line 23, col 1
                write(u'''<keywords>
''')
            else: # generated from line 25, col 1
                write(u'''<word_list>
''')
            if VFFSL(SL,"heading",True): # generated from line 28, col 1
                write(u'''  <heading>
    <corpus>''')
                _v = VFFSL(SL,"canonical_corpname",True) # u'$canonical_corpname' on line 30, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$canonical_corpname')) # from line 30, col 13.
                write(u'''</corpus>
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 31, col 3
                    write(u'''    <subcorpus>''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 32, col 16
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 32, col 16.
                    write(u'''</subcorpus>
''')
                if VFFSL(SL,"keywords",True): # generated from line 34, col 3
                    write(u'''    <ref_corpus>''')
                    _v = VFFSL(SL,"ref_corpname",True) # u'$ref_corpname' on line 35, col 17
                    if _v is not None: write(_filter(_v, rawExpr=u'$ref_corpname')) # from line 35, col 17.
                    write(u'''</ref_corpus>
''')
                    if VFFSL(SL,"ref_usesubcorp",True): # generated from line 36, col 5
                        write(u'''    <ref_subcorpus>''')
                        _v = VFFSL(SL,"ref_usesubcorp",True) # u'$ref_usesubcorp' on line 37, col 20
                        if _v is not None: write(_filter(_v, rawExpr=u'$ref_usesubcorp')) # from line 37, col 20.
                        write(u'''</ref_subcorpus>
''')
                write(u'''  </heading>
''')
            if VFFSL(SL,"Items",True): # generated from line 42, col 1
                write(u'''  <items attr="''')
                _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 43, col 16
                if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 43, col 16.
                write(u'''">
''')
                for i in VFFSL(SL,"Items",True): # generated from line 44, col 3
                    write(u'''    <item>
      <str>''')
                    _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 46, col 12
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 46, col 12.
                    write(u'''</str>
      <freq>''')
                    _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 47, col 13
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 47, col 13.
                    write(u'''</freq>
    </item>
''')
                write(u'''  </items>
''')
            else: # generated from line 51, col 1
                if VFFSL(SL,"Keywords",True): # generated from line 52, col 1
                    write(u'''  <items attr="''')
                    _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 53, col 16
                    if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 53, col 16.
                    write(u'''">
''')
                    for k in VFFSL(SL,"Keywords",True): # generated from line 54, col 3
                        write(u'''    <item>
      <str>''')
                        _v = VFFSL(SL,"k.str",True) # u'$k.str' on line 56, col 12
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.str')) # from line 56, col 12.
                        write(u'''</str>
      <freq>''')
                        _v = VFFSL(SL,"k.freq",True) # u'$k.freq' on line 57, col 13
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.freq')) # from line 57, col 13.
                        write(u'''</freq>
      <arf>''')
                        _v = VFFSL(SL,"k.arf",True) # u'$k.arf' on line 58, col 12
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.arf')) # from line 58, col 12.
                        write(u'''</arf>
      <arf_mill>''')
                        _v = VFFSL(SL,"k.arf_mill",True) # u'$k.arf_mill' on line 59, col 17
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.arf_mill')) # from line 59, col 17.
                        write(u'''</arf_mill>
      <freq_ref>''')
                        _v = VFN(VFFSL(SL,"k",True),"get",False)('freq_ref', '0') # u"$k.get('freq_ref', '0')" on line 60, col 17
                        if _v is not None: write(_filter(_v, rawExpr=u"$k.get('freq_ref', '0')")) # from line 60, col 17.
                        write(u'''</freq_ref>
      <arf_ref>''')
                        _v = VFFSL(SL,"k.arf_ref",True) # u'$k.arf_ref' on line 61, col 16
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.arf_ref')) # from line 61, col 16.
                        write(u'''</arf_ref>
      <arf_mill_ref>''')
                        _v = VFFSL(SL,"k.arf_mill_ref",True) # u'$k.arf_mill_ref' on line 62, col 21
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.arf_mill_ref')) # from line 62, col 21.
                        write(u'''</arf_mill_ref>
      <score>''')
                        _v = VFFSL(SL,"k.score",True) # u'$k.score' on line 63, col 14
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.score')) # from line 63, col 14.
                        write(u'''</score>
    </item>
''')
                    write(u'''</items>
''')
            if VFFSL(SL,"keywords",True): # generated from line 69, col 1
                write(u'''</keywords>
''')
            else: # generated from line 71, col 1
                write(u'''</word_list>
''')
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_55185998
        elif VFFSL(SL,"saveformat",True) == 'text': # generated from line 76, col 1
            #  Text format
            if VFFSL(SL,"heading",True): # generated from line 78, col 1
                if VFFSL(SL,"keywords",True): # generated from line 79, col 3
                    write(u'''# Keywords
''')
                else: # generated from line 81, col 3
                    write(u'''# Word List
''')
                write(u'''# Corpus: ''')
                _v = VFFSL(SL,"canonical_corpname",True) # u'$canonical_corpname' on line 84, col 12
                if _v is not None: write(_filter(_v, rawExpr=u'$canonical_corpname')) # from line 84, col 12.
                write(u'''
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 85, col 3
                    write(u'''# Subcorpus: ''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 86, col 15
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 86, col 15.
                    write(u'''
''')
                if VFFSL(SL,"keywords",True): # generated from line 88, col 3
                    write(u'''# Reference corpus: ''')
                    _v = VFFSL(SL,"ref_corpname",True) # u'$ref_corpname' on line 89, col 22
                    if _v is not None: write(_filter(_v, rawExpr=u'$ref_corpname')) # from line 89, col 22.
                    write(u'''
''')
                    if VFFSL(SL,"ref_usesubcorp",True): # generated from line 90, col 1
                        write(u'''# Reference subcorpus: ''')
                        _v = VFFSL(SL,"ref_usesubcorp",True) # u'$ref_usesubcorp' on line 91, col 25
                        if _v is not None: write(_filter(_v, rawExpr=u'$ref_usesubcorp')) # from line 91, col 25.
                        write(u'''
''')
            write(u'''
''')
            if VFFSL(SL,"Items",True): # generated from line 96, col 1
                write(u'''| ''')
                _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 97, col 3
                if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 97, col 3.
                write(u''' |\tFreq
------------------------------
''')
                for i in VFFSL(SL,"Items",True): # generated from line 99, col 3
                    _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 100, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 100, col 1.
                    write(u'''\t''')
                    _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 100, col 8
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 100, col 8.
                    write(u'''
''')
            else: # generated from line 102, col 1
                write(u'''
''')
                if VFFSL(SL,"Keywords",True): # generated from line 104, col 3
                    _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 105, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 105, col 1.
                    write(u'''\tFreq\tARF\tARF/mill\tFreq_ref\tARF_ref\tARF/mil_ref\tScore
----------------------------------------------------------------------------------
''')
                    for k in VFFSL(SL,"Keywords",True): # generated from line 107, col 5
                        _v = VFFSL(SL,"k.str",True) # u'$k.str' on line 108, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.str')) # from line 108, col 1.
                        write(u'''\t''')
                        _v = VFFSL(SL,"k.freq",True) # u'$k.freq' on line 108, col 8
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.freq')) # from line 108, col 8.
                        write(u'''\t''')
                        _v = VFFSL(SL,"k.arf",True) # u'$k.arf' on line 108, col 16
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.arf')) # from line 108, col 16.
                        write(u'''\t''')
                        _v = VFFSL(SL,"k.arf_mill",True) # u'$k.arf_mill' on line 108, col 23
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.arf_mill')) # from line 108, col 23.
                        write(u'''\t''')
                        _v = VFN(VFFSL(SL,"k",True),"get",False)('freq_ref', '0') # u"$k.get('freq_ref', '0')" on line 108, col 35
                        if _v is not None: write(_filter(_v, rawExpr=u"$k.get('freq_ref', '0')")) # from line 108, col 35.
                        write(u'''\t''')
                        _v = VFFSL(SL,"k.arf_ref",True) # u'$k.arf_ref' on line 108, col 59
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.arf_ref')) # from line 108, col 59.
                        write(u'''\t''')
                        _v = VFFSL(SL,"k.arf_mill_ref",True) # u'$k.arf_mill_ref' on line 108, col 70
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.arf_mill_ref')) # from line 108, col 70.
                        write(u'''\t''')
                        _v = VFFSL(SL,"k.score",True) # u'$k.score' on line 108, col 86
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.score')) # from line 108, col 86.
                        write(u'''
''')
            #  CSV format
        elif VFFSL(SL,"saveformat",True) == 'csv'   : # generated from line 112, col 1
            _v = VFFSL(SL,"bom_prefix",True) # u'$bom_prefix' on line 113, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$bom_prefix')) # from line 113, col 1.
            write(u'''
''')
            for item in VFFSL(SL,"data",True): # generated from line 114, col 1
                _v = VFFSL(SL,"item",True) # u'$item' on line 115, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$item')) # from line 115, col 1.
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_savewl= 'respond'

## END CLASS DEFINITION

if not hasattr(savewl, '_initCheetahAttributes'):
    templateAPIClass = getattr(savewl, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(savewl)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=savewl()).run()


