#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.document import document

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287199.963182
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:39 2014'
__CHEETAH_src__ = 'templates/user_password_form.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Jan  8 14:34:15 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class user_password_form(document):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(user_password_form, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 22, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Password change")
        _v = VFFSL(SL,"_",False)("Password change") # u'$_("Password change")' on line 23, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Password change")')) # from line 23, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 26, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<h2>''')
        if False:
            _("Password change")
        _v = VFFSL(SL,"_",False)("Password change") # u'$_("Password change")' on line 27, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Password change")')) # from line 27, col 5.
        write(u'''</h2>

<form action="user_password" method="post">
    <table class="form">
        <tbody>
            <tr class="required">
                <th>''')
        if False:
            _('Current password')
        _v = VFFSL(SL,"_",False)('Current password') # u"$_('Current password')" on line 33, col 21
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Current password')")) # from line 33, col 21.
        write(u''':</th>
                <td><input type="password" name="curr_passwd" value="" autocomplete="off" /></td>
            </tr>
            <tr class="required">
                <th>''')
        if False:
            _('New password')
        _v = VFFSL(SL,"_",False)('New password') # u"$_('New password')" on line 37, col 21
        if _v is not None: write(_filter(_v, rawExpr=u"$_('New password')")) # from line 37, col 21.
        write(u''':</th>
                <td><input type="password" name="new_passwd" value="" /></td>
            </tr>
            <tr class="required">
                <th>''')
        if False:
            _('New password again')
        _v = VFFSL(SL,"_",False)('New password again') # u"$_('New password again')" on line 41, col 21
        if _v is not None: write(_filter(_v, rawExpr=u"$_('New password again')")) # from line 41, col 21.
        write(u''':</th>
                <td><input type="password" name="new_passwd2" value="" /></td>
            </tr>
        </tbody>
    </table>
    <p>''')
        if False:
            _('After a successful password update, you will be logged out and prompted to enter your new credentials.')
        _v = VFFSL(SL,"_",False)('After a successful password update, you will be logged out and prompted to enter your new credentials.') # u"$_('After a successful password update, you will be logged out and prompted to enter your new credentials.')" on line 46, col 8
        if _v is not None: write(_filter(_v, rawExpr=u"$_('After a successful password update, you will be logged out and prompted to enter your new credentials.')")) # from line 46, col 8.
        write(u'''</p>
    <button type="submit">''')
        if False:
            _('Save')
        _v = VFFSL(SL,"_",False)('Save') # u"$_('Save')" on line 47, col 27
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Save')")) # from line 47, col 27.
        write(u'''</button>
</form>

''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        write(u'''


''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_user_password_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(user_password_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(user_password_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(user_password_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=user_password_form()).run()


