#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.document import document

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1404287199.06475
__CHEETAH_genTimestamp__ = 'Wed Jul  2 09:46:39 2014'
__CHEETAH_src__ = 'templates/wordlist_form.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Mar 12 10:12:03 2014'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class wordlist_form(document):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(wordlist_form, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 22, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Word List Form")
        _v = VFFSL(SL,"_",False)("Word List Form") # u'$_("Word List Form")' on line 23, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word List Form")')) # from line 23, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu(self, **KWS):



        ## CHEETAH: generated from #def left_submenu at line 28, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_98188231 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''    <li><a title="''')
        if False:
            _("Compute a list of all words")
        _v = VFFSL(SL,"_",False)("Compute a list of all words") # u'$_("Compute a list of all words")' on line 30, col 19
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Compute a list of all words")')) # from line 30, col 19.
        write(u'''" href="wordlist?''')
        _v = VFFSL(SL,"globals",True) # u'$globals' on line 30, col 69
        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 30, col 69.
        write(u''';wlattr=word;wlsort=f">''')
        if False:
            _("All words")
        _v = VFFSL(SL,"_",False)("All words") # u'$_("All words")' on line 30, col 100
        if _v is not None: write(_filter(_v, rawExpr=u'$_("All words")')) # from line 30, col 100.
        write(u'''</a></li>
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 31, col 3
            write(u'''    <li><a title="''')
            if False:
                _("Compute a list of all lemmas")
            _v = VFFSL(SL,"_",False)("Compute a list of all lemmas") # u'$_("Compute a list of all lemmas")' on line 32, col 19
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Compute a list of all lemmas")')) # from line 32, col 19.
            write(u'''" href="wordlist?''')
            _v = VFFSL(SL,"globals",True) # u'$globals' on line 32, col 70
            if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 32, col 70.
            write(u''';wlattr=lemma;wlsort=f">''')
            if False:
                _("All lemmas")
            _v = VFFSL(SL,"_",False)("All lemmas") # u'$_("All lemmas")' on line 32, col 102
            if _v is not None: write(_filter(_v, rawExpr=u'$_("All lemmas")')) # from line 32, col 102.
            write(u'''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_98188231
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 37, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''require([\'jquery\', \'tpl/wordlistForm\', \'conf\', \'domReady!\'], function ($, wordlistForm, conf) {
    conf.wltype = "''')
        _v = VFFSL(SL,"wltype",True) # u'$wltype' on line 39, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$wltype')) # from line 39, col 20.
        write(u'''";
    conf.messages.whiteLists = "''')
        if False:
            _('Wordlist whitelists and blacklists must be plain text (.txt), encoded in UTF-8, with one item per line.  The items must correspond to the selected attribute, so, eg, if \'lemma\' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.')
        _v = VFFSL(SL,"_",False)('Wordlist whitelists and blacklists must be plain text (.txt), encoded in UTF-8, with one item per line.  The items must correspond to the selected attribute, so, eg, if \'lemma\' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.') # u"$_('Wordlist whitelists and blacklists must be plain text (.txt), encoded in UTF-8, with one item per line.  The items must correspond to the selected attribute, so, eg, if \\'lemma\\' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.')" on line 40, col 33
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Wordlist whitelists and blacklists must be plain text (.txt), encoded in UTF-8, with one item per line.  The items must correspond to the selected attribute, so, eg, if \\'lemma\\' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.')")) # from line 40, col 33.
        write(u'''";
    wordlistForm.init(conf);
});
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 46, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_32589833 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<section>
    <h2>''')
        if False:
            _("Word list")
        _v = VFFSL(SL,"_",False)("Word list") # u'$_("Word list")' on line 49, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word list")')) # from line 49, col 9.
        write(u'''</h2>

    <form action="wordlist" id="wordlist_form" method="post" enctype="multipart/form-data">

''')
        _orig_filter_23533300 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''    ''')
        _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 54, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 54, col 5.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_23533300
        write(u'''      <input type="hidden" name="wlmaxitems" value="100" />
      <input type="hidden" name="wlsort" value="f" />
      <input type="hidden" name="subcnorm" value="freq" />
    <table class="form">
''')
        _orig_filter_14563592 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''      ''')
        _v = VFFSL(SL,"corp_sel_node",True) # u'$corp_sel_node' on line 61, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$corp_sel_node')) # from line 61, col 7.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_14563592
        write(u'''    <tr class="required">
    <th>''')
        if False:
            _("Search attribute")
        _v = VFFSL(SL,"_",False)("Search attribute") # u'$_("Search attribute")' on line 64, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Search attribute")')) # from line 64, col 9.
        write(u''':</th>
      <td><select name="wlattr">
      <optgroup label="Positional Attributes">
''')
        for a in VFFSL(SL,"AttrList",True): # generated from line 67, col 7
            selected = (VFFSL(SL,"a.n",True) == VFFSL(SL,"wlattr",True)) and 'selected' or ''
            write(u'''        <option value="''')
            _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 69, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 69, col 24.
            write(u'''" ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 69, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 69, col 30.
            write(u'''>''')
            _v = VFFSL(SL,"a.label",True) # u'$a.label' on line 69, col 40
            if _v is not None: write(_filter(_v, rawExpr=u'$a.label')) # from line 69, col 40.
            write(u'''</option>
''')
        write(u'''      </optgroup>
      <optgroup label="Text Types">
''')
        for a in VFFSL(SL,"StructAttrList",True): # generated from line 73, col 7
            selected = (VFFSL(SL,"a.n",True) == VFFSL(SL,"wlattr",True)) and 'selected' or ''
            write(u'''        <option value="''')
            _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 75, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 75, col 24.
            write(u'''" ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 75, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 75, col 30.
            write(u'''>''')
            _v = VFFSL(SL,"a.label",True) # u'$a.label' on line 75, col 40
            if _v is not None: write(_filter(_v, rawExpr=u'$a.label')) # from line 75, col 40.
            write(u'''</option>
''')
        write(u'''      </optgroup>
      </select></td>
    </tr></table>

    <fieldset>
        <legend>''')
        if False:
            _("Filter wordlist by")
        _v = VFFSL(SL,"_",False)("Filter wordlist by") # u'$_("Filter wordlist by")' on line 82, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Filter wordlist by")')) # from line 82, col 17.
        write(u'''</legend>
        <table class="form"><tr>
          <th></th><td title="''')
        if False:
            _('Regular expression pattern')
        _v = VFFSL(SL,"_",False)('Regular expression pattern') # u"$_('Regular expression pattern')" on line 84, col 31
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Regular expression pattern')")) # from line 84, col 31.
        write(u'''">''')
        if False:
            _("RE pattern")
        _v = VFFSL(SL,"_",False)("RE pattern") # u'$_("RE pattern")' on line 84, col 65
        if _v is not None: write(_filter(_v, rawExpr=u'$_("RE pattern")')) # from line 84, col 65.
        write(u''':</td>
          <td><input type="text" name="wlpat" size="50" value="''')
        _v = VFFSL(SL,"wlpat",True) # u'$wlpat' on line 85, col 64
        if _v is not None: write(_filter(_v, rawExpr=u'$wlpat')) # from line 85, col 64.
        write(u'''" id="wlpat" /></td>
        </tr><tr>
          <td></td><td>''')
        if False:
            _("Minimum frequency")
        _v = VFFSL(SL,"_",False)("Minimum frequency") # u'$_("Minimum frequency")' on line 87, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Minimum frequency")')) # from line 87, col 24.
        write(u''':</td>
          <td><input type="text" name="wlminfreq" size="10" value="''')
        _v = VFFSL(SL,"wlminfreq",True) # u'$wlminfreq' on line 88, col 68
        if _v is not None: write(_filter(_v, rawExpr=u'$wlminfreq')) # from line 88, col 68.
        write(u'''" /></td>
        </tr><tr>
          <td></td><td>''')
        if False:
            _("Whitelist")
        _v = VFFSL(SL,"_",False)("Whitelist") # u'$_("Whitelist")' on line 90, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Whitelist")')) # from line 90, col 24.
        write(u''':</td>
          <td><input type="file" name="wlfile" size="30" id="wlfile" /></td>
        </tr><tr>
          <td></td><td>''')
        if False:
            _("Blacklist")
        _v = VFFSL(SL,"_",False)("Blacklist") # u'$_("Blacklist")' on line 93, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Blacklist")')) # from line 93, col 24.
        write(u''':</td>
          <td><input type="file" name="wlblacklist" size="30" id="wlblacklist" />
            <a id="show-help-format-link" href="">
                <img src="../files/img/info-icon.png" alt="info" />''')
        if False:
            _("required file format")
        _v = VFFSL(SL,"_",False)("required file format") # u'$_("required file format")' on line 96, col 68
        if _v is not None: write(_filter(_v, rawExpr=u'$_("required file format")')) # from line 96, col 68.
        write(u'''</a>
            <td></td>
          </td>
        </tr><tr><td colspan="3">
''')
        checked = VFFSL(SL,"int",False)(VFFSL(SL,"include_nonwords",True)) and 'checked' or ''
        write(u'''        <label><input type="checkbox" name="include_nonwords" value="1" ''')
        _v = VFFSL(SL,"checked",True) # u'$checked' on line 101, col 73
        if _v is not None: write(_filter(_v, rawExpr=u'$checked')) # from line 101, col 73.
        write(u''' />''')
        if False:
            _("Include non-words")
        _v = VFFSL(SL,"_",False)("Include non-words") # u'$_("Include non-words")' on line 101, col 84
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Include non-words")')) # from line 101, col 84.
        write(u'''</label>
        </td></tr></table>
    </fieldset>
    <fieldset>
        <legend>''')
        if False:
            _('Output options')
        _v = VFFSL(SL,"_",False)('Output options') # u"$_('Output options')" on line 105, col 17
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Output options')")) # from line 105, col 17.
        write(u'''</legend>
        <table>
            <tr>
                <td>''')
        if False:
            _('Frequency figures')
        _v = VFFSL(SL,"_",False)('Frequency figures') # u"$_('Frequency figures')" on line 108, col 21
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Frequency figures')")) # from line 108, col 21.
        write(u''':</td>
                <td>
                <ul class="freq-figures">
''')
        for id, label in VFN(VFFSL(SL,"freq_figures",True),"items",False)(): # generated from line 111, col 21
            write(u'''                    <li><input type="radio" checked="checked" value="''')
            _v = VFFSL(SL,"id",True) # u'$id' on line 112, col 70
            if _v is not None: write(_filter(_v, rawExpr=u'$id')) # from line 112, col 70.
            write(u'''" name="wlnums" id="wlnums_''')
            _v = VFFSL(SL,"id",True) # u'$id' on line 112, col 100
            if _v is not None: write(_filter(_v, rawExpr=u'$id')) # from line 112, col 100.
            write(u'''"><label for="wlnums_''')
            _v = VFFSL(SL,"id",True) # u'$id' on line 112, col 124
            if _v is not None: write(_filter(_v, rawExpr=u'$id')) # from line 112, col 124.
            write(u'''">''')
            _v = VFFSL(SL,"label",True) # u'$label' on line 112, col 129
            if _v is not None: write(_filter(_v, rawExpr=u'$label')) # from line 112, col 129.
            write(u'''</label></li>
''')
        write(u'''                </ul>
                </td>
            </tr>
        </table>
    </fieldset>

    <div class="buttons">
    <input class="submit" type="submit" value="''')
        if False:
            _("Make Word List")
        _v = VFFSL(SL,"_",False)("Make Word List") # u'$_("Make Word List")' on line 121, col 48
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Make Word List")')) # from line 121, col 48.
        write(u'''" />
    </div>
    </form>
</section>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_32589833
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        # 
        # Copyright (c) 2003-2009  Pavel Rychly
        # 
        # This program is free software; you can redistribute it and/or
        # modify it under the terms of the GNU General Public License
        # as published by the Free Software Foundation; version 2
        # dated June, 1991.
        # 
        # This program is distributed in the hope that it will be useful,
        # but WITHOUT ANY WARRANTY; without even the implied warranty of
        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        # GNU General Public License for more details.
        # 
        # You should have received a copy of the GNU General Public License
        # along with this program; if not, write to the Free Software
        # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
        write(u'''






''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus ="'#wlpat'"

    _mainCheetahMethod_for_wordlist_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(wordlist_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(wordlist_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(wordlist_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=wordlist_form()).run()


